<?php

namespace App\Http\Controllers;

use App\Models\allowanceAcknowledgement;
use App\Models\Course;
use App\Models\CourseSetting;
use App\Models\NominatedTrainee;
use Illuminate\Http\Request;

class AllowanceAcknowledgementController extends Controller
{
    public function allowanceForm(Request $request, $courseId)
    {
        $course=Course::findOrFail($courseId);
        $course_setting=CourseSetting::where('course_id',$courseId)->first();
        if(empty($course_setting->per_day_honorarium)){
            $notification = array(
                'toaster-message' => 'Per day honorarium is not set',
                'alert-type' => 'error'
            );
    
            return redirect()->back()->with($notification);
        }
        $users = NominatedTrainee::with('user')->where('nomination_id', $course->nomination_id)->where('approve', 1)->get();
        return view('admin.allowanceAcknowledgement.create',compact(['users','course_setting','course']));
    }

    public function allowanceList(Request $request, $courseId)
    {
        $allowance_lists=allowanceAcknowledgement::where('course_id',$courseId)->with('user')->get();
        return view('admin.allowanceAcknowledgement.list',compact(['allowance_lists']));
    }

    public function allowanceStore(Request $request)
    {
       allowanceAcknowledgement::create($request->all());
       return redirect()->back();
    }
}
