<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Http\Requests\UpdatePasswordRequest;
use App\Http\Requests\UpdateProfileRequest;
use Gate;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Symfony\Component\HttpFoundation\Response;

class ChangePasswordController extends Controller
{
    public function edit()
    {

        return view('auth.passwords.edit');
    }

    public function update(UpdatePasswordRequest $request)
    {
        auth()->user()->update($request->validated());

        return redirect()->route('profile.password.edit')->with('message', __('global.change_password_success'));
    }

    public function updateProfile(UpdateProfileRequest $request)
    {
        $user = auth()->user();

        $user->update($request->validated());

        return redirect()->route('profile.password.edit')->with('message', __('global.update_profile_success'));
    }

    public function destroy()
    {
        $user = auth()->user();

        $user->update([
            'email' => time() . '_' . $user->email,
        ]);

        $user->delete();

        return redirect()->route('login')->with('message', __('global.delete_account_success'));
    }
    // UPLOAD SIGN
    public function signUpload(Request $request)
    {
        DB::beginTransaction();
        try{
            if($request->hasFile('sign')) {
                $name = time()."_".$request->file('sign')->getClientOriginalName();
                $request->file('sign')->move(public_path('images'), $name);
            }
            $user = auth()->user();
            $user->update([
                'sign' =>  $name,
            ]);
            DB::commit();
            return redirect()->route('login')->with('message', __('global.update_profile_success'));
        }catch(\Exception $e){
            DB::rollback();
            dd($e->getMessage());
        }
        
    }
}
