<?php

namespace App\Http\Controllers;

use App\Models\Calender;
use Illuminate\Http\Request;

class CalenderController extends Controller
{
    public function index(Request $request)
    {
  
        if($request->ajax()) {
       
             $data = Calender::whereDate('start', '>=', $request->start)
                       ->whereDate('end',   '<=', $request->end)
                       ->get(['id', 'title', 'start', 'end']);
  
             return response()->json($data);
        }
  
        return view('admin.calender.calender');
    }

    public function ajax(Request $request)
    {
 
        switch ($request->type) {
           case 'add':
              $calender = Calender::create([
                  'title' => $request->title,
                  'start' => $request->start,
                  'end' => $request->end,
              ]);
 
              return response()->json($calender);
             break;
  
           case 'update':
              $calender = Calender::find($request->id)->update([
                  'title' => $request->title,
                  'start' => $request->start,
                  'end' => $request->end,
              ]);
 
              return response()->json($calender);
             break;
  
           case 'delete':
              $calender = Calender::find($request->id)->delete();
  
              return response()->json($calender);
             break;
             
           default:
             break;
        }
    }
}
