<?php

namespace App\Http\Controllers;

use App\Models\ExamAnswer;
use App\Models\ExamAttend;
use App\Models\ExamResult;
use App\Models\QuestionBank;
use App\Models\Quiz;
use App\Models\QuizOption;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ExamController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        parse_str($request->data, $req);
        DB::beginTransaction();
        try {
            $userid = auth()->user()->id;
            $check_exam_attendance = ExamAttend::where('quiz_id', $req['quiz_id'])->where('user_id', $userid)->first();
            if ($check_exam_attendance->status == 2) {
                return response()->json(['res' => 'Answer already submitted !'], 400);
            } elseif ($check_exam_attendance->status == 1 || $check_exam_attendance->status == 3) {
                $check_exam_attendance->status = 2;
                $check_exam_attendance->save();
                if (isset($req['answer'])) {
                    $correctAns = 0;
                    foreach ($req['answer'] as $key => $answer) {
                        $exam_ans = new ExamAnswer();
                        $exam_ans->exam_attends_id = $check_exam_attendance->id;
                        $exam_ans->question_banks_id = $key;
                        $exam_ans->answer_id = $answer;
                        $exam_ans->user_id = $userid;
                        $exam_ans->save();
                        // FIND CORRECT ANS
                        $quizOption = QuizOption::findOrFail($answer);
                        if ($quizOption->status == 1) {
                            $correctAns++;
                        }
                    }
                    // FIND QUIZ 
                    $quiz = Quiz::findOrFail($req['quiz_id']);
                    $quiz_mark= $quiz->quiz_mark;
                    $totalQus = $quiz->questions()->count();
                    //CALCULATE QUIZ TOTAL NUMBER
                    $each_ques_mark = $quiz_mark / $totalQus;
                    $total_number =  $correctAns *  $each_ques_mark;
                    //  CALCULATE PERCENTAGE AND RESULT
                    // $each = 100 / $totalQus;
                    // $percentage = $each * $correctAns;
                    // if ($percentage >= $quiz->pass_percentage) {
                    //     $result = 1;
                    // } else {
                    //     $result = 0;
                    // }
                    // RESULT SAVE ON EXAM RESULT TABLE
                    $examresult                    = new ExamResult();
                    $examresult->quiz_id           = $req['quiz_id'];
                    $examresult->user_id           = $userid;
                    $examresult->total_ques        = $totalQus;
                    $examresult->total_correct_ans = $correctAns;
                    $examresult->exam_module_id    = $quiz->exam_module_id ;
                    $examresult->total_number      = round($total_number,2);
                    // $examresult->percentage        = round($percentage,2);
                    // $examresult->is_passed         = $result;
                    $examresult->save();
                }
            }
        } catch (\Exception $e) {
            DB::rollback();
            return response()->json(['success' => false, 'errmsg' => $e->getMessage()], 500);
        }
        DB::commit();
        return response()->json(['res' => 'Answer submitted Successfully!'], 200);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\ExamAnswer  $examAnswer
     * @return \Illuminate\Http\Response
     */
    public function show(ExamAnswer $examAnswer)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\ExamAnswer  $examAnswer
     * @return \Illuminate\Http\Response
     */
    public function edit(ExamAnswer $examAnswer)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\ExamAnswer  $examAnswer
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, ExamAnswer $examAnswer)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\ExamAnswer  $examAnswer
     * @return \Illuminate\Http\Response
     */
    public function destroy(ExamAnswer $examAnswer)
    {
        //
    }
    // EXAM RESULT 
    public function exemResult($quizId)
    {

        $user = auth()->user();
        $result = ExamAttend::with(['examAnswers'])->where('user_id', $user->id)->where('quiz_id', $quizId)->get();
        $temp = [];
        $examResult = ExamResult::where('quiz_id', $quizId)->where('user_id', $user->id)->first();

        foreach ($result as $res) {

            foreach ($res->examAnswers as $key => $newRes) {

                $temp['answer_id'][$key] =  $newRes->answer_id;
                $temp['questions'][$key] =  $newRes->questionBank->question;
                $temp['options'][$key] =  $newRes->questionBank->options;
            }
        }
        return view('quiz.exam-result', compact('temp', 'examResult'));
    }

    // EXAM RESULT 
    public function traineeResult($quizId)
    {

        $results=Quiz::findOrFail($quizId)->load(['exam_results'=> function ($query) {
            $query->with('user');
        },'module']);
        return view('quiz.trainee-exam-result', compact('results'));
    }
}
