<?php

namespace App\Http\Controllers;

use App\Models\ExamModule;
use Illuminate\Http\Request;
use Illuminate\Validation\ValidationException;

class ExamModuleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if($request->has('exam_module_id'))
        {
            $examModule=ExamModule::findOrFail($request->exam_module_id);
            $this->update($request,$examModule);
            $notification = array(
                'toaster-message' => 'Exam module updated Successfuly',
                'alert-type' => 'success'
            );
            return redirect()->back()->with($notification);
        }
        try {
            foreach ($request->type as $key=> $type) {
                $exam_module = new ExamModule();
                $exam_module->module = $request->name;
                $exam_module->exam_type = $type;
                $exam_module->number = $request->number[$key];
                $exam_module->course_id = $request->course_id;
                $exam_module->created_by = auth()->user()->id;
                $exam_module->save();
            }
        } catch (\Exception $e) {
            $notification = array(
                'toaster-message' => $e->getMessage(),
                'alert-type' => 'danger'
            );
            return redirect()->back()->with($notification);
        }
        $notification = array(
            'toaster-message' => 'Exam module created Successfuly',
            'alert-type' => 'success'
        );
        return redirect()->back()->with($notification);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\ExamModule  $examModule
     * @return \Illuminate\Http\Response
     */
    public function show(ExamModule $examModule)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\ExamModule  $examModule
     * @return \Illuminate\Http\Response
     */
    public function edit(ExamModule $examModule)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\ExamModule  $examModule
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, ExamModule $examModule)
    {
        $examModule->exam_type=$request->type;
        $examModule->number=$request->number;
        $examModule->save();
        
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\ExamModule  $examModule
     * @return \Illuminate\Http\Response
     */
    public function destroy(ExamModule $examModule)
    {
        $examModule->delete();
        $notification = array(
            'toaster-message' => 'Exam module deleted Successfuly',
            'alert-type' => 'success'
        );
        return redirect()->back()->with($notification);

    }
}
