<?php

namespace App\Http\Controllers;

use App\Models\Course;
use App\Models\NominatedTrainee;
use App\Models\ReleaseOrder;
use Illuminate\Http\Request;
use Mpdf\Mpdf;

class ReleaseOrderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request, Course $course)
    {

        $releaseOrder=ReleaseOrder::where('course_id',$course->id)->first();
        return view('admin.courses.releaseOrderCreate',compact('releaseOrder'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        ReleaseOrder::create($request->all());

        $notification = array(
            'toaster-message' => 'Release order Created successfuly',
            'alert-type' => 'success'
        );

        return redirect()->back()->with($notification);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\ReleaseOrder  $releaseOrder
     * @return \Illuminate\Http\Response
     */
    public function show(Course $course)
    {
        $users = NominatedTrainee::with('traineeInfo')->where('nomination_id', $course->nomination_id)->where('approve', 1)->get();
        
        $releaseOrder=$course->releaseOrder;
        $mpdf = new \Mpdf\Mpdf([
            'default_font_size'=>14,
            'default_font'=>'nikosh'
        ]);
        $mpdf->WriteHTML(view('admin.courses.releaseOrder', compact('releaseOrder','users','course')));
        $mpdf->Output();
 
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\ReleaseOrder  $releaseOrder
     * @return \Illuminate\Http\Response
     */
    public function edit(ReleaseOrder $releaseOrder)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\ReleaseOrder  $releaseOrder
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, ReleaseOrder $releaseOrder)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\ReleaseOrder  $releaseOrder
     * @return \Illuminate\Http\Response
     */
    public function destroy(ReleaseOrder $releaseOrder)
    {
        //
    }
}
