<?php

namespace App\Http\Controllers;

use App\Models\Course;
use App\Models\TrainingResource;
use Illuminate\Http\Request;
use Gate;
use File;

class TrainingResourceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $courses= Course::get();
        $resource=TrainingResource::with('user','course')->get();
       
        return view('TrainingResource.index',compact('resource','courses'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //dd($request->all());
        // $request->validate([
        //     'file' => 'required|mimes:pdf,docx,csv,png,jpg|max:5048',
        // ]);
        $fileName = time() . '.' . $request->file->extension();

        $path = public_path('upload/files');

        //checking directory exist 
        if (!File::isDirectory($path)) {
            File::makeDirectory($path, 0777, true, true);
        }
        $request->file->move(public_path('upload/files'), $fileName);
        //save assignment file
      
            $file = new  TrainingResource();
            $file->file_name = $request->file_name;
            $file->course_id = $request->course_id;
            $file->lesson_id = $request->lesson_id;
            $file->resource_cat = $request->resource_cat;
            $file->resource_sub_cat = $request->resource_sub_cat;
            $file->file = $fileName;
            $file->uploaded_by = auth()->user()->id;
            $file->save();
    

        return redirect()->back();
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\TrainingResource  $trainingResource
     * @return \Illuminate\Http\Response
     */
    public function show(TrainingResource $trainingResource)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\TrainingResource  $trainingResource
     * @return \Illuminate\Http\Response
     */
    public function edit(TrainingResource $trainingResource)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\TrainingResource  $trainingResource
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, TrainingResource $trainingResource)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\TrainingResource  $trainingResource
     * @return \Illuminate\Http\Response
     */
    public function destroy(TrainingResource $trainingResource)
    {
        //
    }
}