<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class TraineeForm
{

    protected $except= [
        '/admin/trainee-infos/create'
    ];

    protected function checkVal($array, $string)
    {
        if (in_array($string, $array)) {
            return true;
        } else {
            return false;
        }
    }
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
       
        if (Auth::check()) {
            $user = Auth::user();
            $roles =  $user->roles()->pluck('title')->toArray();
            if ($this->checkVal($roles, 'Trainee')) {
                if ($user->traineeInfo) {

                    if ($user->traineeInfo->created_at == $user->traineeInfo->updated_at) {
                        return redirect('/admin/trainee-infos/create');
                    }
                }
                return $next($request);
            }
            return $next($request);
        }
        return $next($request);
    }
}
