<?php

namespace App\Http\Requests;

use App\Models\CourseAssociateOfficer;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Symfony\Component\HttpFoundation\Response;

class MassDestroyCourseAssociateOfficerRequest extends FormRequest
{
    public function authorize()
    {
        abort_if(Gate::denies('course_associate_officer_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:course_associate_officers,id',
        ];
    }
}
