<?php

namespace App\Http\Requests;

use App\Models\CourseAssociateOfficer;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreCourseAssociateOfficerRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('course_associate_officer_create');
    }

    public function rules()
    {
        return [
            'responsibilty' => [
                'string',
                'required',
            ],
            'user_id' => [
                'required',
                'integer',
            ],
            'course_id' => [
                'required',
                'integer',
            ],
        ];
    }
}
