<?php

namespace App\Http\Requests;

use App\Models\CourseBudget;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreCourseBudgetRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('course_budget_create');
    }

    public function rules()
    {
        return [
            'budget_id' => [
                'required',
                'integer',
            ],
            'rate' => [
                'nullable',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
            'course_id' => [
                'required',
                'integer',
            ],
        ];
    }
}
