<?php

namespace App\Http\Requests;

use App\Models\CourseContent;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreCourseContentRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('course_content_create');
    }

    public function rules()
    {
        return [
            'subject' => [
                'string',
                'required',
            ],
            'time' => [
                'string',
                'required',
            ],
            'resource_persons' => [
                'string',
                'required',
            ],
            'course_id' => [
                'required',
                'integer',
            ],
        ];
    }
}
