<?php

namespace App\Http\Requests;

use App\Models\Course;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreCourseRequest extends FormRequest
{
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'course_code' => [
                'string',
                'required',
            ],
            'title' => [
                'string',
                'required',
            ],
            'type_course' => [
                'required',
            ],
            'course_duration' => [
                'string',
                'required',
            ],
            'field_visit' => [
                'string',
                'nullable',
            ],
            'course_start' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'course_end' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            // 'created_by_id' => [
            //     'required',
            //     'integer',
            // ],
        ];
    }
}
