<?php

namespace App\Http\Requests;

use App\Models\TraineeInfo;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreTraineeInfoRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('trainee_info_create');
    }

    public function rules()
    {
        return [
            'email' => [
                'required',
            ],
            'name_english' => [
                'string',
                'required',
            ],
            'designation' => [
                'required',
            ],
            'other_designation' => [
                'string',
                'nullable',
            ],
            'organization_id' => [
                'required',
                'integer',
            ],
            'mobile_no' => [
                'string',
                'required',
            ],
            'gmail_address' => [
                'required',
            ],
            'other_email_address' => [
                'required',
            ],
            'work_division' => [
                'string',
                'required',
            ],
            'office_name' => [
                'string',
                'required',
            ],
            'office_address' => [
                'string',
                'required',
            ],
            'organization_id_no' => [
                'string',
                'required',
            ],
            'entry_post' => [
                'string',
                'required',
            ],
            'present_job_description' => [
                'required',
            ],
            'bank_account_name' => [
                'string',
                'required',
            ],
            'bank_name' => [
                'string',
                'required',
            ],
            'branch_name' => [
                'string',
                'required',
            ],
            'bank_account_no' => [
                'string',
                'required',
            ],
            'mobile_banking' => [
                'required',
            ],
            'mobile_banking_no' => [
                'string',
                'required',
            ],
            'name_bangla' => [
                'string',
                'nullable',
            ],
            'fathers_name' => [
                'string',
                'required',
            ],
            'mothers_name' => [
                'string',
                'required',
            ],
            'national_id_no' => [
                'string',
                'required',
            ],
            'present_address' => [
                'string',
                'required',
            ],
            'home_district' => [
                'string',
                'required',
            ],
            'permanent_address' => [
                'string',
                'required',
            ],
            'religion' => [
                'required',
            ],
            'educational_qualification' => [
                'required',
            ],
            'bpmi_bus_arrangements' => [
                'required',
            ],
            'other_method_to_go_to_payra' => [
                'required',
            ],
            'user_id' => [
                'required',
                'integer',
            ],
        ];
    }
}
