<?php

namespace App\Http\Requests;

use App\Models\Trainer;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreTrainerRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('trainer_create');
    }

    public function rules()
    {
        return [
            'name' => [
                'string',
                'required',
            ],
            'email' => [
                'string',
                'required',
            ],
            'designation' => [
                'string',
                'required',
            ],
            'organization' => [
                'string',
                'required',
            ],
            'mobile' => [
                'string',
                'nullable',
            ],
        ];
    }
}
