<?php

namespace App\Http\Requests;

use App\Models\Coursefeepayment;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateCoursefeepaymentRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('coursefeepayment_edit');
    }

    public function rules()
    {
        return [
            'name' => [
                'string',
                'required',
            ],
            'designation_id' => [
                'required',
                'integer',
            ],
            'traineeorganization_id' => [
                'required',
                'integer',
            ],
            'registration_no' => [
                'string',
                'required',
            ],
            'pbs_reb_office_name' => [
                'string',
                'required',
            ],
            'mobile_no' => [
                'string',
                'required',
            ],
            'bank_name' => [
                'string',
                'required',
            ],
            'branch' => [
                'string',
                'required',
            ],
            'bank_account_no' => [
                'string',
                'required',
            ],
            'payment_method' => [
                'required',
            ],
            'amount' => [
                'required',
            ],
            'reference_no' => [
                'string',
                'required',
            ],
            'date_of_cheque' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'submit_date' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
        ];
    }
}
