<?php

namespace App\Http\Requests;

use App\Models\NominatedOrganisation;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateNominatedOrganisationRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('nominated_organisation_edit');
    }

    public function rules()
    {
        return [
            'nomination_id' => [
                'required',
                'integer',
            ],
            'organization_id' => [
                'required',
                'integer',
            ],
            'number_of_trainee' => [
                'required',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
        ];
    }
}
