<?php

namespace App\Http\Requests;

use App\Models\Nomination;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateNominationRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('nomination_edit');
    }

    public function rules()
    {
        return [
            'course_title' => [
                'string',
                'required',
            ],
            'course_duration' => [
                'string',
                'required',
            ],
            'course_start' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'course_end' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'coourse_type' => [
                'string',
                'required',
            ],
            'course_fee' => [
                'required',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
            'batch_id' => [
                'required',
                'integer',
            ],
        ];
    }
}
