<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AssignmentFile extends Model
{
    use HasFactory;

    protected $fillable = [
        'file',
        'course_id',
        'group_id',
        'user_id',
        'created_by',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function group()
    {
        return $this->belongsTo(AssignmentGroup::class);
    }

    public function course()
    {
        return $this->belongsTo(Course::class);
    }

    public function assignmentSubmissions()
    {
        return $this->hasOne(AssignmentSubmission::class);
    }
  
}
