<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CourseInitiation extends Model
{
    use HasFactory;

    protected $fillable = [
        'course_title',
        'course_director',
        'batch_id',
        'instruction',
        'course_role_id'
    ];

    public function batch()
    {
        return $this->belongsTo(Batch::class);
    }
    public function courseDirector()
    {
        return $this->belongsTo(User::class,'course_director');
    }
    public function course()
    {
        return $this->hasOne(Course::class);
    }

}
