<?php

namespace App\Models;

use \DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NominatedOrganisation extends Model
{
    use HasFactory;

    public $table = 'nominated_organisations';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'nomination_id',
        'organization_id',
        'number_of_trainee',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function nomination()
    {
        return $this->belongsTo(Nomination::class, 'nomination_id');
    }

    public function organization()
    {
        return $this->belongsTo(Organization::class, 'organization_id');
    }

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
