<?php

namespace App\Models;

use \DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NominatedTrainee extends Model
{
    use HasFactory;

    public $table = 'nominated_trainees';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'nomination_id',
        'organization_id',
        'user_id',
        'approve',
        'replace',
        'dropout',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function nomination()
    {
        return $this->belongsTo(Nomination::class, 'nomination_id');
    }

    public function organization()
    {
        return $this->belongsTo(Organization::class, 'organization_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function traineeInfo()
    {
        return $this->belongsTo(TraineeInfo::class, 'user_id','user_id');
    }

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
