<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PresentationFile extends Model
{
    use HasFactory;
    protected $fillable = [
        'name',
        'course_id',
        'group_id',
        'user_id',
        'presentation_date',
        'created_by',
    ];

    protected $casts = [
        'user_id' => 'array',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function group()
    {
        return $this->belongsTo(PresentationGroup::class);
    }

    public function course()
    {
        return $this->belongsTo(Course::class);
    }

    public function assignmentSubmissions()
    {
        return $this->hasOne(AssignmentSubmission::class);
    }

    public function presentationGroup()
    {
        return $this->belongsTo(PresentationGroup::class, 'group_id', 'id');
    }
}
