<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PresentationGroup extends Model
{
    use HasFactory;
    protected $fillable = [
        'course_id',
        'group_name',
        'user_id',
        'created_by',
    ];
    protected $casts = [
        'user_id' => 'array',
    ];

    public function course()
    {
        return $this->belongsTo(Course::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function presentationFile()
    {
        return $this->belongsTo(PresentationFile::class, 'id', 'group_id');
    }
}
