<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class QuestionBank extends Model
{
    use HasFactory;

    protected $with = ['options'];

    protected $fillable = [
        'question',
        'course_id',
        'module_id',
        'topic'
    ];

    public function course()
    {
        return $this->belongsTo(Course::class, 'course_id');
    }

    public function options()
    {

        return $this->hasMany(QuizOption::class, 'question_banks_id');
    }

    public function exam_ans()
    {

        return $this->hasOne(ExamAnswer::class, 'question_banks_id');
    }

    public function exam_module()
    {
        return $this->belongsTo(Module::class, 'module_id');
    }


}
