<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Quiz extends Model
{
    use HasFactory;

    public $table = 'quizes';

    public const EXAM_TYPES_SELECT = [
        'pretest'  => 'Pretest',
        'classtest'  => 'Class test',
        'final' => 'Final',
    ];

    protected $guarded = [];

    public function category()
    {
        return $this->belongsTo(QuizCategory::class, 'category_id');
    }

    public function module()
    {
        return $this->belongsTo(Module::class, 'module_id');
    }



    public function user()
    {
        return $this->belongsTo(User::class, 'created_by');
    }

    public function questions()
    {
        return $this->hasMany(QuizQuestion::class, 'quizes_id');
    }

    public function course()
    {
        return $this->belongsTo(Course::class, 'course_id');
    }

    public function exam_attends()
    {
        return $this->hasMany(ExamAttend::class, 'quiz_id');
    }

    public function exam_results()
    {
        return $this->hasMany(ExamResult::class, 'quiz_id');
    }
}
