<?php

namespace App\Providers;

use App\Models\CourseRole;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;
use Illuminate\Contracts\Auth\Guard;
use Illuminate\Pagination\Paginator;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot(Guard $auth)
    {
        ini_set('memory_limit', '150M');
        Paginator::useBootstrap();
        View::composer('*', function ($view) use ($auth) {
            $view->with('courseRole', Auth::check() ? CourseRole::where('user_id', $auth->user()->id)->get() : []);
        });
    }
}
