<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewColumnsToCoursesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('courses', function (Blueprint $table) {
            $table->string('course_principal_advisor')->nullable()->after('requiring_body');
            $table->string('course_advisor')->nullable();
            $table->string('course_director')->nullable();
            $table->string('possible_trainers')->nullable();
            $table->string('mds_approval')->nullable();
            $table->string('mds_comment')->nullable();
            $table->string('rector_approval')->nullable();
            $table->string('rector_comments')->nullable();
            $table->tinyInteger('is_approved')->default(0)->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->foreign('created_by')->references('id')->on('users');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('courses', function (Blueprint $table) {
            //
        });
    }
}
