<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrainerEvaluationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trainer_evaluations', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('lesson_id');
            $table->unsignedBigInteger('user_id');
            $table->string('theoretical_portion');
            $table->string('citation_of_practical_examples');
            $table->string('describing_the_power_sector_relevance');
            $table->string('capacity_to_make_the_topic_understandable');
            $table->string('language_proficiency');
            $table->string('capacity_to_increase_trainees_involvement');
            $table->string('timeliness');
            $table->string('capacity_to_involve_multi_disciplinary_knowledge');
            $table->string('capacity_to_answer_the_question');
            $table->string('training_materials');
            $table->string('capacity_to_control_the_class');
            $table->string('interaction_with_the_trainees');
            $table->string('overall_training_capacity');

            $table->foreign('lesson_id')->references('id')->on('lessons')->onDelete('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trainer_evaluations');
    }
}
