<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateQuizesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('quizes', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->unsignedBigInteger('category_id')->nullable();
            $table->unsignedBigInteger('subcategory_id')->nullable();
            $table->unsignedBigInteger('course_id');
            $table->string('pass_percentage')->nullable();
            $table->string('description')->nullable();
            $table->string('status')->default(1);
            $table->unsignedBigInteger('created_by');

            $table->foreign('category_id')->references('id')->on('quiz_categories')->onDelete('cascade');
            $table->foreign('subcategory_id')->references('id')->on('quiz_categories')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('quizs');
    }
}
