<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCourseSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('course_settings', function (Blueprint $table) {
            $table->id();
            $table->string('allow_users_marking_learning_points')->nullable();
            $table->string('allow_users_giving_attendance')->nullable();
            $table->string('default_learning_point_mark')->nullable();
            $table->string('default_assignment_mark')->nullable();
            $table->string('default_presentation_mark')->nullable();
            $table->string('day_absent_cut_percentage')->nullable();
            $table->string('lesson_absent_cut_percentage')->nullable();
            $table->unsignedBigInteger('course_id');
            $table->foreign('course_id')->references('id')->on('courses')->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('course_settings');
    }
}
