<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFinalCourseEvaluationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('final_course_evaluations', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('course_id')->nullable();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->string('registration_no')->nullable();
            $table->string('training_type')->nullable();
            $table->string('training_hours')->nullable();
            $table->string('practical_included')->nullable();
            $table->string('worthwhile_course')->nullable();
            $table->string('recommand_to_officer')->nullable();
            $table->string('experience_rate')->nullable();
            $table->string('curriculum_relevancy')->nullable();
            $table->string('curriculum_design')->nullable();
            $table->text('comments_for_course')->nullable();
            $table->text('quality_of_class_facility')->nullable();
            $table->text('services_provided_by_Course_Management')->nullable();
            $table->text('presentations_and_handouts')->nullable();
            $table->text('comments_for_bpmi')->nullable();
            $table->string('lectures_consistent_with_course_curriculum')->nullable();
            $table->string('resource_persons_stimulated_interest_relevant_subjects')->nullable();
            $table->string('resource_persons_managed_class_time')->nullable();
            $table->string('instructors_organized_and_prepared')->nullable();
            $table->string('instructors_encourage_discussions_questions')->nullable();
            $table->string('instructors_appropriate_instructional_methods')->nullable();
            $table->text('comments_for_resource_persons')->nullable();
            $table->string('contribute_inclass_activities')->nullable();
            $table->string('achieved_learning_outcomes')->nullable();
            $table->string('confidence_level_increased')->nullable();
            $table->string('learn_more_self_learning_process')->nullable();
            $table->text('comments_for_trainee')->nullable();
            $table->text('overall_comments')->nullable();
            $table->string('changes_recommandation_type')->nullable();
            $table->text('changes_recommend_for_improvement')->nullable();
            $table->text('best_thing_in_course')->nullable();
            $table->text('least_thing_in_course')->nullable();
            $table->text('constructive_comments')->nullable();
            $table->foreign('course_id')->references('id')->on('courses')->onDelete('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('final_course_evaluations');
    }
}
