<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAllowanceAcknowledgementsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('allowance_acknowledgements', function (Blueprint $table) {
            $table->id();
            $table->string('total_present');
            $table->string('total_absent');
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('course_id');
            $table->string('payment_method');
            $table->string('total_payable_amount')->default(0);
            $table->string('mobile_banking_number')->nullable();
            $table->boolean('is_payment_completed')->default(0);
            $table->boolean('is_acknowledged')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('allowance_acknowledgements');
    }
}
