<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddExamModuleIdColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('quizes', function (Blueprint $table) {
            $table->unsignedBigInteger('exam_module_id')->nullable()->after('id');
            $table->foreign('exam_module_id')->references('id')->on('exam_modules');
        });
        Schema::table('assignment_files', function (Blueprint $table) {
            $table->unsignedBigInteger('exam_module_id')->nullable()->after('id');
            $table->foreign('exam_module_id')->references('id')->on('exam_modules');
        });
        Schema::table('presentation_files', function (Blueprint $table) {
            $table->unsignedBigInteger('exam_module_id')->nullable()->after('id');
            $table->foreign('exam_module_id')->references('id')->on('exam_modules');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('quizes', function (Blueprint $table) {
            $table->dropColumn('exam_module_id');
        });
        Schema::table('assignment_files', function (Blueprint $table) {
            $table->dropColumn('exam_module_id');
        });
        Schema::table('presentation_files', function (Blueprint $table) {
            $table->dropColumn('exam_module_id');
        });
    }
}
