<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateExamMarksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('exam_marks', function (Blueprint $table) {
            $table->id();
            $table->float('marks',8,2)->nullable();
            $table->unsignedBigInteger('trainee_id');
            $table->unsignedBigInteger('exam_module_id');
            $table->unsignedBigInteger('created_by');
            $table->foreign('trainee_id')->references('id')->on('users');
            $table->foreign('exam_module_id')->references('id')->on('exam_modules');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('exam_marks');
    }
}
