   $(document).ready(function () {
   
//    var  = "{{ url('/') }}";
     
   $.ajaxSetup({
       headers: {
       'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
       }
   });
     
   var calendar = $('#calendar').fullCalendar({
                       editable: true,
                       events:  "/calender",
                       displayEventTime: false,
                       editable: true,
                       eventRender: function (event, element, view) {
                           if (event.allDay === 'true') {
                                   event.allDay = true;
                           } else {
                                   event.allDay = false;
                           }
                       },
                       selectable: true,
                       selectHelper: true,
                       select: function (start, end, allDay) {
                           var title = prompt('Title:');
                           if (title) {
                               var start = $.fullCalendar.formatDate(start, "Y-MM-DD");
                               var end = $.fullCalendar.formatDate(end, "Y-MM-DD");
                               $.ajax({
                                   url:   "/calenderAjax",
                                   data: {
                                       title: title,
                                       start: start,
                                       end: end,
                                       type: 'add'
                                   },
                                   type: "POST",
                                   success: function (data) {
                                       displayMessage(" Created Successfully");
     
                                       calendar.fullCalendar('renderEvent',
                                           {
                                               id: data.id,
                                               title: title,
                                               start: start,
                                               end: end,
                                               allDay: allDay
                                           },true);
     
                                       calendar.fullCalendar('unselect');
                                   }
                               });
                           }
                       },
                       eventDrop: function (event, delta) {
                           var start = $.fullCalendar.formatDate(event.start, "Y-MM-DD");
                           var end = $.fullCalendar.formatDate(event.end, "Y-MM-DD");
     
                           $.ajax({
                               url:   '/calenderAjax',
                               data: {
                                   title: event.title,
                                   start: start,
                                   end: end,
                                   id: event.id,
                                   type: 'update'
                               },
                               type: "POST",
                               success: function (response) {
                                   displayMessage("Updated Successfully");
                               }
                           });
                       },
                       eventClick: function (event) {
                           var deleteMsg = confirm("Do you really want to delete?");
                           if (deleteMsg) {
                               $.ajax({
                                   type: "POST",
                                   url:   '/calenderAjax',
                                   data: {
                                           id: event.id,
                                           type: 'delete'
                                   },
                                   success: function (response) {
                                       calendar.fullCalendar('removeEvents', event.id);
                                       displayMessage("Deleted Successfully");
                                   }
                               });
                           }
                       }
    
                   });
    
   });
    
   function displayMessage(message) {
       toastr.success(message);
   } 
