$(function () {
    var token=$('meta[name="csrf-token"]').attr('content');
    $('select[name="course_id"]').on('change', function () {
        var course_id = $(this).val();
        if (course_id) {
            $.ajax({
                url: '/get-students/' + course_id,
                type: "GET",
                dataType: "json",
                success: function (data) {
                    $('select[name="trainee_id"]').empty();
                    if (data.length > 0) {
                        $('select[name="trainee_id"]').append('<option value="">Select Trainee</option>');
                        $.each(data, function (key, value) {
                            $('select[name="trainee_id"]').append('<option value="' + value.id + '">' + value.name + '</option>');
                        });
                    }
                }
            });
        } else {
            $('select[name="trainee_id"]').empty();
        }
    });

    $('#print-cert').on("click", function (e) {
        e.preventDefault();
        var mywindow = window.open("", "PRINT");
        var is_chrome = Boolean(mywindow.chrome);
        mywindow.document.write(
            '<html><head style="padding:0; margin:0 auto"><title>' + "" + "</title>"
        );
        mywindow.document.write(
            "<style>.certificate{background-image: url(https://tm.orionisbd.com/images/certificate.jpg);background-size: 100% auto; width: 700px;height: 700px;margin: 50px auto 0;padding: 70px 0 0 70px;background-repeat: no-repeat;position: relative;background-position: center center;} .certificate .body{position: absolute;top: 43%;left: 11%;width: 615px;text-align: center;font-size: 15px;line-height: 2.5rem;font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;}.certificate .flex{display: flex;justify-content: space-between;line-height: 1.4rem;margin-top: 15px;font-size: 16px;}.certificate .body .name{font-family: 'Edwardian Script ITC', Arial, sans-serif;font-size: 32px;font-weight: 500;}.certificate .body .designation{font-size: 16px;}.certificate .body .reason{font-size: 17px;}.certificate .body .course{font-size: 20px;}.certificate .body .held{font-size: 15px;}</style>"
        );
        mywindow.document.write('</head><body style="zoom:100%">');
        mywindow.document.write(document.getElementById("printable").outerHTML);
        mywindow.document.write("</body></html>");
        if (is_chrome) {
            setTimeout(function () {
                // wait until all resources loaded
                mywindow.document.close(); // necessary for IE >= 10
                mywindow.focus(); // necessary for IE >= 10*/
                mywindow.print();
                //mywindow.close();
            }, 500);
        } else {
            mywindow.document.close(); // necessary for IE >= 10
            mywindow.focus(); // necessary for IE >= 10*/
            mywindow.print();
            //mywindow.close();
        }
        return true;
    });
    $('#find-certificate').on("submit", function (e) {
        e.preventDefault();
        let course_id = $('select[name="course_id"]').val()
        let trainee_id = $('select[name="trainee_id"]').val()
        $.ajax({
            url: 'generate-certificate',
            type: 'POST',
            data: {
                "_token": token,
                course_id: course_id,
                trainee_id: trainee_id,
            },
            success: function (response) {
                console.log(response);
                // if (response.res) {
                //     $('.certificate .body .name').text(response.res.trainee_name)
                //     $('.certificate .body .designation').text(response.res.designation)
                //     $('.certificate .body .course').text(response.res.course)
                //     $('.certificate .body .start_date').text(response.res.start_date)
                //     $('.certificate .body .end_date').text(response.res.end_date)
                //     $('.certificate .body .year').text(response.res.year)
                //     $('.course_id').val(course_id)
                //     $('.trainee_id').val(trainee_id)
                //     $('.certificate-wrapper').show()
                // }
                if (response instanceof Array) {
                    $('#resultTable').show();
                    $.each(response , function(index, val) {
                        var rows = " ";
                        rows += `
                            <tr>
                                <td class="col-2">
                                    ${val.data.trainee_name}
                                </td>
                                <td class="col-2">
                                    ${val.results.total_exam_module_marks}
                                </td>
                                <td class="col-2">
                                    ${val.results.trainee_total_number}
                                </td>
                                <td class="col-2">
                                    ${val.percentage}
                                </td>
                                <td class="col-2">
                                    ${val.paymentStatus?'Paid':'Due'}
                                </td>
                                <td class="col-2">
                                    <a href="/certificate/${val.data.course_id}?trainee=${val.data.trainee_id}" class="btn btn-success btn-sm cert_download">Download Certificate</a>
                                </td>
                            </tr>
                            `
                        $('#resultPage').append(rows);
                    });
                } else {
                    $('#resultTable').show();
                    var rows = " ";
                        rows += `
                            <tr>
                                <td class="col-2">
                                    ${response.res.trainee_name}
                                </td>
                                <td class="col-2">
                                    ${response.results.total_exam_module_marks}
                                </td>
                                <td class="col-2">
                                    ${response.results.trainee_total_number}
                                </td>
                                <td class="col-2">
                                    ${response.percentage}
                                </td>
                                <td class="col-2">
                                    ${response.paymentStatus?'Paid':'Due'}
                                </td>
                                <td class="col-2">
                                    <a href="" class="btn btn-success btn-sm cert_download">Download Certificate</a>
                                </td>
                            </tr>
                            `
                $('#resultPage').html(rows);
                $('.cert_download').attr("href", "/certificate/"+response.res.course_id+"?trainee="+ response.res.trainee_id);
            }
        },
            error: function (results) {
                $('.certificate-wrapper').hide()
                swal.fire("Error!", results.responseJSON.res, "error");
            },
        });

    })
});
