@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('cruds.nomination.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="">
            <table class=" table table-bordered datatable-Nomination">
                <thead>
                    <tr>
                        <th>
                            No
                        </th>
                        <th>
                            Course Title
                        </th>
                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($courses as $key => $course)
                    <tr data-entry-id="{{ $course->id }}">
                        <td>
                            {{$key+1}}
                        </td>
                        <td>
                            {{ $course->title ?? ''}}
                        </td>

                        <td>
                            @can('trainee_approve',$courseRole)
                           
                        <span class="badge badge-pill badge-success"></span>
                          
                               <a class="btn btn-xs btn-success"  href="{{ route('organization.trainee', $course->id) }}">
                            
                                View Trainee
                           
                             </a>
                       
                         
                            @endcan


                        </td>

                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>


@endsection
@section('scripts')
@parent
<script>
    $(document).ready( function(){
        var table = $('.datatable-Nomination').DataTable({
            "order": []
        })
    });
</script>
@endsection