@extends('layouts.admin')
@section('styles')
<style>
    li
    {
        list-style: none;
        line-height: 2rem;
    }
    .badge-info
    {
        padding: 9px;
        line-height: 0.5rem;
    }
</style>
@stop
@section('content')
<div class="card">
    <div class="card-header">
        Organization wise trainee
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover">
                <thead>
                    <tr>
                        <th>
                            Organization
                        </th>
                        <th>
                            Trainee
                        </th>
                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($nominatedTrainees as $org => $trainees)
                    <tr>
                        <td>
                            {{ $org }}
                        </td>
                        <td>
                         @foreach ($trainees as $trainee)
                         <li>
                            {{ $trainee->user->name  ?? ''}} <br>{{$trainee->user->userDesignation?$trainee->user->userDesignation->name:''}}
                            @if ($trainee->approve == 1) 
                            <span class="badge badge-success">Approved</span>
                            @elseif($trainee->approve == 3)
                            <span class="badge badge-danger">Denied</span>
                            @else
                                <input type="hidden" name="trainee_id[]" value="{{$trainee->id}}">
                                <button class="btn btn-xs btn-info approve_single"  type="submit">
                                <i class="fa fa-check"></i> Click to Approve
                                </button>
                                <input type="hidden" name="nomination_id" value="{{$trainee->id}}">
                                <button class="btn btn-xs btn-danger deny_single"  type="submit">
                                <i class="fa fa-close"></i> Deny
                                </button>
                            @endif
                         </li>
                         @endforeach
                        </td>
                        <td>
                            @php
                             $filtered_collection = $trainees->filter(function ($item) {
                                return $item->approve==1;
                            })->count();
                            @endphp
                            @if(count($trainees) > $filtered_collection)
                            @can('trainee_approve',$courseRole)
                            <span class="badge badge-pill badge-success"></span>
                               <button class="btn btn-xs btn-info approve_all">
                                <i class="fa fa-check"></i>Click Approve All
                             </button>
                            @endcan
                            @endif
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
        $('.approve_all').on('click', function(){
            Swal.fire({
                title: 'Processing',
                text: "please wait...",
                imageUrl: "https://www.boasnotas.com/img/loading2.gif",
                showCancelButton: false,
                allowOutsideClick: false,
                showConfirmButton: false,
            })
            const trainee_id= $(this).closest('tr').find('input[name^="trainee_id"]').map(function(){return $(this).val()}).get();
            const type='multiple';
            var url = "{{ route('trainee.approve') }}";

            $.ajax({
                method: 'POST',
                url: url,
                data: {
                    "_token": "{{ csrf_token() }}",
                    trainee_id: trainee_id,
                    type: type,
                },
                success: function(response) {
                        swal.fire("Success!", 'Approved Successfully..!', "success");
                        location.reload()
                },
                error: function(response) {

                },
            }); 
        })

        $('.approve_single').on('click', function(){

            Swal.fire({
                title: 'Processing',
                text: "please wait...",
                imageUrl: "https://www.boasnotas.com/img/loading2.gif",
                showCancelButton: false,
                allowOutsideClick: false,
                showConfirmButton: false,
            })
            const trainee_id=$(this).parent('li').find('input[name^="trainee_id"]').val();
            const type='single';
            var url = "{{ route('trainee.approve') }}";

            $.ajax({
                method: 'POST',
                url: url,
                data: {
                    "_token": "{{ csrf_token() }}",
                    trainee_id: trainee_id,
                    type: type,
                },
                success: function(response) {
                        swal.fire("Success!", 'Approved Successfully..!', "success");
                        location.reload()
                },
                error: function(response) {

                },
            });        
           
        })


        $('.deny_single').on('click', function(){

            Swal.fire({
                title: 'Processing',
                text: "please wait...",
                imageUrl: "https://www.boasnotas.com/img/loading2.gif",
                showCancelButton: false,
                allowOutsideClick: false,
                showConfirmButton: false,
            })
            const nomination_id=$(this).parent('li').find('input[name^="nomination_id"]').val();
            
            var url = "{{ route('trainee.deny') }}";

            $.ajax({
                method: 'POST',
                url: url,
                data: {
                    "_token": "{{ csrf_token() }}",
                    nomination_id: nomination_id,
                
                },
                success: function(response) {
                        swal.fire("Success!", 'Deny Successfully..!', "success");
                        location.reload()
                },
                error: function(response) {

                },
            });        
           
        })

        let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
        @can('trainee_approve',$courseRole)
        let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
        let deleteButton = {
            text: deleteButtonTrans,
            url: "",
            className: 'btn-danger',
            action: function (e, dt, node, config) {
                var ids = $.map(dt.rows({
                    selected: true
                }).nodes(), function (entry) {
                    return $(entry).data('entry-id')
                });

                if (ids.length === 0) {
                    alert('{{ trans('global.datatables.zero_selected ') }}')

                    return
                }

                if (confirm('{{ trans('global.areYouSure ') }}')) {
                    $.ajax({
                            headers: {
                                'x-csrf-token': _token
                            },
                            method: 'POST',
                            url: config.url,
                            data: {
                                ids: ids,
                                _method: 'DELETE'
                            }
                        })
                        .done(function () {
                            location.reload()
                        })
                }
            }
        }
        dtButtons.push(deleteButton)
        @endcan

        $.extend(true, $.fn.dataTable.defaults, {
            orderCellsTop: true,
            order: [
                [1, 'desc']
            ],
            pageLength: 100,
        });
        let table = $('.datatable-item:not(.ajaxTable)').DataTable({
            buttons: dtButtons
        })
        $('a[data-toggle="tab"]').on('shown.bs.tab click', function (e) {
            $($.fn.dataTable.tables(true)).DataTable()
                .columns.adjust();
        });

    })

</script>
@endsection
