@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.courseAssociateOfficer.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("course-associate-officers.update", [$courseAssociateOfficer->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label class="required" for="responsibilty">{{ trans('cruds.courseAssociateOfficer.fields.responsibilty') }}</label>
                <input class="form-control {{ $errors->has('responsibilty') ? 'is-invalid' : '' }}" type="text" name="responsibilty" id="responsibilty" value="{{ old('responsibilty', $courseAssociateOfficer->responsibilty) }}" required>
                @if($errors->has('responsibilty'))
                    <div class="invalid-feedback">
                        {{ $errors->first('responsibilty') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.courseAssociateOfficer.fields.responsibilty_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="user_id">{{ trans('cruds.courseAssociateOfficer.fields.user') }}</label>
                <select class="form-control select2 {{ $errors->has('user') ? 'is-invalid' : '' }}" name="user_id" id="user_id" required>
                    @foreach($users as $id => $entry)
                        <option value="{{ $id }}" {{ (old('user_id') ? old('user_id') : $courseAssociateOfficer->user->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('user'))
                    <div class="invalid-feedback">
                        {{ $errors->first('user') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.courseAssociateOfficer.fields.user_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="course_id">{{ trans('cruds.courseAssociateOfficer.fields.course') }}</label>
                <select class="form-control select2 {{ $errors->has('course') ? 'is-invalid' : '' }}" name="course_id" id="course_id" required>
                    @foreach($courses as $id => $entry)
                        <option value="{{ $id }}" {{ (old('course_id') ? old('course_id') : $courseAssociateOfficer->course->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('course'))
                    <div class="invalid-feedback">
                        {{ $errors->first('course') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.courseAssociateOfficer.fields.course_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection