@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        New Course Initiaion
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route('course-initiation.store') }}">
            @csrf
            <div class="form-group">
                <label class="required" for="course_title">Course Title</label>
                <input class="form-control {{ $errors->has('course_title') ? 'is-invalid' : '' }}" type="text" name="course_title" id="course_title" value="{{ old('course_title', '') }}" required>
                @if($errors->has('course_title'))
                <div class="invalid-feedback">
                    {{ $errors->first('course_title') }}
                </div>
                @endif
            </div>
            <div class="form-group">
                <label for="batch_id">{{ trans('cruds.nomination.fields.batch') }}</label>
                <select class="form-control select2 {{ $errors->has('batch') ? 'is-invalid' : '' }}" name="batch_id" id="batch_id" required>
                    @foreach($batches as $id => $batch)
                    <option value="{{ $batch->id }}">{{ $batch->name }}</option>
                    @endforeach
                </select>
                @if($errors->has('batch'))
                <div class="invalid-feedback">
                    {{ $errors->first('batch') }}
                </div>
                @endif
                <span class="help-block">{{ trans('cruds.nomination.fields.batch_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="status">Course Director</label>
                <select class="form-control select2 ajaxSearch" name="course_director" id="course_director" required></select>
                @if($errors->has('course_director'))
                <div class="invalid-feedback">
                    {{ $errors->first('course_director') }}
                </div>
                @endif
            </div>

            <div class="form-group">
                <label for="instruction">Instruction</label>
                <textarea name="instruction" id="instruction" class="form-control" cols="20" rows="10"></textarea>
            </div>
            <div class="form-group">
                <button class="btn btn-success" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>

@endsection
@section('scripts')
<script>
    $(document).ready(function() {
        $(".ajaxSearch").select2({
            tags: false,
            multiple: false,
            tokenSeparators: [',', ' '],
            minimumInputLength: 2,
            minimumResultsForSearch: 10,
            ajax: {
                url: "{{ route('staff.search') }}",
                dataType: "json",
                type: "GET",
                data: function(params) {
                    var queryParameters = {
                        term: params.term
                    }
                    return queryParameters;
                },
                processResults: function(data) {
                    return {
                        results: $.map(data, function(item) {
                            return {
                                text: item.name,
                                id: item.id
                            }
                        })
                    };
                },
                cache: false
            }
        });
    });
</script>

@endsection