@extends('layouts.admin')
@section('content')
@can('course_initiation_create',$courseRole)
<div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('course-initiation.create') }}">
                New Course Initiation
            </a>
        </div>
    </div>  
@endcan

<div class="card">
    <div class="card-header">
        Course Intiation List
    </div>
    <div class="card-body">
        <div class="">
            <table class=" table table-bordered datatable-cinit">
                <thead>
                    <tr>
                        <th>
                            No
                        </th>
                        <th>
                            Course Title
                        </th>
                        <th>
                           Course Director
                        </th>
                        <th>
                            Action
                        </th>
                    
                    </tr>
                </thead>
                <tbody>
                    @foreach($ci as $key => $CourseInit)
                        <tr data-entry-id="{{ $CourseInit->id }}">
                            <td>
                                {{$key+1}}
                            </td>

                            <td>
                                {{ $CourseInit->course_title ?? '' }}
                            </td>
                            <td>
                                {{ $CourseInit->courseDirector?$CourseInit->courseDirector->name: '' }}
                            </td>
                           
                            <td>
                                @php
                                $val=false;
                                $course_created=$CourseInit->course()->exists();
                               
                                $auth_id= auth()->user()->id;
                              
                                @endphp
                               
                            
                                @if($course_created==false && $CourseInit->course_director==$auth_id)
                                <a class="btn btn-xs btn-success" href="{{ route('course-create', $CourseInit->id) }}">
                                    Course Approval Form
                                </a>
                                @endif
                                
                                
                                
                                <a class="btn btn-xs btn-primary" href="{{ route('course-initiation.show', $CourseInit->id) }}">
                                    {{ trans('global.view') }}
                                </a>
                                @can('course_initiation_edit',$courseRole)
                                <a class="btn btn-xs btn-info" href="{{ route('course-initiation.edit', $CourseInit->id) }}">
                                    {{ trans('global.edit') }}
                                </a>
                                @endcan
                                @can('course_initiation_delete',$courseRole)
                                <form action="{{ route('course-initiation.destroy', $CourseInit->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                    <input type="hidden" name="_method" value="DELETE">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                    <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                </form>
                                @endcan
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>


@endsection
@section('scripts')
@parent
<script> 
    $(document).ready( function(){
    var table = $('.datatable-cinit').DataTable({"ordering": false})
    });
</script>
@endsection