@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.coursefeepayment.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("coursefeepayments.update", [$coursefeepayment->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label class="required" for="name">{{ trans('cruds.coursefeepayment.fields.name') }}</label>
                <input class="form-control {{ $errors->has('name') ? 'is-invalid' : '' }}" type="text" name="name" id="name" value="{{ old('name', $coursefeepayment->name) }}" required>
                @if($errors->has('name'))
                    <div class="invalid-feedback">
                        {{ $errors->first('name') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.name_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="designation_id">{{ trans('cruds.coursefeepayment.fields.designation') }}</label>
                <select class="form-control select2 {{ $errors->has('designation') ? 'is-invalid' : '' }}" name="designation_id" id="designation_id" required>
                    @foreach($designations as $id => $entry)
                        <option value="{{ $id }}" {{ (old('designation_id') ? old('designation_id') : $coursefeepayment->designation->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('designation'))
                    <div class="invalid-feedback">
                        {{ $errors->first('designation') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.designation_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="traineeorganization_id">{{ trans('cruds.coursefeepayment.fields.traineeorganization') }}</label>
                <select class="form-control select2 {{ $errors->has('traineeorganization') ? 'is-invalid' : '' }}" name="traineeorganization_id" id="traineeorganization_id" required>
                    @foreach($traineeorganizations as $id => $entry)
                        <option value="{{ $id }}" {{ (old('traineeorganization_id') ? old('traineeorganization_id') : $coursefeepayment->traineeorganization->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('traineeorganization'))
                    <div class="invalid-feedback">
                        {{ $errors->first('traineeorganization') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.traineeorganization_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="registration_no">{{ trans('cruds.coursefeepayment.fields.registration_no') }}</label>
                <input class="form-control {{ $errors->has('registration_no') ? 'is-invalid' : '' }}" type="text" name="registration_no" id="registration_no" value="{{ old('registration_no', $coursefeepayment->registration_no) }}" required>
                @if($errors->has('registration_no'))
                    <div class="invalid-feedback">
                        {{ $errors->first('registration_no') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.registration_no_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="pbs_reb_office_name">{{ trans('cruds.coursefeepayment.fields.pbs_reb_office_name') }}</label>
                <input class="form-control {{ $errors->has('pbs_reb_office_name') ? 'is-invalid' : '' }}" type="text" name="pbs_reb_office_name" id="pbs_reb_office_name" value="{{ old('pbs_reb_office_name', $coursefeepayment->pbs_reb_office_name) }}" required>
                @if($errors->has('pbs_reb_office_name'))
                    <div class="invalid-feedback">
                        {{ $errors->first('pbs_reb_office_name') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.pbs_reb_office_name_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="mobile_no">{{ trans('cruds.coursefeepayment.fields.mobile_no') }}</label>
                <input class="form-control {{ $errors->has('mobile_no') ? 'is-invalid' : '' }}" type="text" name="mobile_no" id="mobile_no" value="{{ old('mobile_no', $coursefeepayment->mobile_no) }}" required>
                @if($errors->has('mobile_no'))
                    <div class="invalid-feedback">
                        {{ $errors->first('mobile_no') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.mobile_no_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="bank_name">{{ trans('cruds.coursefeepayment.fields.bank_name') }}</label>
                <input class="form-control {{ $errors->has('bank_name') ? 'is-invalid' : '' }}" type="text" name="bank_name" id="bank_name" value="{{ old('bank_name', $coursefeepayment->bank_name) }}" required>
                @if($errors->has('bank_name'))
                    <div class="invalid-feedback">
                        {{ $errors->first('bank_name') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.bank_name_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="branch">{{ trans('cruds.coursefeepayment.fields.branch') }}</label>
                <input class="form-control {{ $errors->has('branch') ? 'is-invalid' : '' }}" type="text" name="branch" id="branch" value="{{ old('branch', $coursefeepayment->branch) }}" required>
                @if($errors->has('branch'))
                    <div class="invalid-feedback">
                        {{ $errors->first('branch') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.branch_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="bank_account_no">{{ trans('cruds.coursefeepayment.fields.bank_account_no') }}</label>
                <input class="form-control {{ $errors->has('bank_account_no') ? 'is-invalid' : '' }}" type="text" name="bank_account_no" id="bank_account_no" value="{{ old('bank_account_no', $coursefeepayment->bank_account_no) }}" required>
                @if($errors->has('bank_account_no'))
                    <div class="invalid-feedback">
                        {{ $errors->first('bank_account_no') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.bank_account_no_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required">{{ trans('cruds.coursefeepayment.fields.payment_method') }}</label>
                <select class="form-control {{ $errors->has('payment_method') ? 'is-invalid' : '' }}" name="payment_method" id="payment_method" required>
                    <option value disabled {{ old('payment_method', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                    @foreach(App\Models\Coursefeepayment::PAYMENT_METHOD_SELECT as $key => $label)
                        <option value="{{ $key }}" {{ old('payment_method', $coursefeepayment->payment_method) === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                    @endforeach
                </select>
                @if($errors->has('payment_method'))
                    <div class="invalid-feedback">
                        {{ $errors->first('payment_method') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.payment_method_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="amount">{{ trans('cruds.coursefeepayment.fields.amount') }}</label>
                <input class="form-control {{ $errors->has('amount') ? 'is-invalid' : '' }}" type="number" name="amount" id="amount" value="{{ old('amount', $coursefeepayment->amount) }}" step="0.01" required>
                @if($errors->has('amount'))
                    <div class="invalid-feedback">
                        {{ $errors->first('amount') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.amount_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="reference_no">{{ trans('cruds.coursefeepayment.fields.reference_no') }}</label>
                <input class="form-control {{ $errors->has('reference_no') ? 'is-invalid' : '' }}" type="text" name="reference_no" id="reference_no" value="{{ old('reference_no', $coursefeepayment->reference_no) }}" required>
                @if($errors->has('reference_no'))
                    <div class="invalid-feedback">
                        {{ $errors->first('reference_no') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.reference_no_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="date_of_cheque">{{ trans('cruds.coursefeepayment.fields.date_of_cheque') }}</label>
                <input class="form-control date {{ $errors->has('date_of_cheque') ? 'is-invalid' : '' }}" type="text" name="date_of_cheque" id="date_of_cheque" value="{{ old('date_of_cheque', $coursefeepayment->date_of_cheque) }}" required>
                @if($errors->has('date_of_cheque'))
                    <div class="invalid-feedback">
                        {{ $errors->first('date_of_cheque') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.date_of_cheque_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="submit_date">{{ trans('cruds.coursefeepayment.fields.submit_date') }}</label>
                <input class="form-control date {{ $errors->has('submit_date') ? 'is-invalid' : '' }}" type="text" name="submit_date" id="submit_date" value="{{ old('submit_date', $coursefeepayment->submit_date) }}" required>
                @if($errors->has('submit_date'))
                    <div class="invalid-feedback">
                        {{ $errors->first('submit_date') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.submit_date_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="image_cheque">{{ trans('cruds.coursefeepayment.fields.image_cheque') }}</label>
                <div class="needsclick dropzone {{ $errors->has('image_cheque') ? 'is-invalid' : '' }}" id="image_cheque-dropzone">
                </div>
                @if($errors->has('image_cheque'))
                    <div class="invalid-feedback">
                        {{ $errors->first('image_cheque') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.image_cheque_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="image_submit_slip">{{ trans('cruds.coursefeepayment.fields.image_submit_slip') }}</label>
                <div class="needsclick dropzone {{ $errors->has('image_submit_slip') ? 'is-invalid' : '' }}" id="image_submit_slip-dropzone">
                </div>
                @if($errors->has('image_submit_slip'))
                    <div class="invalid-feedback">
                        {{ $errors->first('image_submit_slip') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.coursefeepayment.fields.image_submit_slip_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection

@section('scripts')
<script>
    Dropzone.options.imageChequeDropzone = {
    url: '{{ route('coursefeepayments.storeMedia') }}',
    maxFilesize: 2, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 2
    },
    success: function (file, response) {
      $('form').find('input[name="image_cheque"]').remove()
      $('form').append('<input type="hidden" name="image_cheque" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="image_cheque"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
@if(isset($coursefeepayment) && $coursefeepayment->image_cheque)
      var file = {!! json_encode($coursefeepayment->image_cheque) !!}
          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="image_cheque" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    Dropzone.options.imageSubmitSlipDropzone = {
    url: '{{ route('coursefeepayments.storeMedia') }}',
    maxFilesize: 2, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 2
    },
    success: function (file, response) {
      $('form').find('input[name="image_submit_slip"]').remove()
      $('form').append('<input type="hidden" name="image_submit_slip" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="image_submit_slip"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
@if(isset($coursefeepayment) && $coursefeepayment->image_submit_slip)
      var file = {!! json_encode($coursefeepayment->image_submit_slip) !!}
          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="image_submit_slip" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
@endsection