@extends('layouts.admin')
@section('content')
@can('coursefeepayment_create',$courseRole)
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('coursefeepayments.create') }}">
                {{ trans('global.add') }} {{ trans('cruds.coursefeepayment.title_singular') }}
            </a>
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.coursefeepayment.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="">
            <table class=" table table-bordered datatable-Coursefeepayment">
                <thead>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.name') }}
                        </th>
                        
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.registration_no') }}
                        </th>
                        
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.mobile_no') }}
                        </th>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.bank_name') }}
                        </th>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.branch') }}
                        </th>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.bank_account_no') }}
                        </th>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.payment_method') }}
                        </th>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.amount') }}
                        </th>
                        
                       
                  
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($coursefeepayments as $key => $coursefeepayment)
                        <tr data-entry-id="{{ $coursefeepayment->id }}">
                            <td>
                                {{ $coursefeepayment->name ?? '' }}
                            </td>
                            <td>
                                {{ $coursefeepayment->registration_no ?? '' }}
                            </td>
                           
                            <td>
                                {{ $coursefeepayment->mobile_no ?? '' }}
                            </td>
                            <td>
                                {{ $coursefeepayment->bank_name ?? '' }}
                            </td>
                            <td>
                                {{ $coursefeepayment->branch ?? '' }}
                            </td>
                            <td>
                                {{ $coursefeepayment->bank_account_no ?? '' }}
                            </td>
                            <td>
                                {{ App\Models\Coursefeepayment::PAYMENT_METHOD_SELECT[$coursefeepayment->payment_method] ?? '' }}
                            </td>
                            <td>
                                {{ $coursefeepayment->amount ?? '' }}
                            </td>
                            
                            
                           
                            <td>
                                @can('coursefeepayment_show',$courseRole)
                                    <a class="btn btn-xs btn-primary" href="{{ route('coursefeepayments.show', $coursefeepayment->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('coursefeepayment_edit',$courseRole)
                                    <a class="btn btn-xs btn-info" href="{{ route('coursefeepayments.edit', $coursefeepayment->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('coursefeepayment_delete',$courseRole)
                                    <form action="{{ route('coursefeepayments.destroy', $coursefeepayment->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>


@endsection
@section('scripts')
@parent
<script>
    $(document).ready( function(){
    var table = $('.datatable-Coursefeepayment').DataTable()
    });
</script>
@endsection