@extends('layouts.admin')
@section('content')
    @can('coursefeepayment_create', $courseRole)
        <div style="margin-bottom: 10px;" class="row">
            <div class="col-lg-12">
                <a class="btn btn-success" href="{{ route('coursefeepayments.create') }}">
                    {{ trans('global.add') }} {{ trans('cruds.coursefeepayment.title_singular') }}
                </a>
            </div>
        </div>
    @endcan
    <div class="card">
        <div class="card-header">
            {{ trans('cruds.coursefeepayment.title_singular') }} {{ trans('global.list') }}
        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class=" table table-bordered table-striped table-hover datatable datatable-Coursefeepayment">
                    <thead>
                        <tr>
                            <th width="10">

                            </th>

                            <th>
                                {{ trans('cruds.coursefeepayment.fields.name') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.registration_no') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.pbs_reb_office_name') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.mobile_no') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.bank_name') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.branch') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.bank_account_no') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.payment_method') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.amount') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.reference_no') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.date_of_cheque') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.submit_date') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.image_cheque') }}
                            </th>
                            <th>
                                {{ trans('cruds.coursefeepayment.fields.image_submit_slip') }}
                            </th>
                            <th>
                                &nbsp;
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($coursefeepayments as $key => $coursefeepayment)
                            <tr data-entry-id="{{ $coursefeepayment->id }}">
                                <td>

                                </td>

                                <td>
                                    {{ $coursefeepayment->name ?? '' }}
                                </td>

                                <td>
                                    {{ $coursefeepayment->registration_no ?? '' }}
                                </td>
                                <td>
                                    {{ $coursefeepayment->pbs_reb_office_name ?? '' }}
                                </td>
                                <td>
                                    {{ $coursefeepayment->mobile_no ?? '' }}
                                </td>
                                <td>
                                    {{ $coursefeepayment->bank_name ?? '' }}
                                </td>
                                <td>
                                    {{ $coursefeepayment->branch ?? '' }}
                                </td>
                                <td>
                                    {{ $coursefeepayment->bank_account_no ?? '' }}
                                </td>
                                <td>
                                    {{ App\Models\Coursefeepayment::PAYMENT_METHOD_SELECT[$coursefeepayment->payment_method] ?? '' }}
                                </td>
                                <td>
                                    {{ $coursefeepayment->amount ?? '' }}
                                </td>
                                <td>
                                    {{ $coursefeepayment->reference_no ?? '' }}
                                </td>
                                <td>
                                    {{ $coursefeepayment->date_of_cheque ?? '' }}
                                </td>
                                <td>
                                    {{ $coursefeepayment->submit_date ?? '' }}
                                </td>
                                <td>
                                    @if ($coursefeepayment->image_cheque)
                                        <a href="{{ $coursefeepayment->image_cheque->getUrl() }}" target="_blank">
                                            {{ trans('global.view_file') }}
                                        </a>
                                    @endif
                                </td>
                                <td>
                                    @if ($coursefeepayment->image_submit_slip)
                                        <a href="{{ $coursefeepayment->image_submit_slip->getUrl() }}" target="_blank">
                                            {{ trans('global.view_file') }}
                                        </a>
                                    @endif
                                </td>
                                <td>
                                    @can('coursefeepayment_show', $courseRole)
                                        <a class="btn btn-xs btn-primary"
                                            href="{{ route('coursefeepayments.show', $coursefeepayment->id) }}">
                                            {{ trans('global.view') }}
                                        </a>
                                    @endcan

                                    @can('coursefeepayment_edit', $courseRole)
                                        <a class="btn btn-xs btn-info"
                                            href="{{ route('coursefeepayments.edit', $coursefeepayment->id) }}">
                                            {{ trans('global.edit') }}
                                        </a>
                                    @endcan

                                    @can('coursefeepayment_delete', $courseRole)
                                        <form action="{{ route('coursefeepayments.destroy', $coursefeepayment->id) }}"
                                            method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');"
                                            style="display: inline-block;">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                            <input type="submit" class="btn btn-xs btn-danger"
                                                value="{{ trans('global.delete') }}">
                                        </form>
                                    @endcan

                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    @parent
    <script>
        $(function() {
            let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
            @can('coursefeepayment_delete', $courseRole)
                let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
                let deleteButton = {
                    text: deleteButtonTrans,
                    url: "{{ route('coursefeepayments.massDestroy') }}",
                    className: 'btn-danger',
                    action: function(e, dt, node, config) {
                        var ids = $.map(dt.rows({
                            selected: true
                        }).nodes(), function(entry) {
                            return $(entry).data('entry-id')
                        });

                        if (ids.length === 0) {
                            alert('{{ trans('global.datatables.zero_selected') }}')

                            return
                        }

                        if (confirm('{{ trans('global.areYouSure') }}')) {
                            $.ajax({
                                    headers: {
                                        'x-csrf-token': _token
                                    },
                                    method: 'POST',
                                    url: config.url,
                                    data: {
                                        ids: ids,
                                        _method: 'DELETE'
                                    }
                                })
                                .done(function() {
                                    location.reload()
                                })
                        }
                    }
                }
                dtButtons.push(deleteButton)
            @endcan

            $.extend(true, $.fn.dataTable.defaults, {
                orderCellsTop: true,
                order: [
                    [1, 'desc']
                ],
                pageLength: 100,
            });
            let table = $('.datatable-Coursefeepayment:not(.ajaxTable)').DataTable({
                buttons: dtButtons
            })
            $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e) {
                $($.fn.dataTable.tables(true)).DataTable()
                    .columns.adjust();
            });

        })
    </script>
@endsection
