@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.coursefeepayment.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('coursefeepayments.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <div class="form-group" style="float: right;">
                 <button type="button" id="print" class="btn btn-success"> <i class="fas fa-print"></i></button>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.name') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.designation') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->user->traineeInfo->designations->name ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.traineeorganization') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->user->traineeInfo->organization->name ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.registration_no') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->registration_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.mobile_no') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->mobile_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.bank_name') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->bank_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.branch') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->branch }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.bank_account_no') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->bank_account_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.payment_method') }}
                        </th>
                        <td>
                            {{ App\Models\Coursefeepayment::PAYMENT_METHOD_SELECT[$coursefeepayment->payment_method] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.amount') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->amount }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.reference_no') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->reference_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.date_of_cheque') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->date_of_cheque }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.submit_date') }}
                        </th>
                        <td>
                            {{ $coursefeepayment->submit_date }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.image_cheque') }}
                        </th>
                        <td>
                            @if($coursefeepayment->image_cheque)
                                <a href="{{ $coursefeepayment->image_cheque->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.image_submit_slip') }}
                        </th>
                        <td>
                            @if($coursefeepayment->image_submit_slip)
                                <a href="{{ $coursefeepayment->image_submit_slip->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('coursefeepayments.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection