@extends('layouts.admin')
@section('content')
<style>
    .img{
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 50%;
    }
</style>
<div class="card">
    <div class="card-header">
        Course Payment List
    </div>
    <div class="card-body">
        <div class="">
            <table class=" table table-bordered datatable-Coursefeepayment">
                <thead>
                    <tr>

                        <th>
                            {{ trans('cruds.coursefeepayment.fields.name') }}
                        </th>
                    
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.mobile_no') }}
                        </th>

                        <th>
                            {{ trans('cruds.coursefeepayment.fields.branch') }}
                        </th>

                        <th>
                            {{ trans('cruds.coursefeepayment.fields.payment_method') }}
                        </th>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.amount') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($course as $key => $course)
                    @if($course->payment)
                    <tr data-entry-id="{{ $course->id }}">
                        <td>
                            {{ $course->payment->name ?? '' }}
                        </td>
                        <td>
                            {{ $course->payment->mobile_no ?? '' }}
                        </td>

                        <td>
                            {{ $course->payment->branch ?? '' }}
                        </td>

                        <td>
                            {{ App\Models\Coursefeepayment::PAYMENT_METHOD_SELECT[$course->payment->payment_method] ?? '' }}
                        </td>
                        <td>
                            {{ $course->payment->amount ?? '' }}
                        </td>

                        <td>
                            @can('coursepayment_access',$courseRole)
                            <a class="btn btn-xs btn-primary"
                                href="{{ route('coursepayment.show', $course->payment->id) }}">
                                {{ trans('global.view') }}
                            </a>
                            @endcan
                            @if ($course->payment->approve)
                            @can('coursepayment_access',$courseRole)
                           
                            <a class="btn btn-xs btn-success"
                                href="javascript:void(0)" href="javascript:void(0)" id="{{$course->payment->id}}" onclick="moneyReceiptModal(this.id)">
                                Money Receipt
                            </a>
                            @endcan
                            @endif


                        </td>

                    </tr>
                    @endif
                    @endforeach
                </tbody>
            </table>

            <!-- MODAL FOR MONEY RECEIPT -->
            <div class="modal fade" id="moneyreceipt" tabindex="-1" role="dialog" aria-labelledby="moneyreceipt"
                aria-hidden="true">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4>Money Receipt</h4>
                           
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-12 text-center">
                                    <img src="{{asset('images/bpmi_header.jpg')}}" alt="bpmi_header" style="max-width: 100%;width: 600px">
                                </div>
                              
                            </div>

                            <div class="row mt-5">
                                <div class="col-4">
                                    <h5>SL NO. <b id="slNo"></b></h5>
                                </div>
                                <div class="col-4" style="text-align: center">
                                    <button class="btn btn-danger">MONEY RECEIPT</button>

                                </div>
                                <div class="col-4" style="text-align: right">
                                    <h5>Date <b id="date"></b></h5>

                                </div>

                            </div>
                            <div class="row mt-3">
                                <div class="col-12">
                                    <p style="font-size: 18px;margin-top: 18px;">Received with thanks from <strong id="name"></strong> . A sum of taka  <strong id="sumofTaka"></strong>  by Cash/Cheque
                                    <strong id="referenceNo"></strong> Bank <strong id="bankName"></strong> against the bill No/Job No......
                                        Date: <strong id="date2"></strong></p>
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-4">
                                    <h5>Taka : <b id="totalTaka"></b></h5>
                                </div>
                                <div class="col-4">

                                </div>
                                <div class="col-4">
                                    <hr>
                                    <p style="font-size:18px">Authorised Singature</p>
                                </div>
                            </div>
                            <div class="row">
                                <form action="{{ route('money-receipt.mail') }}" method="post">
                                    @csrf
                                    <div class="col-4">
                                        <input type="hidden" name="courseFeePaymentId" id="courseFeePaymentId">
                                        <button type="submit" class="btn btn-success center">
                                            Send mail                                           
                                        </button>
                                    </div>
                                </form>
                                
                            </div>

                        </div>
                    </div>
                </div>
            </div>


        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
     $(document).ready( function(){
    var table = $('.datatable-Coursefeepayment').DataTable()
    });

    // MONEY RECEIPT MODAL 
    function moneyReceiptModal(id){
        $.ajax({
                type: 'GET',
                url : '/admin/get-moneyReceiptData/'+id,
                dataType: 'json',
                success:function(response){
                    console.log(response.courseFeePayment);
                    var date = new Date(response.courseFeePayment.updated_at);
                    var year = date.getFullYear();
                    var month = date.getMonth() + 1;
                    var day = date.getDate();
                    document.getElementById('slNo').innerText = response.courseFeePayment.id;
                    document.getElementById('date').innerText = day + '-' + month +  '-' +year;
                    document.getElementById('date2').innerText = day + '-' + month +  '-' +year;
                    document.getElementById('name').innerText = response.courseFeePayment.user.name;
                    document.getElementById('sumofTaka').innerText = response.courseFeePayment.amount;
                    document.getElementById('bankName').innerText = response.courseFeePayment.bank_name;
                    document.getElementById('referenceNo').innerText = response.courseFeePayment.reference_no;
                    document.getElementById('totalTaka').innerText = response.courseFeePayment.amount;
                    let courseFeePaymentId = response.courseFeePayment.id;
                    $('#courseFeePaymentId').val(courseFeePaymentId)

                }
        });    
        $('#moneyreceipt').modal('show');
    }
   


</script>
@endsection
