@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        Show Course Payment
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group" style="float: right;">
                <a class="btn btn-success {{ $coursePayment->approve == 1 ? 'disabled' : '' }} " href="{{ route('coursepayment.approve',$coursePayment->id) }}">
                 {{ $coursePayment->approve ? 'Approved' : 'Approve' }}
                </a>
            </div>
            <div class="form-group" style="float: left;">
                 <button type="button" id="print" class="btn btn-success"> <i class="fas fa-print"></i></button>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                   
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.name') }}
                        </th>
                        <td>
                            {{ $coursePayment->name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.designation') }}
                        </th>
                        <td>
                            {{ $coursePayment->user->traineeInfo->designations->name ?? '' }}
                        </td>
                    </tr>

                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.traineeorganization') }}
                        </th>
                        <td>
                            {{ $coursePayment->user->traineeInfo->organization->name ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.registration_no') }}
                        </th>
                        <td>
                            {{ $coursePayment->registration_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.mobile_no') }}
                        </th>
                        <td>
                            {{ $coursePayment->mobile_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.bank_name') }}
                        </th>
                        <td>
                            {{ $coursePayment->bank_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.branch') }}
                        </th>
                        <td>
                            {{ $coursePayment->branch }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.bank_account_no') }}
                        </th>
                        <td>
                            {{ $coursePayment->bank_account_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.payment_method') }}
                        </th>
                        <td>
                            {{ App\Models\Coursefeepayment::PAYMENT_METHOD_SELECT[$coursePayment->payment_method] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.amount') }}
                        </th>
                        <td>
                            {{ $coursePayment->amount }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.reference_no') }}
                        </th>
                        <td>
                            {{ $coursePayment->reference_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.date_of_cheque') }}
                        </th>
                        <td>
                            {{ $coursePayment->date_of_cheque }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.submit_date') }}
                        </th>
                        <td>
                            {{ $coursePayment->submit_date }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.image_cheque') }}
                        </th>
                        <td>
                            @if($coursePayment->image_cheque)
                                <a href="{{ $coursePayment->image_cheque->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.image_submit_slip') }}
                        </th>
                        <td>
                            @if($coursePayment->image_submit_slip)
                                <a href="{{ $coursePayment->image_submit_slip->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('coursepayment') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection