@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        Organization Course Payment
    </div>

    <div class="card-body">
        <div class="form-group">
            <form action="{{ route('coursepayment.approve.org') }}" method="POST">
                <input type="hidden" name="coursePaymentId" value="{{$coursePayment->id}}">
                <input type="hidden" name="course_id" value="{{$coursePayment->course_id}}">
                @csrf
            <div class="form-group">
                 <button type="button" id="print" class="btn btn-success"> <i class="fas fa-print"></i></button>
            </div>
            <div class="form-group" style="float: right;">
                <button type="submit" class="btn btn-success {{ $coursePayment->approve == 1 ? 'disabled' : '' }} ">
                    {{ $coursePayment->approve ? 'Approved' : 'Approve' }}
                </button>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                   
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.name') }}
                        </th>
                        <td>
                            {{ $coursePayment->name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                             Trainee 
                        </th>
                        <td>
                           @foreach ($trainees as $key=>$value)
                                <input type="hidden" name="trainess[]" value="{{$value->user->id}}">
                                <span class="badge badge-info">{{$value->user->name}}</span>
                               
                           @endforeach
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.registration_no') }}
                        </th>
                        <td>
                            {{ $coursePayment->registration_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.pbs_reb_office_name') }}
                        </th>
                        <td>
                            {{ $coursePayment->pbs_reb_office_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.mobile_no') }}
                        </th>
                        <td>
                            {{ $coursePayment->mobile_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.bank_name') }}
                        </th>
                        <td>
                            {{ $coursePayment->bank_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.branch') }}
                        </th>
                        <td>
                            {{ $coursePayment->branch }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.bank_account_no') }}
                        </th>
                        <td>
                            {{ $coursePayment->bank_account_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.payment_method') }}
                        </th>
                        <td>
                            {{ App\Models\Coursefeepayment::PAYMENT_METHOD_SELECT[$coursePayment->payment_method] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.amount') }}
                        </th>
                        <td>
                            {{ $coursePayment->amount }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.reference_no') }}
                        </th>
                        <td>
                            {{ $coursePayment->reference_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.date_of_cheque') }}
                        </th>
                        <td>
                            {{ $coursePayment->date_of_cheque }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.submit_date') }}
                        </th>
                        <td>
                            {{ $coursePayment->submit_date }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.image_cheque') }}
                        </th>
                        <td>
                            @if($coursePayment->image_cheque)
                                <a href="{{ $coursePayment->image_cheque->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.coursefeepayment.fields.image_submit_slip') }}
                        </th>
                        <td>
                            @if($coursePayment->image_submit_slip)
                                <a href="{{ $coursePayment->image_submit_slip->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                </tbody>
            </table>
            </form>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('coursepayment') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection


