@extends('layouts.admin')
@section('content')
@section('styles')
<style>
.box .box-body
{
    display: flex;
    gap: 10px;
    flex-direction: row;
    align-items: center;
    background: #ececec;
    padding: 6px;
    margin: 10px 0px;
    border-radius:4px;
}
</style>
@endsection

@php
 $role= auth()->user()->roles()->first()->title   
@endphp

@if(!$course->adjustment_sheet)
<a class="btn btn-md btn-success addresourcemodal mb-2" data-toggle="modal" data-target="#resourcemodal" style="color: #fff">
    Add Course Adjustment Sheet
 </a>
 @endif
<div class="card">
    <div class="card-header text-center">
        Course Adjustment Sheet for   <b>{{$course->title}} </b>
    </div>

    <div class="card-body">
        <div class="row">
            <div class="col-md-6 mx-auto justify-content-center text-center">
                @if($course->adjustment_sheet)
                <h4>File name : {{$course->adjustment_sheet->title}}</h4>
                <a href="{{ asset('upload/files').'/'.$course->adjustment_sheet->file }}"> View File</a>
                @else
                <p>No file uploaded yet</p>
                @endif
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="resourcemodal" tabindex="-1" role="dialog" aria-labelledby="resourcemodal" aria-hidden="true">
    <div class="modal-dialog" role="document" style="max-width: 600px;">
        <div class="modal-content">
            <div class="modal-header">
                <h4>Add Course Adjustment Sheet</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

                <form action="{{ route('courseadjustmentsheet.store') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="form-group">
                        <label for="title">Title :</label>
                        <input type="text" class="form-control" name="title" id="">
                    </div>
                    <div class="form-group">
                        <label for="">Upload file</label>
                        <input type="file" name="file" id="" class="form-control">
                    </div>
                    <input type="hidden" name="course_id" value="{{$course->id}}">
                    <button type="submit" class="btn btn-primary">Submit</button>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
