@extends('layouts.admin')
@section('styles')

    <style>
        h4 {
            font-size: 1rem;
            font-weight: 600;
        }

        h5 {
            font-size: 0.8rem;
            font-weight: 600;
            margin: 15px 0px;
        }

        .course-table .ck.ck-editor {
            width: 450px;
        }

        p {
            margin-bottom: 0.3rem !important;
        }

        .type_number {
            display: flex;
            justify-content: space-between;
        }

        .type_number:not(:last-child) {
            margin-bottom: 10px;
            border-bottom: 1px solid;
            border-color: #ccc;
        }
    </style>

@section('content')
    <form action="{{ route('exam-module.store') }}" method="post">
        @csrf
        <div class="card">
            <div class="card-header">
                Create a new module
            </div>
            <input type="hidden" name="course_id" value="{{ $course->id }}">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <b>Module Name</b>
                        <input type="text" class="form-control" name="name" id="name">
                    </div>
                </div>
                <div class="row mt-2 modules_topic">
                    <div class="col-md-4">
                        <b>Exam topic</b>
                        <select name="type[]" id="" class="form-control mt-1">
                            <option value="quiz">Quiz</option>
                            <option value="written">Written</option>
                            <option value="assignment">Assignment</option>
                            <option value="presentation">Presentation</option>
                            <option value="individual assignment">Individual Assignement</option>
                            <option value="book review">Book review</option>
                            <option value="attendance">Attendance</option>
                        </select>
                    </div>
                    <div class="col-md-4">
                        <b>Exam mark</b>
                        <input type="number" name="number[]" class="form-control mt-1" placeholder="Mark">
                    </div>
                    <div class="col-md-2">
                        <a class="btn btn-success btn-sm mt-4 add_more" data-value="1">Add More</a>
                    </div>
                </div>
            </div>
        </div>
        <div id="newmodule"></div>
        <div class="d-flex justify-content-between">
            <input type="submit" class="btn btn-success" value="Submit">
        </div>
    </form>
    @if (count($exam_modules) > 0)
        <div class="card">
            <div class="card-body">
                <table class=" table table-bordered">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Module Name</th>
                            <th>Exam Type & Marks</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $i = 1;
                        @endphp
                        @foreach ($exam_modules as $key => $exam_module)
                            <tr>
                                <td>{{ $i }}</td>
                                <td>{{ $key }}</td>
                                <td>
                                    @foreach ($exam_module as $item)
                                        <div class="type_number">
                                            {{ ucwords($item->exam_type) }} - {{ $item->number }}
                                            <div class="action">
                                                @if ($item->exam_type == 'quiz')
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href={{ route('quiz.index.create', ['exam_module' => $item->id]) }}>Create
                                                        Quiz</a>
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href={{ route('quiz.course.view', $course->id) }}>View Quizes</a>
                                                @endif
                                                @if ($item->exam_type == 'written')
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('add-marks/' . $course->id . '?exam_module=' . $item->id) }}">Add
                                                        marks</a>
                                                @endif
                                                @if ($item->exam_type == 'assignment')
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('create-assignment-group/' . $course->id) }}">Create
                                                        Assignment Group</a>
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('view-assignment-group/' . $course->id . '?exam_module=' . $item->id) }}">Upload
                                                        Assignment</a>
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('add-marks/' . $course->id . '?exam_module=' . $item->id) }}">Add
                                                        marks</a>
                                                @endif
                                                @if ($item->exam_type == 'presentation')
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('create-presentation-group/' . $course->id . '?exam_module=' . $item->id) }}">Create
                                                        Presentation group</a>
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('view-presentation-group/' . $course->id . '?exam_module=' . $item->id) }}">Assign
                                                        Presentation</a>
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('add-marks/' . $course->id . '?exam_module=' . $item->id) }}">Add
                                                        marks</a>
                                                @endif
                                                @if ($item->exam_type == 'individual assignment')
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('view-assignment-group/' . $course->id . '?exam_module=' . $item->id) }}">Individual
                                                        assignement</a>
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('add-marks/' . $course->id . '?exam_module=' . $item->id) }}">Add
                                                        marks</a>
                                                @endif
                                                @if ($item->exam_type == 'book review')
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('book-review/' . $course->id . '?exam_module=' . $item->id) }}">Book
                                                        Review</a>
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('add-marks/' . $course->id . '?exam_module=' . $item->id) }}">Add
                                                        marks</a>
                                                @endif
                                                @if ($item->exam_type == 'attendance')
                                                    <a class="btn btn-sm btn-default" target="_blank"
                                                        href="{{ url('add-marks/' . $course->id . '?exam_module=' . $item->id) }}">Add
                                                        marks</a>
                                                @endif
                                                <button class="btn btn-sm btn-info editModule" data-id={{ $item->id }}
                                                    data-type={{ $item->exam_type }}
                                                    data-number={{ $item->number }}>Edit</button>
                                                <form action="{{ route('exam-module.destroy', $item->id) }}" method="POST"
                                                    onsubmit="return confirm('{{ trans('global.areYouSure') }}');"
                                                    style="display: inline-block;">
                                                    <input type="hidden" name="_method" value="DELETE">
                                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                    <input type="submit" class="btn btn-sm btn-danger"
                                                        value="{{ trans('global.delete') }}">
                                                </form>


                                            </div>
                                        </div>
                                    @endforeach

                                </td>
                            </tr>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    @endif


    <div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModal" aria-hidden="true">
        <div class="modal-dialog" role="document" style="max-width: 600px;">
            <div class="modal-content">
                <div class="modal-header">
                    <h4>Update exam module</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <form action="{{ route('exam-module.store') }}" method="POST">
                        @csrf
                        <input type="hidden" name="exam_module_id" value="">
                        <div class="form-group">
                            <label for="title">Exam Type :</label>
                            <select name="type" id="" class="form-control mt-1 etype">
                                <option value="quiz">Quiz</option>
                                <option value="written">Written</option>
                                <option value="assignment">Assignment</option>
                                <option value="presentation">Presentation</option>
                                <option value="individual assignment">Individual assignment</option>
                                <option value="book review">Book review</option>
                                <option value="attendance">Attendance</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="">Exam Mark</label>
                            <input type="number" name="number" class="form-control mt-1 emark" placeholder="Mark">
                        </div>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="example d-none">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-4">
                    <select name="type[]" class="form-control mt-2">
                        <option value="quiz">Quiz</option>
                        <option value="written">Written</option>
                        <option value="assignment">Assignment</option>
                        <option value="presentation">Presentation</option>
                        <option value="individual assignment">Individual assignment</option>
                        <option value="book review">Book review</option>
                        <option value="attendance">Attendance</option>
                    </select>
                </div>
                <div class="col-md-4">
                    <input type="number" name="number[]" class="form-control mt-2" placeholder="Mark">
                </div>
                <div class="col-md-2">
                    <a href="javascript:void(0)" class="btn btn-danger btn-sm mt-2 delete">Remove</a>
                </div>
            </div>
        </div>
    </div>

    </div>
@endsection

@section('scripts')
    <script>
        $('body').on('click', '.add_more', function(e) {
            e.preventDefault();
            var markup = $('.example').html();
            $(this).closest('.modules_topic').append(markup);
        });
        $(".editModule").click(function() {
            let id = $(this).attr("data-id");
            let type = $(this).attr("data-type");
            let number = $(this).attr("data-number");
            $('.emark').val(number)
            $('.etype').val(type)
            $('input[name=exam_module_id]').val(id)
            $("#editModal").modal("show");
        });
    </script>
@endsection
