@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header text-center">
      {{-- <img src="{{asset('images/bpmi_header.jpg')}}" alt="bpmi_header" style="max-width: 100%;width: 600px"> --}}
      <h4>Release order Form</h4>
    </div>

    <div class="card-body">
        <form method="POST" action="{{route('release-order.store')}}">
            @csrf
            <input type="hidden" name="release_order" value={{$releaseOrder->id}}>
            <div class="form-group">
                <label class="required" for="release_letter">Release letter</label>
                <textarea class="form-control ckeditor {{ $errors->has('release_letter') ? 'is-invalid' : '' }}" name="release_letter" id="release_letter">
                    @isset($releaseOrder->release_letter)
                        {!! $releaseOrder->release_letter !!}
                    @endisset
                </textarea>
                @if($errors->has('release_letter'))
                    <div class="invalid-feedback">
                        {{ $errors->first('release_letter') }}
                    </div>
                @endif
            </div>
            <input type="hidden" name="course_id" value="{{request()->course}}">
            <div class="col-md-4">
                <div class="form-group">
                    <label for="publish">Publish</label>
                    <div class="form-check">
                    <label class="form-check-label">
                        <input type="radio" class="form-check-input" value="1" {{$releaseOrder->publish?'checked':''}} name="publish">Yes
                    </label>
                    </div>
                    <div class="form-check">
                    <label class="form-check-label">
                        <input type="radio" class="form-check-input" value="0" {{$releaseOrder->publish==0?'checked':''}} name="publish">No
                    </label>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <button class="btn btn-success" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection

@section('scripts')
<script>
    function SimpleUploadAdapter(editor) {
    editor.plugins.get('FileRepository').createUploadAdapter = function(loader) {
      return {
        upload: function() {
          return loader.file
            .then(function (file) {
              return new Promise(function(resolve, reject) {
                // Init request
                var xhr = new XMLHttpRequest();
                xhr.open('POST', '{{ route('courses.storeCKEditorImages') }}', true);
                xhr.setRequestHeader('x-csrf-token', window._token);
                xhr.setRequestHeader('Accept', 'application/json');
                xhr.responseType = 'json';

                // Init listeners
                var genericErrorText = `Couldn't upload file: ${ file.name }.`;
                xhr.addEventListener('error', function() { reject(genericErrorText) });
                xhr.addEventListener('abort', function() { reject() });
                xhr.addEventListener('load', function() {
                  var response = xhr.response;

                  if (!response || xhr.status !== 201) {
                    return reject(response && response.message ? `${genericErrorText}\n${xhr.status} ${response.message}` : `${genericErrorText}\n ${xhr.status} ${xhr.statusText}`);
                  }

                  $('form').append('<input type="hidden" name="ck-media[]" value="' + response.id + '">');

                  resolve({ default: response.url });
                });

                if (xhr.upload) {
                  xhr.upload.addEventListener('progress', function(e) {
                    if (e.lengthComputable) {
                      loader.uploadTotal = e.total;
                      loader.uploaded = e.loaded;
                    }
                  });
                }

                // Send request
                var data = new FormData();
                data.append('upload', file);
                data.append('crud_id', '{{ $course->id ?? 0 }}');
                xhr.send(data);
              });
            })
        }
      };
    }
  }
  let theEditor=[];
  var allEditors = document.querySelectorAll('.ckeditor');
  for (var i = 0; i < allEditors.length; ++i) {
    ClassicEditor.create(
      allEditors[i], {
        extraPlugins: [SimpleUploadAdapter]
      }
    ).then(editor => {
        theEditor.push(editor);
    })
  }
</script>
@endsection
