@extends('layouts.admin')
@section('styles')
<style>
 
</style>
@stop
@section('content')

<div class="card">
    <div class="card-header">
       <b>{{$course->title}}</b> Course Setting 
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("courses.settings.update", [$course->id]) }}" >
            @method('PUT')
            @csrf
          
            <div class="row mb-3">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="required">Marking Learning points members</label>
                        <select class="form-control ajaxMultiSearch" name="allow_users_marking_learning_points[]" >
                            @if ($course->settings && $course->settings->allow_users_marking_learning_points)
                            @foreach($course->settings->allow_users_marking_learning_points as $user)
                            @php
                             $memebr=app\Models\User::findOrFail($user)->name;
                            @endphp
                            <option selected> 
                                {{$memebr}}
                            </option>
                            @endforeach
                            @endif
                        </select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="required">Giving Attendence members</label>
                        <select class="form-control ajaxMultiSearch" name="allow_users_giving_attendance[]">
                            @if ($course->settings && $course->settings->allow_users_giving_attendance)
                            @foreach($course->settings->allow_users_giving_attendance as $user)
                            @php
                             $memebr=app\Models\User::findOrFail($user)->name;
                            @endphp
                            <option selected> 
                                {{$memebr}}
                            </option>
                            @endforeach
                            @endif

                        </select>
                    </div>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-4">
                    <label class="required">Learning point highest mark</label>
                    <input type="number" class="form-control" name="default_learning_point_mark" value="{{$course->settings?$course->settings->default_learning_point_mark:''}}">
                </div>
                <div class="col-md-4">
                    <label class="required">Assignment highest mark</label>
                    <input type="number" class="form-control" name="default_assignment_mark" value="{{$course->settings?$course->settings->default_assignment_mark:''}}">
                </div>
                <div class="col-md-4">
                    <label class="required">Presentation highest mark</label>
                    <input type="number" class="form-control" name="default_presentation_mark" value="{{$course->settings?$course->settings->default_presentation_mark:''}}">
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-4">
                    <label class="required">Percentage cut for one day Absent </label>
                    <input type="number" class="form-control" name="day_absent_cut_percentage"  value="{{$course->settings?$course->settings->day_absent_cut_percentage:''}}">
                </div>
                <div class="col-md-4">
                    <label class="required">Percentage cut for lesson Absent</label>
                    <input type="number" class="form-control" name="lesson_absent_cut_percentage" value="{{$course->settings?$course->settings->lesson_absent_cut_percentage:''}}">
                </div>
                <div class="col-md-4">
                    <label class="required">Per day honorarium</label>
                    <input type="number" class="form-control" name="per_day_honorarium" value="{{$course->settings?$course->settings->per_day_honorarium:''}}">
                </div>
            </div>
            <div class="form-group">
                <button class="btn btn-success" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>
@endsection

@section('scripts')
<script>
    $(document).ready(function () {
        $(".ajaxMultiSearch").select2({
        tags: false,
        multiple: true,
        tokenSeparators: [',', ' '],
        minimumInputLength: 2,
        minimumResultsForSearch: 10,
        ajax: {
            url: "{{ route('user.search') }}",
            dataType: "json",
            type: "GET",
            data: function (params) {
                var queryParameters = {
                    term: params.term
                }
                return queryParameters;
            },
            processResults: function (data) {
                return {
                results: $.map(data, function (item) {
                    return {
                        text: item.name,
                        id: item.id
                    }
                })
            };
            },
            cache: false
        }
    });
    })
</script>

@endsection
