@extends('layouts.admin')
@section('styles')
    <style>
        p {
            margin-bottom: 0.5rem;
        }

        h2 {
            font-size: 1.6rem;
        }

        h3 {
            font-size: 1rem;
            font-weight: 600;
            margin-bottom: 1rem;
        }

        h4 {
            font-size: 1rem;
            margin-left: 5px;
        }

        .sign-flex {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }
    </style>
@stop
@section('content')

    <div class="card">

        <div class="card-header text-center">
            <div class="form-group" style="float: right;">
                <button type="button" id="print" class="btn btn-success"> <i class="fas fa-print"></i></button>
            </div>
            <h2>বাংলাদেশ পাওয়ার ম্যানেজমেন্ট ইনষ্টিটিউট</h2>
            <p>প্লট নং ২, সড়ক-১০৪, সেক্টর-৪, পূর্বাচল, রূপগঞ্জ, নারায়ণগঞ্জ</p>
            <b>প্রশিক্ষণ কর্মসূচি অনুমোদন ফরম</b>
        </div>


        <div class="card-body">
            <div class="form-group">
                {{-- <div class="form-group">
                <a class="btn btn-default" href="{{ route('courses.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div> --}}
                <h3>১। সাধারণ তথ্যাবলী</h3>
                <table class="table table-bordered">
                    <tbody>
                        <tr>
                            <th>
                                Course Code
                            </th>
                            <td>
                                {{ $course->course_code }}
                            </td>
                            <th>
                                Course Title
                            </th>
                            <td>
                                {{ $course->title }}
                            </td>
                        </tr>

                        <tr>
                            <th>
                                {{ trans('cruds.course.fields.type_course') }}
                            </th>
                            <td>
                                {{ App\Models\Course::TYPE_COURSE_SELECT[$course->type_course] ?? '' }}
                            </td>
                            <th>
                                {{ trans('cruds.course.fields.course_duration') }}
                            </th>
                            <td>
                                {{ $course->course_duration }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.course.fields.course_start') }}
                            </th>
                            <td>
                                {{ \Carbon\Carbon::createFromFormat('d-m-Y', trim($course->course_start))->format('d-m-Y') }}
                            </td>
                            <th>
                                {{ trans('cruds.course.fields.course_end') }}
                            </th>
                            <td>
                                {{ \Carbon\Carbon::createFromFormat('d-m-Y', trim($course->course_end))->format('d-m-Y') }}
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {{ trans('cruds.course.fields.field_visit') }}
                            </th>
                            <td>
                                {{ $course->field_visit }}
                            </td>
                            <th>
                                Notesheet
                            </th>
                            <td style="word-break: break-word;">
                                {!! $course->requiring_body !!}
                            </td>
                        </tr>

                    </tbody>
                </table>
                {{-- <h3>২। কোর্স কনটেন্ট/কারিকুলাম</h3>
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Subject</th>
                        <th>Time</th>
                        <th>Resource Person/Alternative</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($course->courseContents as $key => $courseContent)
                        <tr>
                            <td> {!!$courseContent->subject!!}</td>
                        
                            <td> {{$courseContent->time}}</td>
                       
                            <td> {!!$courseContent->resource_persons!!}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table> --}}

                <h3>২। বাজেটঃ (সংযুক্তি – ২)</h3>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>ক্রমিক নং</th>
                            <th>খাত</th>
                            <th>একক</th>
                            <th>পরিমাণ</th>
                            <th>একক দর (টাকা)</th>
                            <th>মোট দর (টাকা)</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($course->courseBudgets)
                            @foreach ($course->courseBudgets as $key => $courseBudget)
                                <tr>
                                    <td>{{ $key + 1 }}</td>
                                    <td>
                                        @if ($courseBudget->budget)
                                            {{ $courseBudget->budget->name }}
                                        @else
                                            {{ $courseBudget->budget_name }}
                                        @endif
                                    </td>
                                    <td>{{ $courseBudget->unit }}</td>
                                    <td>{{ $courseBudget->qty }}</td>
                                    <td>{{ $courseBudget->rate }}</td>
                                    <td>{{ $courseBudget->total_cost }}</td>
                                </tr>
                            @endforeach
                        @endif
                        <tr>
                            <td colspan="5" style="text-align: right;">Total</td>
                            <td colspan="5">{{ $course->total_budget }} BDT</td>
                        </tr>
                        <tr>
                            <td colspan="5" style="text-align: right;">Tax</td>
                            <td colspan="5">{{ $course->budget_tax }} % </td>
                        </tr>
                        <tr>
                            <td colspan="5" style="text-align: right;">Total (including VAT & AIT)</td>
                            <td colspan="5">{{ $course->total_budget_inc_vat }} BDT</td>
                        </tr>
                    </tbody>
                </table>
                <h3>৩। কোর্স ব্যবস্থাপনা সংক্রান্ত তথ্য</h3>
                <h4>(ক) কোর্স প্রিন্সিপাল এডভাইজার </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th> কোর্স প্রিন্সিপাল এডভাইজার এর তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($course->course_principal_advisor)
                            @foreach ($course->course_principal_advisor as $key => $principal_advisor)
                                <tr>
                                    <td>
                                        @php
                                            $user = app\Models\User::find($principal_advisor);
                                        @endphp
                                        {{ $user->name }}
                                    </td>
                                    <td></td>
                                    <td></td>*-
                                    <td>No</td>

                                </tr>
                            @endforeach
                        @endif
                    </tbody>
                </table>
                <h4>(খ) কোর্স এডভাইজার </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th> কোর্স এডভাইজার এর তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($course->course_advisor)
                            @foreach ($course->course_advisor as $key => $course_advisor)
                                <tr>
                                    <td>
                                        @php
                                            $user = app\Models\User::find($course_advisor);
                                        @endphp
                                        {{ $user->name }}
                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td>No</td>

                                </tr>
                            @endforeach
                        @endif
                    </tbody>
                </table>
                <h4>(গ) কোর্স পরিচালক </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th> কোর্স পরিচালকের তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($course->course_director)
                            @foreach ($course->course_director as $key => $course_director)
                                <tr>
                                    <td>
                                        @php
                                            $user = app\Models\User::find($course_director);
                                        @endphp
                                        {{ $user->name }}
                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td>No</td>

                                </tr>
                            @endforeach
                        @endif
                    </tbody>
                </table>
                <h4>(গ) কোর্স সমন্বয়কারী</h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>কোর্স পরিচালকের তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($course->course_co_ordinator)
                            @foreach ($course->course_co_ordinator as $key => $course_co_ordinator)
                                <tr>
                                    <td>
                                        @php
                                            $user = app\Models\User::find($course_co_ordinator);
                                        @endphp
                                        {{ $user->name }}
                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td>No</td>

                                </tr>
                            @endforeach
                        @endif
                    </tbody>
                </table>
                <h4>(ঘ) সহযোগী কোর্স সমন্বয়কারী
                </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>কোর্স পরিচালকের তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($course->associcate_course_co_ordinator)
                            @foreach ($course->associcate_course_co_ordinator as $key => $associcate_course_co_ordinator)
                                <tr>
                                    <td>
                                        @php
                                            $user = app\Models\User::find($associcate_course_co_ordinator);
                                        @endphp
                                        {{ $user->name }}
                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td>No</td>

                                </tr>
                            @endforeach
                        @endif
                    </tbody>
                </table>
                <h4>(ঙ) কোর্স সহায়তাকারী কর্মকর্তা </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>নাম/পদবী</th>
                            <th>দায়িত্ব</th>
                            <th>পূর্বের মূল্যায়ন</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($course->course_helper)
                            @foreach ($course->course_helper as $key => $course_helper)
                                <tr>
                                    <td>
                                        @php
                                            $user = app\Models\User::find($course_helper);
                                        @endphp
                                        {{ $user->name }}
                                    </td>
                                    <td></td>
                                    <td></td>
                                </tr>
                            @endforeach
                        @endif
                    </tbody>
                </table>
                <div class="row">
                    @if ($course->mds_approval != null)
                        <div class="col-md-6">
                            <div class="sign-flex">
                                <img src="{{ asset('images/' . $users[0]['sign']) }}" alt="mds sign" width="200"
                                    height="auto">
                                <div>----------------------</div>
                                <p>{{ $users[0]['name'] }}</p>
                                <p>{{ $users[0]['designation'] }}</p>
                                <div>----------------------</div>
                                <p>MDS</p>
                            </div>
                        </div>
                    @endif
                    @if ($course->rector_approval != null)
                        <div class="col-md-6">
                            <div class="sign-flex">
                                <img src="{{ asset('images/' . $users[1]['sign']) }}" alt="rector sign" width="200"
                                    height="auto">
                                <div>----------------------</div>
                                <p>{{ $users[1]['name'] }}</p>
                                <p>{{ $users[1]['designation'] }}</p>
                                <div>----------------------</div>
                                <p>Rector</p>
                            </div>
                        </div>
                    @endif
                </div>
                @if (auth()->user()->roles->first()->title == 'MDS' && $course->mds_approval == null)
                    <div class="form-group text-center">
                        <form action="{{ route('course.approve', $course->id) }}" method="POST"
                            onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <input type="hidden" name="_method" value="PUT">
                            <input type="submit" class="btn btn-lg btn-success" value="Forward To Rector">
                        </form>
                    </div>
                @elseif(auth()->user()->roles->first()->title == 'Rector' &&
                        $course->mds_approval !== null &&
                        $course->rector_approval == null &&
                        $course->is_approved == 0)
                    <div class="row form-group">
                        <div class="col">
                            <form action="{{ route('course.approve', $course->id) }}" method="POST"
                                onsubmit="return confirm('{{ trans('global.areYouSure') }}');">
                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                <input type="hidden" name="_method" value="PUT">
                                <label for="">Comment</label>
                                <textarea name="comment" id="" class="form-control" cols="10" rows="5"></textarea>
                                <input type="submit" class="btn btn-lg btn-success mt-2" value="Approve">
                                <input type="submit" class="btn btn-lg btn-warning mt-2" value="Recheck">
                            </form>
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </div>

    {{-- <div class="card">
    <div class="card-header">
        {{ trans('global.relatedData') }}
    </div>
    <ul class="nav nav-tabs" role="tablist" id="relationship-tabs">
        <li class="nav-item">
            <a class="nav-link" href="#course_lessons" role="tab" data-toggle="tab">
                {{ trans('cruds.lesson.title') }}
            </a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane" role="tabpanel" id="course_lessons">
            @includeIf('courses.relationships.courseLessons', ['lessons' => $course->courseLessons])
        </div>
    </div>
</div> --}}

@endsection
