@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        <b>{{$course->title}}</b> Trainer List
    </div>

    <div class="card-body">
        <div class="">
            <table class=" table table-bordered datatable-trainer">
                <thead>
                    <tr>
                        <th>
                            Trainer Name
                        </th>
                        <th>
                          Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($course_trainers as $key => $trainer)
                    <tr data-entry-id="{{ $trainer->id }}">
                      
                        <td>
                            {{ $trainer->user->name}}
                        </td>

                        <td>
                            <a class="btn btn-xs btn-success"  href=""  data-toggle="modal" data-target="#invitationModal">Send Invitation</a>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
            <div class="modal fade" id="invitationModal" tabindex="-1" role="dialog" aria-labelledby="invitationModal" aria-hidden="true">
                <div class="modal-dialog" role="document" style="max-width: 600px;">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4>Invitation</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
            
                            <form action="" method="POST" enctype="multipart/form-data">
                                @csrf
                                <div class="form-group">
                                    <label for="title">Mail Subject :</label>
                                    <input type="text" class="form-control" name="title" id="">
                                </div>
                                <div class="form-group">
                                    <label for="">Mail Body</label>
                                    <textarea name="" id="" cols="30" rows="10" class="form-control"></textarea>
                                </div>
                                <input type="hidden" name="course_id" value="">
                                <button type="submit" class="btn btn-primary">Sent</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@endsection
@section('scripts')
@parent
<script>
    $(document).ready( function(){
        var table = $('.datatable-trainer').DataTable({
            "order": []
        })
    });
</script>
@endsection