@extends('layouts.admin')
@section('styles')
    <style>
        h3 {
            font-size: 22px;
        }

        .details p {
            font-weight: 500;
        }

        p {
            margin-bottom: 5px;
        }

        .criteria tr td {
            padding: 0.5rem;
        }

        .marks tr td {
            padding: 0.5rem;
        }

        .criteria td:first-child {
            border-top: none;
            border-left: none;
            border-right: none;
        }

        .marks td:first-child {
            border-top: none;
            border-left: none;
            border-right: none;
        }
    </style>
@endsection
@section('content')
    <div class="card">
        <div class="card-header text-center" style="display: flex;
    justify-content: center;">
            <div class="details" style="width:500px;">
                <h3>Lesson: {{ $lesson->lesson_name ?? '' }}</h3>
                <h5>Trainer: {{ $lesson->resource_person->name ?? '' }} </h5>
                <p>{!! $lesson->topic ?? '' !!}</p>
                <p>Date: {{ Carbon\Carbon::parse($lesson->date ?? '')->format('jS F Y') }}</p>
                <p>Start: {{ $lesson->start_time ?? '' }} | End: {{ $lesson->end_time ?? '' }}</p>

            </div>
        </div>
        <div class="card-body">
            <form action="">
                <div class="table-responsive">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>
                                    Trainee Name
                                </th>
                                <th>
                                    Evaluation
                                </th>
                                <th>
                                    Marks
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($evaluations as $value)
                                <tr>
                                    <td width="200px">
                                        <b>{{ $value->user->name ?? '' }}</b>
                                    </td>
                                    <td width="600px" style="padding:0px;">

                                        <table style="width: 100%;" class="criteria">
                                            <tr>
                                                <td>Theoretical Portion</td>
                                            </tr>
                                            <tr>
                                                <td>Citation of practical examples</td>
                                            </tr>
                                            <tr>
                                                <td>Describing the power sector relevance</td>
                                            </tr>
                                            <tr>
                                                <td>Capacity to make the topic understandable</td>
                                            </tr>
                                            <tr>
                                                <td>Language proficiency</td>
                                            </tr>
                                            <tr>
                                                <td>Capacity to increase trainees involvement</td>
                                            </tr>
                                            <tr>
                                                <td>Timeliness</td>
                                            </tr>
                                            <tr>
                                                <td>Capacity to involve multi disciplinary knowledge</td>
                                            </tr>
                                            <tr>
                                                <td>Capacity to answer the question</td>
                                            </tr>
                                            <tr>
                                                <td>Training materials</td>
                                            </tr>
                                            <tr>
                                                <td>Capacity to control the class</td>
                                            </tr>
                                            <tr>
                                                <td>Interaction with the trainees</td>
                                            </tr>
                                            <tr>
                                                <td>Overall training capacity</td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td style="padding:0px;">

                                        <table style="width: 100%;" class="marks">
                                            <tr>
                                                <td>{{ empty($value->theoretical_portion) ? 'Not given' : $value->theoretical_portion }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->citation_of_practical_examples) ? 'Not given' : $value->citation_of_practical_examples }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->describing_the_power_sector_relevance) ? 'Not given' : $value->describing_the_power_sector_relevance }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->capacity_to_make_the_topic_understandable) ? 'Not given' : $value->capacity_to_make_the_topic_understandable }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->language_proficiency) ? 'Not given' : $value->language_proficiency }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->capacity_to_increase_trainees_involvement) ? 'Not given' : $value->capacity_to_increase_trainees_involvement }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->timeliness) ? 'Not given' : $value->timeliness }}</td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->capacity_to_involve_multi_disciplinary_knowledge) ? 'Not given' : $value->capacity_to_involve_multi_disciplinary_knowledge }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->capacity_to_answer_the_question) ? 'Not given' : $value->capacity_to_answer_the_question }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->training_materials) ? 'Not given' : $value->training_materials }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->capacity_to_control_the_class) ? 'Not given' : $value->capacity_to_control_the_class }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->interaction_with_the_trainees) ? 'Not given' : $value->interaction_with_the_trainees }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>{{ empty($value->overall_training_capacity) ? 'Not given' : $value->overall_training_capacity }}
                                                </td>
                                            </tr>

                                        </table>
                                    </td>
                                </tr>
                            @endforeach

                        </tbody>
                    </table>
                </div>
            </form>
        </div>
    </div>
@endsection
