@foreach ($lessons as $lesson => $contents)
    <tr>
        <td colspan="4"><b>Day-{{ $loop->index + 1 }} :
                {{ \Carbon\Carbon::parse(trim($lesson))->format('d-m-Y') }}</b> </td>
    </tr>
    @foreach ($contents as $content)
        <tr>
            @if ($content->type == 'break')
                <td colspan="4" style="text-align: center;font-weight:800">{{ $content->break_name }}</td>
                <td>
                    <a class="btn btn-xs btn-info editlesson" href="#">
                        {{ trans('global.edit') }}
                    </a>
                    <form action="{{ route('lessons.destroy', $content->id) }}" method="POST"
                        onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                        <input type="hidden" name="_method" value="DELETE">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                    </form>
                </td>
            @else
                <td><span class="l_name">{{ $content->lesson_name }}</span>
                    @if ($content->lesson_name)
                        <br>
                    @endif
                    <span class="start_time">{{ \Carbon\Carbon::parse($content->start_time)->format('h:i A') }}</span>-
                    <span class="end_time">{{ \Carbon\Carbon::parse($content->end_time)->format('h:i A') }}</span>
                </td>

                <td>
                    <span class="topics">{!! $content->topic !!}</span>
                    <input type="hidden" value="{{ $content->date }}" class="l_date">
                    <input type="hidden" value="{{ $content->id }}" class="l_id">

                </td>

                <td><span
                        class="resource_person">{{ $content->resource_person ? $content->resource_person->name : '' }}</span>
                    <input type="hidden" value="{{ $content->resource_person_id }}" class="rp_id">
                </td>


                <td><span class="session">{{ $content->trg_session }}</span></td>

                <td>
                    <a class="btn btn-xs btn-info editlesson" href="#">
                        {{ trans('global.edit') }}
                    </a>
                    <form action="{{ route('lessons.destroy', $content->id) }}" method="POST"
                        onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                        <input type="hidden" name="_method" value="DELETE">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                    </form>
                </td>
            @endif
        </tr>
    @endforeach
@endforeach
