@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        Create New Module
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("module.store") }}">
            @csrf
            <div class="row">
            <div class="col-md-6 form-group">
                <label class="required" for="course_id">Course</label>
                <select class="form-control select2" name="course_id" id="course_id" required>
                    <option value disabled {{ old('course_id', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                    @foreach($courses as $key => $course)
                        <option value="{{ $course->id }}">{{ $course->title }}</option>
                    @endforeach
                </select>
            </div>

            <div class="col-md-6 form-group">
                <label class="required" for="name">Module Name</label>
                <input class="form-control {{ $errors->has('name') ? 'is-invalid' : '' }}" type="text" name="name" id="name" value="{{ old('name', '') }}" required>
                @if($errors->has('name'))
                    <div class="invalid-feedback">
                        {{ $errors->first('name') }}
                    </div>
                @endif
            </div>
        </div>
        <div class="form-group">
            <a href="javascript:void(0)" id="addTopic" class="btn btn-info">
                <b>Add topic</b>
            </a>
        </div>
        <div class="topics"></div>

        <div class="form-group">
            <button class="btn btn-success" type="submit">
                Submit
            </button>
        </div>
        </form>
    </div>
</div>

@endsection
@section('scripts')
<script>
    $(document).ready(function () {
        $('#addTopic').click(function() {
            $('.topics').append('<div class="row form-group topicrow"><div class="col-md-10"> <input class="form-control" name="topics[]"></div><div class="col-md-2"><button class="btn btn-danger deleteRow">Remove</button></div></div>');
        });
        $(document).on('click', '.deleteRow', function(e) {
            e.preventDefault();
            $(this).closest('.topicrow').remove();
        });

    });
</script>

@endsection                    