@extends('layouts.admin')
@section('content')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('module.create') }}">
                Create new module
            </a>
        </div>
    </div>
<div class="card">
    <div class="card-header">
        Module List
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-Budget">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            Course
                        </th>
                        <th>
                            Module Name
                        </th>
                        <th>
                            Action
                        </th>
                    
                    </tr>
                </thead>
                <tbody>
                    @foreach($modules as $key => $module)
                        <tr data-entry-id="{{ $module->id }}">
                            <td>

                            </td>
                          
                            <td>
                                {{ $module->course?$module->course->title:"" }}
                            </td>
                            <td>
                                {{ $module->name }}
                            </td>
                           
                            <td>
                                <a class="btn btn-xs btn-primary" href="{{ route('module.show', $module) }}">
                                    {{ trans('global.view') }}
                                </a>
                               
                                <a class="btn btn-xs btn-info" href="{{ route('module.edit', $module) }}">
                                    {{ trans('global.edit') }}
                                </a>
                             
                                <form action="{{ route('module.destroy', $module) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                    <input type="hidden" name="_method" value="DELETE">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                    <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                </form>
                                
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)


  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-Budget:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection