@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.nominatedOrganisation.title_singular') }}
    </div>

    <div class="card-body">
        <form id="SubmitForm">
        {{-- <form method="POST" action="{{ route("nominated-organisations.store") }}" enctype="multipart/form-data"> --}}
            @csrf
            <div class="form-group">
                <label class="required" for="nomination_id">{{ trans('cruds.nominatedOrganisation.fields.nomination') }}</label>
                <input class="form-control {{ $errors->has('nomination') ? 'is-invalid' : '' }}" type="text" name="nomination_id"  value="{{ $nominations->subject }}"  readonly>
                <input type="hidden" name="nomination_id" id="nomination_id" value="{{ $nomination_id }}">
                {{-- <select class="form-control select2 {{ $errors->has('nomination') ? 'is-invalid' : '' }}" name="nomination_id" id="nomination_id" required>
                    @foreach($nominations as $id => $entry)
                        <option value="{{ $id }}" {{ old('nomination_id') == $id ? 'selected' : '' }} onclick="">{{ $entry }}</option>
                    @endforeach
                </select> --}}
                @if($errors->has('nomination'))
                    <div class="invalid-feedback">
                        {{ $errors->first('nomination') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.nominatedOrganisation.fields.nomination_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="organization_id">{{ trans('cruds.nominatedOrganisation.fields.organization') }}</label>
                <select class="form-control select2 {{ $errors->has('organization') ? 'is-invalid' : '' }}" name="organization_id" id="organization_id" required>
                    @foreach($organizations as $id => $entry)
                        <option value="{{ $id }}" {{ old('organization_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('organization'))
                    <div class="invalid-feedback">
                        {{ $errors->first('organization') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.nominatedOrganisation.fields.organization_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="number_of_trainee">{{ trans('cruds.nominatedOrganisation.fields.number_of_trainee') }}</label>
                <input class="form-control {{ $errors->has('number_of_trainee') ? 'is-invalid' : '' }}" type="number" name="number_of_trainee" id="number_of_trainee" value="{{ old('number_of_trainee', '') }}" step="1" required>
              <div id="error">
                    <span></span>
              </div>
                @if($errors->has('number_of_trainee'))
                    <div class="invalid-feedback">
                        {{ $errors->first('number_of_trainee') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.nominatedOrganisation.fields.number_of_trainee_helper') }}</span>
              
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
    <div class="card-footer text-muted mt-5">
        <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col">#</th>
                <th scope="col">Organization</th>
                <th scope="col">Number Of Trainee</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody id="trShow">
                {{-- @php
                    $i = 1;
                @endphp
                @foreach ($exitsNominatedOrganization as $item)
                <tr>
                    <td>{{ $i++ }}</td>
                    <td>{{ $item->organization->name }}</td>
                    <td>{{ $item->number_of_trainee}}</td>
                 </tr>
                    
                @endforeach --}}
             
            </tbody>
          </table>
      </div>
    
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script type="text/javascript">
         $('#SubmitForm').on('submit', function(e) {
            e.preventDefault();
            let nomination_id = $('#nomination_id').val();
            let organization_id = $('#organization_id').val();
            let number_of_trainee = $('#number_of_trainee').val();
            $.ajax({
                url: '{{ route('nominated-organisations.store') }}',
                type: "POST",
                data: {
                    "_token": "{{ csrf_token() }}",
                    nomination_id: nomination_id,
                    organization_id: organization_id ,
                    number_of_trainee: number_of_trainee,
                },
                success: function(response) {
                    if(response=='success')
                    {
                        $('#trShow').empty();
                        get_data()
                    }else{
                        alert('This organization trainee already added');                    
                    }
                },
                error: function(response) {

                },
            });
        });

        $("document").ready(function () {
            get_data()
        });
        function get_data(){
            let nomination_id = $('#nomination_id').val();
            
            $.ajax({
                method: 'GET',
                url: "{{ url('admin/get-nomination') }}/"+nomination_id,
                dataType: 'json',
                success: function(data) {
                    $.each(data, function (key, value) {
                            $('#trShow').append(
                                `<tr>
                                    <td>${key+1}</td>
                                    <td>${value.organization.name}</td>
                                    <td>${value.number_of_trainee}</td>
                                    <td>
                                    
                                            <button type="submit" id="${value.id}" onclick="nOrgRemove(this.id)" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></button>
                                    </td>
                                  
                                 </tr>`);
                        });
                },
            });
        }
  
 </script>



@endsection