@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.nominatedOrganisation.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("nominated-organisations.update", [$nominatedOrganisation->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label class="required" for="nomination_id">{{ trans('cruds.nominatedOrganisation.fields.nomination') }}</label>
                <select class="form-control select2 {{ $errors->has('nomination') ? 'is-invalid' : '' }}" name="nomination_id" id="nomination_id" required>
                    @foreach($nominations as $id => $entry)
                        <option value="{{ $id }}" {{ (old('nomination_id') ? old('nomination_id') : $nominatedOrganisation->nomination->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('nomination'))
                    <div class="invalid-feedback">
                        {{ $errors->first('nomination') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.nominatedOrganisation.fields.nomination_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="organization_id">{{ trans('cruds.nominatedOrganisation.fields.organization') }}</label>
                <select class="form-control select2 {{ $errors->has('organization') ? 'is-invalid' : '' }}" name="organization_id" id="organization_id" required>
                    @foreach($organizations as $id => $entry)
                        <option value="{{ $id }}" {{ (old('organization_id') ? old('organization_id') : $nominatedOrganisation->organization->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('organization'))
                    <div class="invalid-feedback">
                        {{ $errors->first('organization') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.nominatedOrganisation.fields.organization_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="number_of_trainee">{{ trans('cruds.nominatedOrganisation.fields.number_of_trainee') }}</label>
                <input class="form-control {{ $errors->has('number_of_trainee') ? 'is-invalid' : '' }}" type="number" name="number_of_trainee" id="number_of_trainee" value="{{ old('number_of_trainee', $nominatedOrganisation->number_of_trainee) }}" step="1" required>
                @if($errors->has('number_of_trainee'))
                    <div class="invalid-feedback">
                        {{ $errors->first('number_of_trainee') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.nominatedOrganisation.fields.number_of_trainee_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection