@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.nominatedTrainee.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("nominated-trainees.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label for="nomination_id">{{ trans('cruds.nominatedTrainee.fields.nomination') }}</label>
                <select class="form-control select2 {{ $errors->has('nomination') ? 'is-invalid' : '' }}" name="nomination_id" id="nomination_id">
                    @foreach($nominations as $id => $entry)
                        <option value="{{ $id }}" {{ old('nomination_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('nomination'))
                    <div class="invalid-feedback">
                        {{ $errors->first('nomination') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.nominatedTrainee.fields.nomination_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="organization_id">{{ trans('cruds.nominatedTrainee.fields.organization') }}</label>
                <select class="form-control select2 {{ $errors->has('organization') ? 'is-invalid' : '' }}" name="organization_id" id="organization_id">
                    @foreach($organizations as $id => $entry)
                        <option value="{{ $id }}" {{ old('organization_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('organization'))
                    <div class="invalid-feedback">
                        {{ $errors->first('organization') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.nominatedTrainee.fields.organization_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="user_id">{{ trans('cruds.nominatedTrainee.fields.user') }}</label>
                <select class="form-control select2 {{ $errors->has('user') ? 'is-invalid' : '' }}" name="user_id" id="user_id">
                    @foreach($users as $id => $entry)
                        <option value="{{ $id }}" {{ old('user_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('user'))
                    <div class="invalid-feedback">
                        {{ $errors->first('user') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.nominatedTrainee.fields.user_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection