@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
       Trainee List of <b>{{$course->title}}</b>
    </div>

    <div class="card-body">
            <div class="form-group" style="float: right;">
                 <button type="button" id="print" class="btn btn-success"> <i class="fas fa-print"></i></button>
            </div>
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-traineeInfo">
                <thead>
                    <tr>
                        <th width="10">
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Email
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>
                            Designation
                        </th>
                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($NominatedTrainees as $key => $NominatedTrainee)
                    
                    <tr data-entry-id="{{ $NominatedTrainee->id }}">
                        <td>
                        </td>
                        <td>
                            {{ $NominatedTrainee->traineeInfo->name_english ?? '' }}
                        </td>
                        <td>
                            {{ $NominatedTrainee->traineeInfo->email ?? '' }}
                        </td>
                        <td>
                            {{ $NominatedTrainee->traineeInfo->mobile_no ?? '' }}
                        </td>
                        <td>
                            @if($NominatedTrainee->user->user_designation)
                            {{ $NominatedTrainee->user->user_designation->name }}
                            @endif
                        </td>

                       @if ($NominatedTrainee->approve==1)
                       <td>                       
    
                         @if ($NominatedTrainee->updated_at->diffInDays(now())<=3)
                             
                          <!-- <a href="{{route('approved_trainee_replace',$NominatedTrainee->id)}}" class="btn btn-xs btn-danger" >Replace</a> -->
                           <form action="{{route('approved_trainee_replace')}}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                <input type="hidden" name="nominatedTraineeId" value="{{ $NominatedTrainee->id}}">
                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                <input type="submit" class="btn btn-xs btn-danger" value="Replace">
                            </form>
                          @else
                          <input type="submit" class="btn btn-xs btn-success" value="Approved" disabled>
                         @endif
                       </td>
                       @elseif ($NominatedTrainee->approve==2)
                       <td>
                       <input type="submit" class="btn btn-xs btn-danger" value="Replaced" disabled>

                       </td>
                       @elseif ($NominatedTrainee->approve==3)
                       <td>
                       <input type="submit" class="btn btn-xs btn-danger" value="Denied" disabled>

                       </td>
                        
                       @else 
                        <td>
                            
                            <form action="{{ route('nominationtrainee.destroy') }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                <input type="hidden" name="nominatedTraineeId" value="{{ $NominatedTrainee->id}}">
                                <!-- <input type="hidden" name="_method" value="DELETE"> -->
                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                            </form>
                        
                        </td>
                           
                       @endif
                      
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script>
    $(function () {
    let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('nominationtrainee.destroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton) 
//   FOR REPLACE
let replaceButtonTrans = 'Replace'
  let replaceButton = {
    text: replaceButtonTrans,
    url: "{{ route('approved_trainee_replace') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'POST' }})
          .done(function () { location.reload() })
      }
    }
  }
  
})

</script>

@endsection