@extends('layouts.admin')
@section('content')
@can('nomination_create',$courseRole)
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('nominations.create') }}">
                {{ trans('global.create') }} {{ trans('cruds.nomination.title_singular') }}
            </a>
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.nomination.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-Nomination">
                <thead>
                    <tr>
                        <th>
                            No
                        </th>
                        <th>
                            Letter subject
                        </th>
                        <th>
                           Course Name
                        </th>                       
                        <th>
                            {{ trans('cruds.nomination.fields.course_fee') }}
                        </th>
                        
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($nominations as $key => $nomination)
                        <tr data-entry-id="{{ $nomination->id }}">
                            <td>
                                {{$key+1}}
                            </td>
                            <td>
                                {{ $nomination->subject }}
                            </td>
                            <td>
                                 {{ $nomination->course->title ?? '' }}
                                 <input type="hidden" value="{{ $nomination->id }}" id="nominationId">
                            </td>
                            <td>
                                {{ $nomination->course_fee ?? '' }}
                            </td>
                            <td>
        
                                @can('nomination_show',$courseRole)
                                    <a class="btn btn-xs btn-primary" href="{{ route('nominations.show', $nomination->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('nomination_edit',$courseRole)
                                    <a class="btn btn-xs btn-info" href="{{ route('nominations.edit', $nomination->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('nomination_delete',$courseRole)
                                    <form action="{{ route('nominations.destroy', $nomination->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>

                        </tr>                         
                    @endforeach
                </tbody>
            </table>

                    <!-- Modal -->
                    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog"
                    aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4>List Organisation</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <table class="table table-striped">
                                        <thead>
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">Organization</th>
                                            <th scope="col">Number Of Trainee</th>
                                        </tr>
                                        </thead>
                                        <tbody id="trShow">                                                  

                                        
                                        </tbody>
                                    </table>                                    
                                </div>
                            </div>
                        </div>
                    </div>
             {{-- modal --}}           
           
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('nomination_delete',$courseRole)
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('nominations.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-Nomination:not(.ajaxTable)').DataTable({ buttons: dtButtons,"ordering": false }) 
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });

})

// $('body').on('click','#getOrganisation',function(){



//     var nomination_id = ($(this).closest('tr').find('td #nominationId').val());

//             $.ajax({
//                 method: 'GET',
//                 url: "{{ url('admin/get-nomination') }}/"+nomination_id,
//                 dataType: 'json',
//                 success: function(data) {
//                     $('#trShow').empty();
//                     $.each(data, function (key, value) {
//                             $('#trShow').append(
//                                 `<tr>
//                                     <td>${key+1}</td>
//                                     <td>${value.organization.name}</td>
//                                     <td>${value.number_of_trainee}</td>
//                                  </tr>`);
//                         });
//                 },
//             });
//         })

</script>
@endsection
