@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.organization.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('organizations.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <div class="form-group" style="float: right;">
                 <button type="button" id="print" class="btn btn-success"> <i class="fas fa-print"></i></button>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.organization.fields.id') }}
                        </th>
                        <td>
                            {{ $organization->id }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.organization.fields.name') }}
                        </th>
                        <td>
                            {{ $organization->name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.organization.fields.email') }}
                        </th>
                        <td>
                            {{ $organization->email }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.organization.fields.address') }}
                        </th>
                        <td>
                            {{ $organization->address }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.organization.fields.mobile') }}
                        </th>
                        <td>
                            {{ $organization->mobile }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.organization.fields.logo') }}
                        </th>
                        <td>
                            @if($organization->logo)
                                <a href="{{ $organization->logo->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('organizations.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>

<div class="card">
    <div class="card-header">
        {{ trans('global.relatedData') }}
    </div>
    <ul class="nav nav-tabs" role="tablist" id="relationship-tabs">
        <li class="nav-item">
            <a class="nav-link" href="#organization_nominated_organisations" role="tab" data-toggle="tab">
                {{ trans('cruds.nominatedOrganisation.title') }}
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#organization_nominated_trainees" role="tab" data-toggle="tab">
                {{ trans('cruds.nominatedTrainee.title') }}
            </a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane" role="tabpanel" id="organization_nominated_organisations">
            @includeIf('organizations.relationships.organizationNominatedOrganisations', ['nominatedOrganisations' => $organization->organizationNominatedOrganisations])
        </div>
        <div class="tab-pane" role="tabpanel" id="organization_nominated_trainees">
            @includeIf('organizations.relationships.organizationNominatedTrainees', ['nominatedTrainees' => $organization->organizationNominatedTrainees])
        </div>
    </div>
</div>

@endsection