@extends('layouts.admin')
@section('content')

@section('styles')
<style>
.content {
    min-height: 40em !important;
}
</style>
@endsection

    <div class="card">
        <div class="card-header">
            Trainee registration form
        </div>

        <div class="card-body">
            <form method="POST" action="{{ route("trainee-infos.update", [$traineeInfo->id]) }}" enctype="multipart/form-data">
                @method('PUT')
                @csrf
                <div id="example-basic">
                    <h3>Personal Information</h3>
                    <section>
                        <div class="form-group">
                            <label class="" for="email">{{ trans('cruds.traineeInfo.fields.email') }}</label>
                            <input class="form-control {{ $errors->has('email') ? 'is-invalid' : '' }}" type="email"
                                   name="email" id="email" value="{{ old('email', auth()->user()->email) }}" >
                            @if($errors->has('email'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('email') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.email_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="name_english">{{ trans('cruds.traineeInfo.fields.name_english') }}</label>
                            <input class="form-control {{ $errors->has('name_english') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="name_english" id="name_english" value="{{ old('name_english', !empty($traineeInfo->name_english)? $traineeInfo->name_english : '') }}" >
                            @if($errors->has('name_english'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('name_english') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.name_english_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class="">{{ trans('cruds.traineeInfo.fields.designation') }}</label>
                            <select class="form-control {{ $errors->has('designation') ? 'is-invalid' : '' }}"
                                    name="designation" id="designation" >
                                    <option value  disabled >{{ trans('global.pleaseSelect') }}</option>
                                        @foreach ($designations as $id => $entry )
                                         <option {{ old('designation',!empty($traineeInfo->designation)?$traineeInfo->designation:'') == $entry->id? 'selected' : '' }} value="{{$entry->id}}">{{ $entry->name }}</option>
                                        @endforeach
                            </select>
                            @if($errors->has('designation'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('designation') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.designation_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label
                                for="other_designation">{{ trans('cruds.traineeInfo.fields.other_designation') }}</label>
                            <input class="form-control {{ $errors->has('other_designation') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="other_designation" id="other_designation"
                                   value="{{ old('other_designation', !empty($traineeInfo->other_designation)? $traineeInfo->other_designation : '') }}">
                            @if($errors->has('other_designation'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('other_designation') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.other_designation_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="organization_id">{{ trans('cruds.traineeInfo.fields.organization') }}</label>
                            <select class="form-control  {{ $errors->has('organization') ? 'is-invalid' : '' }}"
                                    name="organization_id" id="organization_id" >
                                @foreach($organizations as $id => $entry)
                                    <option id="temp"
                                            value="{{ $id }}" {{ old('organization_id',!empty($traineeInfo->organization)?$traineeInfo->organization->id:'') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('organization'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('organization') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.organization_helper') }}</span>
                        </div>
                        <div class="form-group" id="branch_div_id">
                            <label class=""
                                   for="branch_id">{{ trans('cruds.traineeInfo.fields.branch_name') }}</label>
                            <select class="form-control"
                                    name="branch_id" id="branch_id">
                                <option selected="selected" value=""></option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label class=""
                                   for="mobile_no">{{ trans('cruds.traineeInfo.fields.mobile_no') }}</label>
                            <input class="form-control {{ $errors->has('mobile_no') ? 'is-invalid' : '' }}" type="text"
                                   name="mobile_no" id="mobile_no" value="{{ old('mobile_no',!empty($traineeInfo->mobile_no)? $traineeInfo->mobile_no : '') }}" >
                            @if($errors->has('mobile_no'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('mobile_no') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.mobile_no_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="gmail_address">{{ trans('cruds.traineeInfo.fields.gmail_address') }}</label>
                            <input class="form-control {{ $errors->has('gmail_address') ? 'is-invalid' : '' }}"
                                   type="email"
                                   name="gmail_address" id="gmail_address" value="{{ old('gmail_address',!empty($traineeInfo->gmail_address)? $traineeInfo->gmail_address : '') }}" >
                            @if($errors->has('gmail_address'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('gmail_address') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.gmail_address_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="other_email_address">{{ trans('cruds.traineeInfo.fields.other_email_address') }}</label>
                            <input class="form-control {{ $errors->has('other_email_address') ? 'is-invalid' : '' }}"
                                   type="email" name="other_email_address" id="other_email_address"
                                   value="{{ old('other_email_address', !empty($traineeInfo->other_email_address)? $traineeInfo->other_email_address : '' ) }}" >
                            @if($errors->has('other_email_address'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('other_email_address') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.other_email_address_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label for="name_bangla">{{ trans('cruds.traineeInfo.fields.name_bangla') }}</label>
                            <input class="form-control {{ $errors->has('name_bangla') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="name_bangla" id="name_bangla" value="{{ old('name_bangla', !empty($traineeInfo->name_bangla)? $traineeInfo->name_bangla : '') }}">
                            @if($errors->has('name_bangla'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('name_bangla') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.name_bangla_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="fathers_name">{{ trans('cruds.traineeInfo.fields.fathers_name') }}</label>
                            <input class="form-control {{ $errors->has('fathers_name') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="fathers_name" id="fathers_name" value="{{ old('fathers_name', !empty($traineeInfo->fathers_name)? $traineeInfo->fathers_name : '') }}" >
                            @if($errors->has('fathers_name'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('fathers_name') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.fathers_name_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="mothers_name">{{ trans('cruds.traineeInfo.fields.mothers_name') }}</label>
                            <input class="form-control {{ $errors->has('mothers_name') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="mothers_name" id="mothers_name" value="{{ old('mothers_name', !empty($traineeInfo->mothers_name)? $traineeInfo->mothers_name : '') }}" >
                            @if($errors->has('mothers_name'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('mothers_name') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.mothers_name_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="national_id_no">{{ trans('cruds.traineeInfo.fields.national_id_no') }}</label>
                            <input class="form-control {{ $errors->has('national_id_no') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="national_id_no" id="national_id_no" value="{{ old('national_id_no', !empty($traineeInfo->national_id_no)? $traineeInfo->national_id_no : '') }}"
                                   >
                            @if($errors->has('national_id_no'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('national_id_no') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.national_id_no_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="present_address">{{ trans('cruds.traineeInfo.fields.present_address') }}</label>
                            <input class="form-control {{ $errors->has('present_address') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="present_address" id="present_address" value="{{ old('present_address', !empty($traineeInfo->present_address)? $traineeInfo->present_address : '') }}"
                                   >
                            @if($errors->has('present_address'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('present_address') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.present_address_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="home_district">{{ trans('cruds.traineeInfo.fields.home_district') }}</label>
                            <input class="form-control {{ $errors->has('home_district') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="home_district" id="home_district" value="{{ old('home_district', !empty($traineeInfo->home_district)? $traineeInfo->home_district : '') }}"
                                   >
                            @if($errors->has('home_district'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('home_district') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.home_district_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="permanent_address">{{ trans('cruds.traineeInfo.fields.permanent_address') }}</label>
                            <input class="form-control {{ $errors->has('permanent_address') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="permanent_address" id="permanent_address"
                                   value="{{ old('permanent_address', !empty($traineeInfo->permanent_address)? $traineeInfo->permanent_address : '') }}"
                                   >
                            @if($errors->has('permanent_address'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('permanent_address') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.permanent_address_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class="">{{ trans('cruds.traineeInfo.fields.religion') }}</label>
                            <select class="form-control {{ $errors->has('religion') ? 'is-invalid' : '' }}"
                                    name="religion"
                                    id="religion" >
                                <option value
                                        disabled {{ old('religion', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                                @foreach(App\Models\TraineeInfo::RELIGION_SELECT as $key => $label)
                                    <option
                                        value="{{ $key }}" {{ old('religion', !empty($traineeInfo->religion)? $traineeInfo->religion : '') === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('religion'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('religion') }}
                                </div>
                            @endif
                            {{--                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.religion_helper') }}</span>--}}
                            <br>
                        </div>
                    </section>
                    <h3> Professional Information</h3>
                    <section>
                        <div class="form-group">
                            <label class=""
                                   for="work_division">{{ trans('cruds.traineeInfo.fields.work_division') }}</label>
                            <input class="form-control {{ $errors->has('work_division') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="work_division" id="work_division" value="{{ old('work_division', !empty($traineeInfo->work_division)? $traineeInfo->work_division : '') }}"
                                   >
                            @if($errors->has('work_division'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('work_division') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.work_division_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="office_name">{{ trans('cruds.traineeInfo.fields.office_name') }}</label>
                            <input class="form-control {{ $errors->has('office_name') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="office_name" id="office_name" value="{{ old('office_name', !empty($traineeInfo->office_name)? $traineeInfo->office_name : '') }}" >
                            @if($errors->has('office_name'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('office_name') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.office_name_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="office_address">{{ trans('cruds.traineeInfo.fields.office_address') }}</label>
                            <input class="form-control {{ $errors->has('office_address') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="office_address" id="office_address" value="{{ old('office_address', !empty($traineeInfo->office_address)? $traineeInfo->office_address : '') }}"
                                   >
                            @if($errors->has('office_address'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('office_address') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.office_address_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="organization_id_no">{{ trans('cruds.traineeInfo.fields.organization_id_no') }}</label>
                            <input class="form-control {{ $errors->has('organization_id_no') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="organization_id_no" id="organization_id_no"
                                   value="{{ old('organization_id_no', !empty($traineeInfo->organization_id_no)? $traineeInfo->organization_id_no : '') }}"
                                   >
                            @if($errors->has('organization_id_no'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('organization_id_no') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.organization_id_no_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="entry_post">{{ trans('cruds.traineeInfo.fields.entry_post') }}</label>
                            <input class="form-control {{ $errors->has('entry_post') ? 'is-invalid' : '' }}" type="text"
                                   name="entry_post" id="entry_post" value="{{ old('entry_post', !empty($traineeInfo->entry_post)? $traineeInfo->entry_post : '' ) }}" >
                            @if($errors->has('entry_post'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('entry_post') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.entry_post_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="present_job_description">{{ trans('cruds.traineeInfo.fields.present_job_description') }}</label>
                            <textarea
                                class="form-control {{ $errors->has('present_job_description') ? 'is-invalid' : '' }}"
                                name="present_job_description" id="present_job_description"
                                >{{ old('present_job_description') }}</textarea>
                            @if($errors->has('present_job_description'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('present_job_description') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.present_job_description_helper') }}</span>
                        </div>

                        <label for="service_history">{{ trans('cruds.traineeInfo.fields.service_history') }}</label>
                         <button type="button"
                                    class="btn btn-primary btn-sm btn-icon-text"
                                    onclick="add_row_service();">
                                <i class="fa fa-plus"></i></button>
                        <div class="table-responsive">
                            <table  id="service_table" style="width: 100%">
                                <thead>
                                <tr>
                                </tr>
                                </thead>
                                <tbody>

                                @if(!empty($traineeInfo->service_history))
                                    @foreach(json_decode($traineeInfo->service_history) as $service)
                                        <tr>
                                            <td style="padding-right: 5px"><input type='text' class='form-control'  name='service_designation[]' placeholder='Enter service designation' value="{{$service->service_designation}}"></td>
                                            <td style="padding-right: 10px"><input type='text' class='form-control pr-5'  name='service_organization[]' placeholder='Enter service organization' value="{{$service->service_organization}}"></td>
                                            <td><input type='text' class='form-control date'  name='service_duration[]' placeholder='Enter service duration' value="{{$service->service_duration}}"></td>
                                        </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td style="padding-right: 5px"><input type='text' class='form-control'  name='service_designation[]' placeholder='Enter service designation'></td>
                                        <td style="padding-right: 10px"><input type='text' class='form-control pr-5'  name='service_organization[]' placeholder='Enter service organization'></td>
                                        <td><input type='text' class='form-control date'  name='service_duration[]' placeholder='Enter service duration'></td>
                                    </tr>
                                @endif
                                </tbody>
                            </table>
                            
                        </div>
                        <br>
                        <label for="promotion_history">{{ trans('cruds.traineeInfo.fields.promotion_history') }}</label>
                        <button type="button"
                        class="btn btn-primary btn-sm btn-icon-text"
                        onclick="add_row_promotion();">
                    <i class="fa fa-plus"></i></button>
                        <div class="table-responsive">
                            <table  id="promotion_table" style="width: 100%">
                                <thead>
                                <tr>
                                </tr>
                                </thead>
                                <tbody>
                                @if(!empty($traineeInfo->promotion_history))
                                    @foreach(json_decode($traineeInfo->promotion_history) as $promotion)
                                        <tr>
                                            <td style="padding-right: 5px">
                                                <input type='text' class='form-control'  name='promotion_designation[]' placeholder='Enter  designation' value="{{$promotion->promotion_designation}}">
                                            </td>
                                            <td style="padding-right: 10px">
                                                <input type='date' class='form-control'  name='promotion_date[]' value="{{$promotion->promotion_date}}">
                                            </td>
                                        </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td style="padding-right: 5px"><input type='text' class='form-control'  name='promotion_designation[]' placeholder='Enter  designation'></td>
                                        <td style="padding-right: 10px"><input type='date' class='form-control'  name='promotion_date[]'></td>
                                    </tr>
                                @endif
                                </tbody>
                            </table>
                          

                        </div>
                        <br>
                        <label
                            for="major_professional_trainings">{{ trans('cruds.traineeInfo.fields.major_professional_trainings') }}</label> <button type="button"
                            class="btn btn-primary btn-sm btn-icon-text"
                            onclick="add_row_training();">
                        <i class="fa fa-plus"></i></button>

                        <div class="table-responsive">
                            <table  id="training_table" style="width: 100%">
                                <thead>
                                <tr>
                                </tr>
                                </thead>
                                <tbody>

                                @if(!empty($traineeInfo->major_professional_trainings))
                                    @foreach(json_decode($traineeInfo->major_professional_trainings) as $major)
                                        <tr>
                                            <td style="padding-right: 5px"><input type='text' class='form-control'  name='training_title[]' placeholder='Enter  title' value="{{$major->training_title}}"></td>
                                            <td style="padding-right: 10px"><input type='text' class='form-control'  name='training_institution[]' placeholder='Enter institution' value="{{$major->training_institution}}"></td>
                                            <td style=""><input type='text' class='form-control'  name='training_duration[]' placeholder='Enter duration' value="{{$major->training_duration}}"></td>
                                        </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td style="padding-right: 5px"><input type='text' class='form-control'  name='training_title[]' placeholder='Enter  title'></td>
                                        <td style="padding-right: 10px"><input type='text' class='form-control'  name='training_institution[]' placeholder='Enter institution'></td>
                                        <td style=""><input type='text' class='form-control'  name='training_duration[]' placeholder='Enter duration'></td>
                                    </tr>
                                @endif
                                </tbody>
                            </table>
                            
                        </div>
                        <br>
                    </section>
                    <h3>Banking Information</h3>
                    <section>
                        <div class="form-group">
                            <label class=""
                                   for="bank_account_name">{{ trans('cruds.traineeInfo.fields.bank_account_name') }}</label>
                            <input class="form-control {{ $errors->has('bank_account_name') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="bank_account_name" id="bank_account_name"
                                   value="{{ old('bank_account_name', !empty($traineeInfo->bank_account_name)? $traineeInfo->bank_account_name : '') }}"
                                   >
                            @if($errors->has('bank_account_name'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('bank_account_name') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.bank_account_name_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="bank_name">{{ trans('cruds.traineeInfo.fields.bank_name') }}</label>
                            <input class="form-control {{ $errors->has('bank_name') ? 'is-invalid' : '' }}" type="text"
                                   name="bank_name" id="bank_name" value="{{ old('bank_name', !empty($traineeInfo->bank_name)? $traineeInfo->bank_name : '' ) }}" >
                            @if($errors->has('bank_name'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('bank_name') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.bank_name_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="branch_name">{{ trans('cruds.traineeInfo.fields.branch_name') }}</label>
                            <input class="form-control {{ $errors->has('branch_name') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="branch_name" id="branch_name" value="{{ old('branch_name', !empty($traineeInfo->branch_name)? $traineeInfo->branch_name : '' ) }}" >
                            @if($errors->has('branch_name'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('branch_name') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.branch_name_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="bank_account_no">{{ trans('cruds.traineeInfo.fields.bank_account_no') }}</label>
                            <input class="form-control {{ $errors->has('bank_account_no') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="bank_account_no" id="bank_account_no" value="{{ old('bank_account_no', !empty($traineeInfo->bank_account_no)? $traineeInfo->bank_account_no : '') }}"
                                   >
                            @if($errors->has('bank_account_no'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('bank_account_no') }}
                                </div>
                            @endif
                            <span
                                class="help-block">{{ trans('cruds.traineeInfo.fields.bank_account_no_helper') }}</span>
                        </div>
                        <div class="form-group">
                            <label class="">{{ trans('cruds.traineeInfo.fields.mobile_banking') }}</label>
                            <select class="form-control {{ $errors->has('mobile_banking') ? 'is-invalid' : '' }}"
                                    name="mobile_banking" id="mobile_banking" >
                                <option value
                                        disabled {{ old('mobile_banking', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                                @foreach(App\Models\TraineeInfo::MOBILE_BANKING_SELECT as $key => $label)
                                    <option
                                        value="{{ $key }}" {{ old('mobile_banking', !empty($traineeInfo->mobile_banking)? $traineeInfo->mobile_banking : '') === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('mobile_banking'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('mobile_banking') }}
                                </div>
                            @endif
                            {{--                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.mobile_banking_helper') }}</span>--}}
                        </div>
                        <div class="form-group">
                            <label class=""
                                   for="mobile_banking_no">{{ trans('cruds.traineeInfo.fields.mobile_banking_no') }}</label>
                            <input class="form-control {{ $errors->has('mobile_banking_no') ? 'is-invalid' : '' }}"
                                   type="text"
                                   name="mobile_banking_no" id="mobile_banking_no"
                                   value="{{ old('mobile_banking_no', !empty($traineeInfo->mobile_banking_no)? $traineeInfo->mobile_banking_no : '') }}"
                                   >
                            @if($errors->has('mobile_banking_no'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('mobile_banking_no') }}
                                </div>
                            @endif
                           
                        </div>
                    </section>
                    <h3>Qualification and Interest</h3>
                    <section>

                        <label
                            for="educational_qualification">{{ trans('cruds.traineeInfo.fields.educational_qualification') }}</label>
                            <button type="button"
                            class="btn btn-primary btn-sm btn-icon-text"
                            onclick="add_row_education();">
                        <i class="fa fa-plus"></i></button>
                        <div class="table-responsive">
                            <table  id="educational_qualification_table" style="width: 100%">
                                <thead>
                                <tr>
                                </tr>
                                </thead>
                                <tbody>

                                @if(!empty($traineeInfo->educational_qualification))
                                    @foreach(json_decode($traineeInfo->educational_qualification) as $education)
                                        <tr>
                                            <td style="padding-right: 5px"><input type='text' class='form-control'  name='education_title[]' placeholder='Enter  title' value="{{$education->education_title}}"></td>
                                            <td style="padding-right: 10px"><input type='text' class='form-control'  name='educational_institution[]' placeholder='Enter institution' value="{{$education->educational_institution}}"></td>
                                            <td style=""><input type='text' class='form-control'  name='education_duration[]' placeholder='Enter duration' value="{{$education->education_duration}}"></td>
                                        </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td style="padding-right: 5px"><input type='text' class='form-control'  name='education_title[]' placeholder='Enter  title'></td>
                                        <td style="padding-right: 10px"><input type='text' class='form-control'  name='educational_institution[]' placeholder='Enter institution'></td>
                                        <td style=""><input type='text' class='form-control'  name='education_duration[]' placeholder='Enter duration'></td>
                                    </tr>
                                @endif
                                </tbody>
                            </table>
                           

                        </div>

                        <div class="form-group">
                            <label for="fields_of_interest">{{ trans('cruds.traineeInfo.fields.fields_of_interest') }}  <span class="help-block">{{ trans('cruds.traineeInfo.fields.fields_of_interest_helper') }}</span></label>
                            <textarea class="form-control {{ $errors->has('fields_of_interest') ? 'is-invalid' : '' }}"
                                      name="fields_of_interest"
                                      id="fields_of_interest">{{ old('fields_of_interest') }}</textarea>
                            @if($errors->has('fields_of_interest'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('fields_of_interest') }}
                                </div>
                            @endif
                        </div>


                        <div class="form-group">
                            <label for="innovative_idea">{{ trans('cruds.traineeInfo.fields.innovative_idea') }}
                                <span class="help-block">{{ trans('cruds.traineeInfo.fields.innovative_idea_helper') }}</span>
                            </label>
                            <select name="innovative_idea_select" id="innovative_idea_select_id" class="form-control">
                                <option value="selected">Please Select</option>
                                <option value="yes">Yes</option>
                                <option value="no">No</option>
                            </select>
                            <br>
                            <textarea class="form-control"
                                      name="innovative_idea"
                                      id="innovative_idea">{{ old('innovative_idea') }}</textarea>

                        </div>
                        <div class="form-group">
                            <label
                                for="willing_to_work_as_a_trainer">{{ trans('cruds.traineeInfo.fields.willing_to_work_as_a_trainer') }}
                                <span class="help-block">({{ trans('cruds.traineeInfo.fields.willing_to_work_as_a_trainer_helper') }})</span>

                            </label>
                            <select name="work_as_a_trainer_select" id="work_as_a_trainer_select_id" class="form-control">
                                <option value="selected">Please Select</option>
                                <option value="yes">Yes</option>
                                <option value="no">No</option>
                            </select>
                            <br>
                            <textarea
                                class="form-control"
                                name="willing_to_work_as_a_trainer"
                                id="willing_to_work_as_a_trainer">{!! old('willing_to_work_as_a_trainer') !!}</textarea>
                        </div>
                        <div class="form-group">
                            <label
                                for="willing_to_work_as_a_consultant">{{ trans('cruds.traineeInfo.fields.willing_to_work_as_a_consultant') }}

                                <span class="help-block">({{ trans('cruds.traineeInfo.fields.willing_to_work_as_a_consultant_helper') }})</span>
                            </label>

                            <select name="work_as_a_consultant_select" id="work_as_a_consultant_select_id" class="form-control">
                                <option value="selected">Please Select</option>
                                <option value="yes">Yes</option>
                                <option value="no">No</option>
                            </select>
                            <br>
                            <textarea
                                class="form-control {{ $errors->has('willing_to_work_as_a_consultant') ? 'is-invalid' : '' }}"
                                name="willing_to_work_as_a_consultant"
                                id="willing_to_work_as_a_consultant">{!! old('willing_to_work_as_a_consultant') !!}</textarea>
                            {{--                         --}}
                            {{--                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.willing_to_work_as_a_consultant_helper') }}</span>--}}
                        </div>
                        <div class="form-group">
                            <label for="additional_comment">{{ trans('cruds.traineeInfo.fields.additional_comment') }}
                                <span class="help-block">({{ trans('cruds.traineeInfo.fields.additional_comment_helper') }})</span>
                            </label>
                            <textarea class="form-control {{ $errors->has('additional_comment') ? 'is-invalid' : '' }}"
                                      name="additional_comment"
                                      id="additional_comment">{{ old('additional_comment') }}</textarea>
                            @if($errors->has('additional_comment'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('additional_comment') }}
                                </div>
                            @endif
                        </div>
                        <br>
                    </section>
                    <h3>Transport</h3>
                    <section>
                        <div class="form-group">
                            {{--                            <label class="">{{ trans('cruds.traineeInfo.fields.bpmi_bus_arrangements') }}</label>--}}
                            <label class="">You want BPMI to arrange bus service?</label>
                            <select class="form-control {{ $errors->has('bpmi_bus_arrangements') ? 'is-invalid' : '' }}"
                                    name="bpmi_bus_arrangements" id="bpmi_bus_arrangements" >
                                <option value disabled {{ old('bpmi_bus_arrangements', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                                @foreach(App\Models\TraineeInfo::BPMI_BUS_ARRANGEMENTS_SELECT as $key => $label)
                                    <option
                                        value="{{ $key }}" {{ old('bpmi_bus_arrangements', !empty($traineeInfo->bpmi_bus_arrangements)? $traineeInfo->bpmi_bus_arrangements : '') === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                                @endforeach
                            </select>
                            @if($errors->has('bpmi_bus_arrangements'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('bpmi_bus_arrangements') }}
                                </div>
                            @endif
                            {{--                            <span class="help-block">{{ trans('cruds.traineeInfo.fields.bpmi_bus_arrangements_helper') }}</span>--}}
                        </div>

                        <div class="form-group">
                            <button class="btn btn-danger" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </section>
                </div>
            </form>
        </div>
    </div>


@endsection

@section('scripts')
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-steps/1.1.0/jquery.steps.min.js"
            integrity="sha512-bE0ncA3DKWmKaF3w5hQjCq7ErHFiPdH2IGjXRyXXZSOokbimtUuufhgeDPeQPs51AI4XsqDZUK7qvrPZ5xboZg=="
            crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.min.js"
            integrity="sha512-37T7leoNS06R80c8Ulq7cdCDU5MNQBwlYoy1TX/WUsLFC2eYNqtKlV0QjH7r8JpG/S0GUMZwebnVFLPd6SU5yg=="
            crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>

        function add_row_service() {
            $row_track_id = $('#service_table tbody>tr:last').data('row_track');
            if ($row_track_id == null) {
                $row_track_id = 1;
            } else {
                $row_track_id = $row_track_id + 1;
            }
            $("#service_table > tbody:last-child").append("<tr data-row_track='" + $row_track_id + "' id='row_service_add" + $row_track_id + "'><td style='padding-right: 5px'><input type='text' class='form-control'  name='service_designation[]' placeholder='Enter service designation'></td><td style='padding-right: 10px'><input type='text' class='form-control'  name='service_organization[]' placeholder='Enter service organization'></td><td><input type='text' class='form-control'  name='service_duration[]' placeholder='Enter service duration'></td><td><td><button type='button' class='btn btn-danger btn-sm btn-icon-text' onclick=delete_row_service('row_service_add" + $row_track_id + "')><i class='fa fa-minus'></i></button></td></tr>");
        }
        function add_row_promotion() {
            $row_track_id = $('#promotion_table tbody>tr:last').data('row_track');
            if ($row_track_id == null) {
                $row_track_id = 1;
            } else {
                $row_track_id = $row_track_id + 1;
            }
            $("#promotion_table > tbody:last-child").append("<tr data-row_track='" + $row_track_id + "' id='row_promotion_add" + $row_track_id + "'><td style='padding-right: 5px'><input type='text' class='form-control'  name='promotion_designation[]' placeholder='Enter designation'></td><td style='padding-right: 10px'><input type='date' class='form-control'  name='promotion_date[]'></td><td><td><button type='button' class='btn btn-danger btn-sm btn-icon-text' onclick=delete_row_promotion('row_promotion_add" + $row_track_id + "')><i class='fa fa-minus'></i></button></td></tr>");
        }
        function add_row_training() {
            $row_track_id = $('#training_table tbody>tr:last').data('row_track');
            if ($row_track_id == null) {
                $row_track_id = 1;
            } else {
                $row_track_id = $row_track_id + 1;
            }
            $("#training_table > tbody:last-child").append("<tr data-row_track='" + $row_track_id + "' id='row_training_add" + $row_track_id + "'><td style='padding-right: 5px'><input type='text' class='form-control'  name='training_title[]' placeholder='Enter title'></td><td style='padding-right: 10px'><input type='text' class='form-control'  name='training_institution[]' placeholder='Enter institution'></td><td><input type='text' class='form-control'  name='training_duration[]' placeholder='Enter duration'></td><td><td><button type='button' class='btn btn-danger btn-sm btn-icon-text' onclick=delete_row_training('row_training_add" + $row_track_id + "')><i class='fa fa-minus'></i></button></td></tr>");
        }
        function add_row_education() {
            $row_track_id = $('#educational_qualification_table tbody>tr:last').data('row_track');
            if ($row_track_id == null) {
                $row_track_id = 1;
            } else {
                $row_track_id = $row_track_id + 1;
            }
            $("#educational_qualification_table > tbody:last-child").append("<tr data-row_track='" + $row_track_id + "' id='row_education_add" + $row_track_id + "'><td style='padding-right: 5px'><input type='text' class='form-control'  name='education_title[]' placeholder='Enter title'></td><td style='padding-right: 10px'><input type='text' class='form-control'  name='educational_institution[]' placeholder='Enter institution'></td><td><input type='text' class='form-control'  name='education_duration[]' placeholder='Enter duration'></td><td><td><button type='button' class='btn btn-danger btn-sm btn-icon-text' onclick=delete_row_education('row_education_add" + $row_track_id + "')><i class='fa fa-minus'></i></button></td></tr>");
        }
        function delete_row_service(rowno) {
            $('#' + rowno).remove();
        }
        function delete_row_promotion(rowno) {
            $('#' + rowno).remove();
        }
        function delete_row_training(rowno) {
            $('#' + rowno).remove();
        }
        function delete_row_education(rowno) {
            $('#' + rowno).remove();
        }
        $(document).on('change', '#organization_id', function() {
            var organization_id = $(this).val();
            if (organization_id) {
                jQuery.ajax({
                    url: 'get-branch-by-organization/'+ organization_id,
                    type: "GET",
                    dataType: "json",
                    success: function (data) {
                        if (data.length >0) {
                            $('#branch_div_id').show();
                            $('select[name="branch_id"]').empty();
                            $.each(data, function (key, value) {
                                $('select[name="branch_id"]').append('<option value="' + value.id + '">' + value.name + '</option>');
                            });
                        }
                        else {
                            $('#branch_div_id').hide();
                        }
                    }
                });
            }
            else {
                $('select[name="branch_id"]').empty();
                $('#branch_div_id').hide();
            }
        });


        $(document).ready(function () {
            $('#branch_div_id').hide();
            $("#innovative_idea").hide();
            $("#willing_to_work_as_a_trainer").hide();
            $("#willing_to_work_as_a_consultant").hide();
            $(document).on('change', '#innovative_idea_select_id', function() {
                var innovative_idea_select = $(this).val();
                if (innovative_idea_select =="yes")
                {
                    $("#innovative_idea").show();
                }
                else
                {
                    $("#innovative_idea").hide();
                }
            })
            $(document).on('change', '#work_as_a_trainer_select_id', function() {
                var work_as_a_trainer_select = $(this).val();
                if (work_as_a_trainer_select =="yes")
                {
                    $("#willing_to_work_as_a_trainer").show();
                }
                else
                {
                    $("#willing_to_work_as_a_trainer").hide();
                }
            })
            $(document).on('change', '#work_as_a_consultant_select_id', function() {
                var work_as_a_trainer_select = $(this).val();
                if (work_as_a_trainer_select =="yes")
                {
                    $("#willing_to_work_as_a_consultant").show();
                }
                else
                {
                    $("#willing_to_work_as_a_consultant").hide();
                }
            })
            $("#example-basic").steps({
                headerTag: "h3",
                bodyTag: "section",
                transitionEffect: "slideLeft",
                autoFocus: true,
                enableFinishButton: false
            });

            function SimpleUploadAdapter(editor) {
                editor.plugins.get('FileRepository').createUploadAdapter = function (loader) {
                    return {
                        upload: function () {
                            return loader.file
                                .then(function (file) {
                                    return new Promise(function (resolve, reject) {
                                        // Init request
                                        var xhr = new XMLHttpRequest();
                                        xhr.open('POST', '{{ route('trainee-infos.storeCKEditorImages') }}', true);
                                        xhr.setRequestHeader('x-csrf-token', window._token);
                                        xhr.setRequestHeader('Accept', 'application/json');
                                        xhr.responseType = 'json';

                                        // Init listeners
                                        var genericErrorText = `Couldn't upload file: ${file.name}.`;
                                        xhr.addEventListener('error', function () {
                                            reject(genericErrorText)
                                        });
                                        xhr.addEventListener('abort', function () {
                                            reject()
                                        });
                                        xhr.addEventListener('load', function () {
                                            var response = xhr.response;

                                            if (!response || xhr.status !== 201) {
                                                return reject(response && response.message ? `${genericErrorText}\n${xhr.status} ${response.message}` : `${genericErrorText}\n ${xhr.status} ${xhr.statusText}`);
                                            }

                                            $('form').append('<input type="hidden" name="ck-media[]" value="' + response.id + '">');

                                            resolve({default: response.url});
                                        });

                                        if (xhr.upload) {
                                            xhr.upload.addEventListener('progress', function (e) {
                                                if (e.lengthComputable) {
                                                    loader.uploadTotal = e.total;
                                                    loader.uploaded = e.loaded;
                                                }
                                            });
                                        }

                                        // Send request
                                        var data = new FormData();
                                        data.append('upload', file);
                                        data.append('crud_id', '{{ $traineeInfo->id ?? 0 }}');
                                        xhr.send(data);
                                    });
                                })
                        }
                    };
                }
            }

            var allEditors = document.querySelectorAll('.ckeditor');
            for (var i = 0; i < allEditors.length; ++i) {
                ClassicEditor.create(
                    allEditors[i], {
                        extraPlugins: [SimpleUploadAdapter]
                    }
                );
            }
        });
    </script>

@endsection
