@extends('layouts.admin')
@section('content')
@can('trainee_info_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('trainee-infos.create') }}">
                {{ trans('global.add') }} {{ trans('cruds.traineeInfo.title_singular') }}
            </a>
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.traineeInfo.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-TraineeInfo">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                      
                        <th>
                            {{ trans('cruds.traineeInfo.fields.email') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.name_english') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.designation') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.other_designation') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.organization') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.mobile_no') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.gmail_address') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.other_email_address') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.work_division') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.office_name') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.office_address') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.organization_id_no') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.entry_post') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.present_job_description') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.bank_account_name') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.bank_name') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.branch_name') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.bank_account_no') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.mobile_banking') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.mobile_banking_no') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.name_bangla') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.fathers_name') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.mothers_name') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.national_id_no') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.present_address') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.home_district') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.permanent_address') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.religion') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.fields_of_interest') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.innovative_idea') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.additional_comment') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.bpmi_bus_arrangements') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.other_method_to_go_to_payra') }}
                        </th>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.user') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($traineeInfos as $key => $traineeInfo)
                        <tr data-entry-id="{{ $traineeInfo->id }}">
                            <td>

                            </td>
                           
                            <td>
                                {{ $traineeInfo->email ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->name_english ?? '' }}
                            </td>
                            <td>
                                {{ App\Models\TraineeInfo::DESIGNATION_SELECT[$traineeInfo->designation] ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->other_designation ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->organization->name ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->mobile_no ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->gmail_address ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->other_email_address ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->work_division ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->office_name ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->office_address ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->organization_id_no ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->entry_post ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->present_job_description ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->bank_account_name ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->bank_name ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->branch_name ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->bank_account_no ?? '' }}
                            </td>
                            <td>
                                {{ App\Models\TraineeInfo::MOBILE_BANKING_SELECT[$traineeInfo->mobile_banking] ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->mobile_banking_no ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->name_bangla ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->fathers_name ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->mothers_name ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->national_id_no ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->present_address ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->home_district ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->permanent_address ?? '' }}
                            </td>
                            <td>
                                {{ App\Models\TraineeInfo::RELIGION_SELECT[$traineeInfo->religion] ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->fields_of_interest ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->innovative_idea ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->additional_comment ?? '' }}
                            </td>
                            <td>
                                {{ App\Models\TraineeInfo::BPMI_BUS_ARRANGEMENTS_SELECT[$traineeInfo->bpmi_bus_arrangements] ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->other_method_to_go_to_payra ?? '' }}
                            </td>
                            <td>
                                {{ $traineeInfo->user->name ?? '' }}
                            </td>
                            <td>
                                @can('trainee_info_show')
                                    <a class="btn btn-xs btn-primary" href="{{ route('trainee-infos.show', $traineeInfo->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('trainee_info_edit')
                                    <a class="btn btn-xs btn-info" href="{{ route('trainee-infos.edit', $traineeInfo->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('trainee_info_delete')
                                    <form action="{{ route('trainee-infos.destroy', $traineeInfo->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('trainee_info_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('trainee-infos.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-TraineeInfo:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection