@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.traineeInfo.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('trainee-infos.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <div class="form-group" style="float: right;">
                 <button type="button" id="print" class="btn btn-success"> <i class="fas fa-print"></i></button>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.id') }}
                        </th>
                        <td>
                            {{ $traineeInfo->id }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.email') }}
                        </th>
                        <td>
                            {{ $traineeInfo->email }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.name_english') }}
                        </th>
                        <td>
                            {{ $traineeInfo->name_english }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.designation') }}
                        </th>
                        <td>
                            {{ App\Models\TraineeInfo::DESIGNATION_SELECT[$traineeInfo->designation] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.other_designation') }}
                        </th>
                        <td>
                            {{ $traineeInfo->other_designation }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.organization') }}
                        </th>
                        <td>
                            {{ $traineeInfo->organization->name ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.mobile_no') }}
                        </th>
                        <td>
                            {{ $traineeInfo->mobile_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.gmail_address') }}
                        </th>
                        <td>
                            {{ $traineeInfo->gmail_address }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.other_email_address') }}
                        </th>
                        <td>
                            {{ $traineeInfo->other_email_address }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.work_division') }}
                        </th>
                        <td>
                            {{ $traineeInfo->work_division }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.office_name') }}
                        </th>
                        <td>
                            {{ $traineeInfo->office_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.office_address') }}
                        </th>
                        <td>
                            {{ $traineeInfo->office_address }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.organization_id_no') }}
                        </th>
                        <td>
                            {{ $traineeInfo->organization_id_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.entry_post') }}
                        </th>
                        <td>
                            {{ $traineeInfo->entry_post }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.present_job_description') }}
                        </th>
                        <td>
                            {{ $traineeInfo->present_job_description }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.service_history') }}
                        </th>
                        <td>
                            {!! $traineeInfo->service_history !!}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.promotion_history') }}
                        </th>
                        <td>
                            {!! $traineeInfo->promotion_history !!}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.major_professional_trainings') }}
                        </th>
                        <td>
                            {!! $traineeInfo->major_professional_trainings !!}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.bank_account_name') }}
                        </th>
                        <td>
                            {{ $traineeInfo->bank_account_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.bank_name') }}
                        </th>
                        <td>
                            {{ $traineeInfo->bank_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.branch_name') }}
                        </th>
                        <td>
                            {{ $traineeInfo->branch_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.bank_account_no') }}
                        </th>
                        <td>
                            {{ $traineeInfo->bank_account_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.mobile_banking') }}
                        </th>
                        <td>
                            {{ App\Models\TraineeInfo::MOBILE_BANKING_SELECT[$traineeInfo->mobile_banking] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.mobile_banking_no') }}
                        </th>
                        <td>
                            {{ $traineeInfo->mobile_banking_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.name_bangla') }}
                        </th>
                        <td>
                            {{ $traineeInfo->name_bangla }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.fathers_name') }}
                        </th>
                        <td>
                            {{ $traineeInfo->fathers_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.mothers_name') }}
                        </th>
                        <td>
                            {{ $traineeInfo->mothers_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.national_id_no') }}
                        </th>
                        <td>
                            {{ $traineeInfo->national_id_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.present_address') }}
                        </th>
                        <td>
                            {{ $traineeInfo->present_address }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.home_district') }}
                        </th>
                        <td>
                            {{ $traineeInfo->home_district }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.permanent_address') }}
                        </th>
                        <td>
                            {{ $traineeInfo->permanent_address }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.religion') }}
                        </th>
                        <td>
                            {{ App\Models\TraineeInfo::RELIGION_SELECT[$traineeInfo->religion] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.educational_qualification') }}
                        </th>
                        <td>
                            {!! $traineeInfo->educational_qualification !!}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.fields_of_interest') }}
                        </th>
                        <td>
                            {{ $traineeInfo->fields_of_interest }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.innovative_idea') }}
                        </th>
                        <td>
                            {{ $traineeInfo->innovative_idea }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.willing_to_work_as_a_trainer') }}
                        </th>
                        <td>
                            {!! $traineeInfo->willing_to_work_as_a_trainer !!}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.willing_to_work_as_a_consultant') }}
                        </th>
                        <td>
                            {!! $traineeInfo->willing_to_work_as_a_consultant !!}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.additional_comment') }}
                        </th>
                        <td>
                            {{ $traineeInfo->additional_comment }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.bpmi_bus_arrangements') }}
                        </th>
                        <td>
                            {{ App\Models\TraineeInfo::BPMI_BUS_ARRANGEMENTS_SELECT[$traineeInfo->bpmi_bus_arrangements] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.other_method_to_go_to_payra') }}
                        </th>
                        <td>
                            {{ $traineeInfo->other_method_to_go_to_payra }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.traineeInfo.fields.user') }}
                        </th>
                        <td>
                            {{ $traineeInfo->user->name ?? '' }}
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('trainee-infos.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection