@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        Organization List
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover data-table">
                <thead>
                    <tr>
                        <th>
                            No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Email
                        </th>
                        <th>
                            Organization
                        </th>
                        <th>
                            Designation
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th width="100px">Action</th>
                        
                    </tr>
                </thead>
                <tbody>

                </tbody>
               
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {

        var table = $('.data-table').DataTable({
        processing: true,
        serverSide: true,
        ajax: "{{ route('org.list') }}",
        columns: [
            {data: 'id', name: 'id'},
            {data: 'name', name: 'name'},
            {data: 'email', name: 'email'},
            {data: 'organization', name: 'organization'},
            {data: 'designation', name: 'designation'},
            {data: 'mobile', name: 'mobile'},
            {data: 'action', name: 'action', orderable: false, searchable: false},
           
        ]
    });

    $(document).on('click', '.delete-user', function(){
        if (confirm('Are you sure ?')) {
            var href = $(this).data('href');
            var data = $(this).serialize();
            $.ajax({
                method: "DELETE",
                url: href,
                dataType: "json",
                data: data,
                success: function(result){
                    if(result.success == true){
                        data-table.ajax.reload();
                    } else {
                        console.log(result.msg);
                    }
                }
            });

        }else
        {
        console.log('cancel')
        }
    });
    

  $('.data-table tbody').on('click', 'a.delete-course', function(e){
        e.preventDefault();
        Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
        if (result.isConfirmed) {
            var href = $(this).attr('href');
                $.ajax({
                    method: "DELETE",
                    url: href,
                    dataType: "json",
                    success: function(result){
                        if(result.success == true){
                            toastr.success(result.msg);
                            table.ajax.reload();
                        } else {
                            toastr.error(result.msg);
                        }
                    }
                });
            }
        })
    });
  
});

</script>
@endsection