@extends('layouts.admin')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    Single assignment
                </div>
                <div class="card-body">
                    {{-- @dd($viewAssignment) --}}
                    <form action="{{ route('assignment-single-file.store') }}" enctype="multipart/form-data" method="POST">
                        @csrf
                        <input type="hidden" id="course_id" name="course_id" value="{{ $viewAssignment->id }}">
                        <input type="hidden" name="exam_module_id" value="{{ request()->exam_module }}">
                        <div class="row mt-2 mb-2">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Name Of Assignment</label>
                                    <input type="text" name="name" class="form-control" id="exampleInputEmail1"
                                        aria-describedby="emailHelp" placeholder="name" data-validation="required">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Assignment File</label>
                                    <input type="file" name="assignment" class="form-control" data-validation="required">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Select Trainee</label>
                                    <select class="form-control select2 " multiple="multiple" name="user_id[]"
                                        data-validation="required">
                                        @foreach ($viewAssignment->courseAssignmentGroup as $key => $assignment_group)
                                            @foreach ($assignment_group->user_id as $key1 => $user_id)
                                                @php
                                                    $user = app\Models\User::find($user_id);
                                                @endphp
                                                <option value="{{ $user->id }}">{{ $user->name }}</option>
                                            @endforeach
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Last date of submission</label>
                                    <input class="form-control datetime" type="text" name="submission_last_date"
                                        id="submission_last_date" value="{{ old('submission_last_date') }}"
                                        data-validation="required">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <button type="submit" class="btn btn-success mb-2"><i class="fa-fw fas fa-plus"></i> Add
                                    Assignment</button>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
        <div class="col-md-12">
            {{-- assignment individual --}}
            <div class="card">
                <div class="card-header">
                    Individual Assignment for course <b>{{ $viewAssignment->title }}</b>
                </div>

                <div class="card-body">

                    <table class=" table table-bordered table-hover datatable datatable-Course">
                        <thead>

                        </thead>
                        <tbody>

                            @foreach ($viewAssignment->courseAssignmentFile as $file)
                                @if ($file->user_id)
                                    <tr>
                                        <td>
                                            <div class="group-list">
                                                <h4>User name:{{ $file->user->name }} </h4>
                                                <br>
                                                <span>File name:{{ $file->name }} </span>
                                                <br>


                                            </div>
                                        </td>
                                        <td>
                                            <h4>Assignment Submittion Status</h4>
                                            </h4>
                                            <div>
                                                {{-- @dd() --}}
                                                @if (isset($file->assignmentSubmissions->assignment_file_id) &&
                                                        $file->id == $file->assignmentSubmissions->assignment_file_id)
                                                    Submitted File: <a
                                                        href="{{ asset('upload/files') . '/' . $file->assignmentSubmissions->file }}"
                                                        target="_blank">{{ $file->assignmentSubmissions->file }}</a>
                                                    <br>
                                                    Submitted by: {{ $file->assignmentSubmissions->user->name }}
                                                    <br>
                                                    Submitted at:
                                                    {{ \Carbon\Carbon::parse(trim($file->assignmentSubmissions->created_at))->format('d-m-Y') }}
                                                @else
                                                    <span class="btn btn-xs btn-danger">
                                                        Not Submitted
                                                    </span><br>
                                                    <span>Last Date of Submission:
                                                        {{ \Carbon\Carbon::parse(trim($file->submission_last_date))->format('d-m-Y') }}
                                                    </span>
                                                @endif

                                            </div>

                                        </td>

                                        <td>
                                            <h4>Assignment Resources</h4>
                                            <ul class="mt-2">
                                                <li>
                                                    <a href="{{ asset('upload/files') . '/' . $file->file }}"
                                                        target="_blank">{{ $file->name }}</a>
                                                </li>
                                            </ul>
                                        </td>
                                    </tr>
                                @endif
                            @endforeach
                        </tbody>
                    </table>
                    <!-- MODAL FOR SINGLE ASSIGNMENT -->

                    {{-- <div class="modal fade" id="singleassignment" tabindex="-1" role="dialog" aria-labelledby="singleassignment" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4>Assignment Info</h4>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form action="{{ route('assignment-group-file.store') }}" enctype="multipart/form-data" method="POST">
                                    @csrf
                                    <input type="hidden" id="user_id" name="user_id" value="">
                                    <input type="hidden" id="course_id" name="course_id" value="{{$course->id}}">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Name Of Assignment</label>
                                        <input type="text" name="name" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="name" data-validation="required">
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Assignment File</label>
                                        <input type="file" name="assignment" class="form-control">
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Last date of submission</label>
                                        <input class="form-control datetime" type="text" name="submission_last_date" id="submission_last_date" value="{{ old('submission_last_date') }}" required>
                                    </div>

                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div> --}}
                    <div class="modal fade" id="editgroupmodal" tabindex="-1" role="dialog"
                        aria-labelledby="editgroupmodal" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4>Edit Group</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form action="{{ route('assignment-group.store') }}" method="POST">
                                        @csrf
                                        <input type="hidden" id="group_id" name="group_id" value="">
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">Group Name</label>
                                            <input type="text" name="group_name" class="form-control" id="group_name"
                                                aria-describedby="emailHelp" placeholder="name" data-validation="required">
                                        </div>
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- MODAL FOR GROUP ASSIGNMENT -->
                    <div class="modal fade" id="groupassignment" tabindex="-1" role="dialog"
                        aria-labelledby="groupassignment" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4>Assignment Info</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form action="{{ route('assignment-group-file.store') }}"
                                        enctype="multipart/form-data" method="POST">
                                        @csrf
                                        <input type="hidden" name="exam_module_id"
                                            value="{{ request()->exam_module }}">
                                        <input type="hidden" class="group_id" name="group_id" value="">
                                        <input type="hidden" id="course_id" name="course_id"
                                            value="{{ request()->course->id }}">
                                        <div class="form-group">
                                            <label>Name Of Assignment</label>
                                            <input type="text" name="name" class="form-control"
                                                aria-describedby="emailHelp" placeholder="name"
                                                data-validation="required">
                                        </div>
                                        <div class="form-group">
                                            <label>Assignment File</label>
                                            <input type="file" name="assignment" class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label>Last date of submission</label>
                                            <input class="form-control datetime" type="text"
                                                name="submission_last_date" id="submission_last_date"
                                                value="{{ old('submission_last_date') }}" required>
                                        </div>

                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            {{-- assignment group --}}
            <div class="card">
                <div class="card-header">
                    Assignment Group for course <b>{{ $viewAssignment->title }}</b>
                </div>

                <div class="card-body">

                    <table class=" table table-bordered table-hover datatable datatable-Course">
                        <thead>

                        </thead>
                        <tbody>
                            {{-- @dd($viewAssignment->courseAssignmentFile) --}}
                            @foreach ($viewAssignment->courseAssignmentGroup as $key => $assignment_group)
                                <tr>
                                    <td>
                                        <div class="group-list">
                                            <h4>Group name: {{ $assignment_group->group_name }} <a
                                                    href="javascript:void(0)"
                                                    data-group-name="{{ $assignment_group->group_name }}"
                                                    class="btn btn-xs btn-info editgroup"
                                                    data-group-id="{{ $assignment_group->id }}"
                                                    style="font-size: 14px; position:relative;">Edit</a>

                                                <form action="{{ route('assignment-group.delete') }}" method="POST"
                                                    onsubmit="return confirm('{{ trans('global.areYouSure') }}');"
                                                    style="display: inline-block;">
                                                    <input type="hidden" name="group_id"
                                                        value="{{ $assignment_group->id }}">
                                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                    <input type="submit" class="btn btn-xs btn-danger"
                                                        value="{{ trans('global.delete') }}">
                                                </form>
                                            </h4>
                                            <br>
                                            @foreach ($assignment_group->user_id as $key1 => $user_id)
                                                <ul>
                                                    <li>
                                                        @php
                                                            $user = app\Models\User::find($user_id);
                                                        @endphp
                                                        <span style="position: relative">{{ $user->name }}
                                                            <form action="{{ route('trainee-remove.assignment') }}"
                                                                method="post"
                                                                style="position: absolute;
                                            right: -35px;
                                            top: -2px;">
                                                                @csrf
                                                                <input type="hidden" name="trainee_id"
                                                                    value="{{ $user->id }}">
                                                                <input type="hidden" name="group_id"
                                                                    value="{{ $assignment_group->id }}">
                                                                <button type="submit" id=""
                                                                    class="btn btn-danger btn-xs"><i
                                                                        class="fa fa-times"></i></button>
                                                            </form>
                                                        </span>
                                                    </li>

                                                </ul>
                                            @endforeach
                                        </div>
                                    </td>
                                    <td>
                                        <h4>Assignment Submittion Status</h4>
                                        </h4>
                                        <div>
                                            @foreach ($viewAssignment->courseAssignmentFile as $file)
                                                @if ($file->assignmentSubmissions && $assignment_group->id == $file->group_id)
                                                    Submitted File: <a
                                                        href="{{ asset('upload/files') . '/' . $file->assignmentSubmissions->file }}"
                                                        target="_blank">{{ $file->assignmentSubmissions->file }}</a>
                                                    <br>
                                                    Submitted by: {{ $file->assignmentSubmissions->user->name }}
                                                    <br>
                                                    Submitted at:
                                                    {{ \Carbon\Carbon::parse(trim($file->assignmentSubmissions->created_at))->format('d-m-Y') }}
                                                @else
                                                    <span class="btn btn-xs btn-danger">
                                                        Not Submitted
                                                    </span> <br>
                                                    <span>Last Date of Submission:
                                                        {{ \Carbon\Carbon::parse(trim($file->submission_last_date))->format('d-m-Y') }}
                                                    </span>
                                                @endif
                                            @endforeach
                                            {{-- Submitted by: @dd($viewAssignment) --}}
                                        </div>

                                    </td>
                                    @can('provide_group_assignment', $courseRole)
                                        <td>
                                            <a class="btn btn-sm btn-success groupassignment"
                                                data-group-id={{ $assignment_group->id }} href="javascript:void(0)"
                                                data-toggle="modal" data-target="#groupassignment">
                                                Add Group Assignment
                                            </a>
                                            <ul class="mt-2">
                                                @foreach ($viewAssignment->courseAssignmentFile as $file)
                                                    @if ($file->group_id == $assignment_group->id)
                                                        <li>
                                                            <a href="{{ asset('upload/files') . '/' . $file->file }}"
                                                                target="_blank">{{ $file->name }}</a>
                                                        </li>
                                                    @endif
                                                @endforeach
                                            </ul>
                                        </td>
                                    @endcan
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                    <!-- MODAL FOR SINGLE ASSIGNMENT -->

                    {{-- <div class="modal fade" id="singleassignment" tabindex="-1" role="dialog" aria-labelledby="singleassignment" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4>Assignment Info</h4>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form action="{{ route('assignment-group-file.store') }}" enctype="multipart/form-data" method="POST">
                                    @csrf
                                    <input type="hidden" id="user_id" name="user_id" value="">
                                    <input type="hidden" id="course_id" name="course_id" value="{{$course->id}}">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Name Of Assignment</label>
                                        <input type="text" name="name" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="name" data-validation="required">
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Assignment File</label>
                                        <input type="file" name="assignment" class="form-control">
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Last date of submission</label>
                                        <input class="form-control datetime" type="text" name="submission_last_date" id="submission_last_date" value="{{ old('submission_last_date') }}" required>
                                    </div>

                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div> --}}
                    <div class="modal fade" id="editgroupmodal" tabindex="-1" role="dialog"
                        aria-labelledby="editgroupmodal" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4>Edit Group</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form action="{{ route('assignment-group.store') }}" method="POST">
                                        @csrf
                                        <input type="hidden" id="group_id" name="group_id" value="">
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">Group Name</label>
                                            <input type="text" name="group_name" class="form-control" id="group_name"
                                                aria-describedby="emailHelp" placeholder="name"
                                                data-validation="required">
                                        </div>
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- MODAL FOR GROUP ASSIGNMENT -->
                    <div class="modal fade" id="groupassignment" tabindex="-1" role="dialog"
                        aria-labelledby="groupassignment" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4>Assignment Info</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form action="{{ route('assignment-group-file.store') }}"
                                        enctype="multipart/form-data" method="POST">
                                        @csrf
                                        {{-- <input type="hidden" name="exam_module_id" value="{{ request()->exam_module }}">
                                        <input type="hidden" class="group_id" name="group_id" value="">
                                        <input type="hidden" id="course_id" name="course_id"
                                            value="{{ $course->id }}"> --}}
                                        <div class="form-group">
                                            <label>Name Of Assignment</label>
                                            <input type="text" name="name" class="form-control"
                                                aria-describedby="emailHelp" placeholder="name"
                                                data-validation="required">
                                        </div>
                                        <div class="form-group">
                                            <label>Assignment File</label>
                                            <input type="file" name="assignment" class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label>Last date of submission</label>
                                            <input class="form-control datetime" type="text"
                                                name="submission_last_date" id="submission_last_date"
                                                value="{{ old('submission_last_date') }}" required>
                                        </div>

                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    @parent
    <script>
        $(document).on('click', '.groupassignment', function(e) {
            let group_id = $(this).attr('data-group-id')
            $('.group_id').val(group_id);
        });
        $(document).on('click', '.editgroup', function(e) {
            let group_id = $(this).data('group-id')
            let group_name = $(this).data('group-name')
            $('#editgroupmodal').modal();
            $('#group_id').val(group_id)
            $('#group_name').val(group_name)
        })
        $(document).on('click', '.singleassignment', function(e) {
            let user_id = $(this).data('user-id')
            $('#user_id').val(user_id)
        })
    </script>
@endsection
