@extends('layouts.admin')
@section('content')
<div class="row">
    <div class="col-12">
         <div class="card">
            <div class="card-header">
                 Single Assignments
            </div>
            <div class="card-body">
                
                <table class="table">
                    <thead>
                        <tr>
                            <th>Trainee</th>
                            <th>Assignment</th>
                            <th>Submitted Assignemnt</th>
                            <th>Submission Last Date</th>
                            <th>Submission Date</th>
                            <th>Mark</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($single_assingments as $key => $assingment)
                        <tr>
                            <td>{{$assingment->user->name}}</td>
                            <td><a href="{{ asset('upload/files').'/'.$assingment->file }}" target="_blank">{{$assingment->name}}</a></td>
                            <td>@if($assingment->assignmentSubmissions)
                                <a href="{{ asset('upload/files').'/'.$assingment->assignmentSubmissions->file }}" target="_blank">{{$assingment->assignmentSubmissions->file}}</a>
                                @else
                                <span>Not submitted</span>
                                @endif
                            </td>
                            <td>{{Carbon\Carbon::parse($assingment->submission_last_date)->format('jS F Y h:i: A')}}</td>
                            <td>{{$assingment->assignmentSubmissions?Carbon\Carbon::parse($assingment->assignmentSubmissions->created_at)->format('jS F Y h:i: A'):'N/A'}}</td>
                            <td>12</td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>                            
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                Group Assignments
            </div>
            <div class="card-body">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Group</th>
                            <th>Assignment</th>
                            <th>Submitted Assignemnt</th>
                            <th>Submission Last Date</th>
                            <th>Submission Date</th>
                            <th>Mark</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($group_assingments as $key => $assingment)
                        <tr>
                            <td>{{$assingment->group->group_name}}</td>
                            <td><a href="{{ asset('upload/files').'/'.$assingment->file }}" target="_blank">{{$assingment->name}}</a></td>
                            <td>@if($assingment->assignmentSubmissions)
                                <a href="{{ asset('upload/files').'/'.$assingment->assignmentSubmissions->file }}" target="_blank">{{$assingment->assignmentSubmissions->file}}</a>
                                @else
                                <span>Not submitted</span>
                                @endif
                            </td>
                            <td>{{Carbon\Carbon::parse($assingment->submission_last_date)->format('jS F Y h:i: A')}}</td>
                            <td>{{$assingment->assignmentSubmissions?Carbon\Carbon::parse($assingment->assignmentSubmissions->created_at)->format('jS F Y h:i: A'):'N/A'}}</td>
                            <td>12</td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>    
            </div>
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
@endsection