<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" />
    <!-- bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css" />
    <!-- bootstrap icon -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css" rel="stylesheet" />
    <!-- fontawesome -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;1,100&family=Roboto:ital,wght@1,500;1,900&display=swap"
        rel="stylesheet" />

    <link href="{{ asset('template/css/style.css') }}" rel="stylesheet" />
    <style>
        .form-header h2 {
            font-size: 25px;
        }

        .join-course-form {
            box-shadow: 0px 16px 32px 0px rgb(196 203 255 / 30%);
            padding: 40px;
            background: #fff;
            border: 1px solid #ddd;
            border-radius: 4px;
        }

        .join-button {
            margin: 0 auto;
            width: 100px;
            background-color: #2878eb;
            color: #fff;
            padding: 10px 0px;
        }

        .btn:hover {
            color: #fff;
            text-decoration: none;
            box-shadow: 0px 16px 32px 0px rgb(196 203 255 / 30%);
        }
    </style>

    <title>Join a Course | BPMI Training Management</title>
</head>

<body>


    <!-- ================== navbar start =======================-->

    <header>

        <div class="container">
            <div class="Header_area d-flex align-items-center justify-content-between">

                <a href="{{ url('/') }}">
                    <img src="{{ asset('template/images/logo.png') }}" class="img-fluid" width="120px">
                </a>
                <div class="category">

                </div>


                <div class="ul_info">
                    <ul class="ul">
                        <li class="li"><a href="{{ url('/') }}">Home</a></li>
                        <li class="li"><a href="About">About</a></li>
                        <li class="li"><a href="Courses">Courses</a></li>
                        <li class="li"><a href="Blog">Blog</a></li>
                        <li class="li"><a href="Contact">Contact</a></li>
                    </ul>
                </div>

                <div class="header-btn d-none d-xl-block">
                    <a href="{{ url('/login') }}" class="login">Login</a>
                    <a href="{{ url('/trainee-signup') }}" class="btn register">Sign up</a>
                </div>

            </div>

        </div>


    </header>


    <!-- ================== navbar end =======================-->

    <!-- ================== SIGNUP AREA =======================-->

    <section class="page-wrapper">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-8 col-xl-7">
                    <div class="join-course-form">

                        <div class="form-header">
                            <h2 class="font-weight-500 mb-3">Course Join Form</h2>
                        </div>

                        @if (count($errors) > 0)
                            <div class = "alert alert-danger">
                                <ul
                                    style="margin-bottom: 0rem;
                           padding: 0px; list-style:none;
                       ">
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif

                        <form action="{{ url('join-course') }}" method="post" class="">
                            @csrf
                            @php
                                $courses = DB::table('courses')
                                    ->join('nominations', 'nominations.course_id', 'courses.id')
                                    ->orderBy('courses.id', 'desc')
                                    ->select('courses.id as id', 'courses.title')
                                    ->get();
                            @endphp
                            <div class="row mb-1">
                                <div class="col-xl-12">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Couse you want to join&nbsp;<span class="required">*</span></label>
                                        <select name="course_id" value="{{ old('course_id') }}" class="form-control"
                                            data-validation="required"
                                            data-validation-error-msg-required="This field is required">
                                            @foreach ($courses as $key => $entry)
                                                <option value="" disabled hidden>Select Course</option>
                                                <option {{ old('course_id') == $entry->id ? 'selected' : '' }}
                                                    value="{{ $entry->id }}">{{ $entry->title }}</option>
                                            @endforeach
                                        </select>
                                    </p>
                                </div>
                            </div>
                            <div class="row mb-2">

                                <div class="col-xl-12">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Your registered Email &nbsp;<span class="required">*</span></label>
                                        <input type="text" class="form-control" name="email"
                                            placeholder="registered email" data-validation="required"
                                            value="{{ old('firstName') }}"
                                            data-validation-error-msg-required="This field is required">
                                    </p>
                                </div>

                            </div>

                            <div class="form-row">
                                <button type="submit" class="join-button btn">Join</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </section>
    <!-- ================== SIGNUP AREA END =======================-->



    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js"></script>
    <!-- js -->

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-form-validator/2.3.79/jquery.form-validator.min.js"
        integrity="sha512-7+hQkXGIswtBWoGbyajZqqrC8sa3OYW+gJw5FzW/XzU/lq6kScphPSlj4AyJb91MjPkQc+mPQ3bZ90c/dcUO5w=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
        $("[name='organization_id']").on('change', function() {
            if ($(this).find(":selected").val() == 2) {
                $('.branch').show()
            } else {
                $("[name='branch_id']").val('')
                $('.branch').hide()
            }
        });

        $("[name='designation_id']").on('change', function() {
            if ($(this).find(":selected").val() == 17) {
                $('.other-designation').show()
            } else {
                $("[name='other_designation']").val('')
                $('.other-designation').hide()
            }
        });

        $.validate({
            lang: 'en',
            message: "String with text that should be displayed as error message"
        });
    </script>
</body>

</html>
