<div id="sidebar" class="c-sidebar c-sidebar-fixed c-sidebar-lg-show">
    <div style="margin: 0 auto;padding-top: 10px;">
        <a href="{{ url('/dashboard') }}" class="bpmi-logo">
            <img src="{{ asset('template/images/logo.png') }}" class="img-fluid d-flex" width="100px"
                style="margin: 0 auto;">
        </a>
        <div class="c-sidebar-brand-full" style="font-size: 20px;padding: 5px;">
            {{ trans('panel.site_title') }}
        </div>
    </div>


    <ul class="c-sidebar-nav ">
        <li class="c-sidebar-nav-item">
            <a href="{{ route('home') }}" class="c-sidebar-nav-link {{ request()->is('dashboard') ? 'c-active' : '' }}">
                <i class="c-sidebar-nav-icon fas fa-fw fa-tachometer-alt">

                </i>
                {{ trans('global.dashboard') }}
            </a>
        </li>
        @can('user_management_access', $courseRole)
            <li
                class="c-sidebar-nav-dropdown {{ request()->is('admin/permissions*') ? 'c-show' : '' }} {{ request()->is('admin/roles*') ? 'c-show' : '' }} {{ request()->is('admin/users*') ? 'c-show' : '' }}">
                <a class="c-sidebar-nav-dropdown-toggle" href="#">
                    <i class="fa-fw fas fa-users c-sidebar-nav-icon">

                    </i>
                    {{ trans('cruds.userManagement.title') }}
                </a>
                <ul class="c-sidebar-nav-dropdown-items">
                    @can('permission_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('permissions.index') }}"
                                class="c-sidebar-nav-link {{ request()->is('admin/permissions') || request()->is('admin/permissions/*') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-unlock-alt c-sidebar-nav-icon">

                                </i>
                                {{ trans('cruds.permission.title') }}
                            </a>
                        </li>
                    @endcan
                    @can('role_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('roles.index') }}"
                                class="c-sidebar-nav-link {{ request()->is('admin/roles') || request()->is('admin/roles/*') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-briefcase c-sidebar-nav-icon">

                                </i>
                                {{ trans('cruds.role.title') }}
                            </a>
                        </li>
                    @endcan
                    @can('user_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('users.create') }}"
                                class="c-sidebar-nav-link {{ request()->is('/users') || request()->is('/users/create*') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-user c-sidebar-nav-icon">

                                </i>
                                Create User
                            </a>
                        </li>
                    @endcan

                    @can('user_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('users.index') }}"
                                class="c-sidebar-nav-link {{ request()->is('admin/users') || request()->is('admin/users/*') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-user c-sidebar-nav-icon">

                                </i>
                                Faculty Members
                            </a>
                        </li>
                    @endcan

                    <!-- TRAINEE LIST -->

                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('users.list', 8) }}"
                            class="c-sidebar-nav-link {{ request()->is('admin/users/list') || request()->is('admin/users/list/*') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-user c-sidebar-nav-icon">

                            </i>
                            Trainee List
                        </a>
                    </li>

                    <!-- TRAINER LIST -->

                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('users.list', 7) }}"
                            class="c-sidebar-nav-link {{ request()->is('admin/users/list') || request()->is('admin/users/list/*') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-user c-sidebar-nav-icon">

                            </i>
                            Trainer List
                        </a>
                    </li>

                    <!-- ORG LIST -->

                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('org.list') }}"
                            class="c-sidebar-nav-link {{ request()->is('admin/organization/list') || request()->is('admin/organization/list/*') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-user c-sidebar-nav-icon">

                            </i>
                            Organization List
                        </a>
                    </li>

                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('allusers.list') }}"
                            class="c-sidebar-nav-link {{ request()->is('admin/allusers/list') || request()->is('admin/allusers/list/*') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-user c-sidebar-nav-icon">

                            </i>
                            All Users
                        </a>
                    </li>

                </ul>
            </li>
        @endcan
        <!-- CALENDER VIEW -->
        @can('fullcalender_access', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ route('calender') }}"
                    class="c-sidebar-nav-link {{ request()->is('admin/fullcalender') || request()->is('admin/fullcalender/*') ? 'c-active' : '' }}">
                    <i class="fa-fw fas fa-calendar c-sidebar-nav-icon">

                    </i>
                    Training Calender
                </a>
            </li>
        @endcan
        @can('course_initiation_access', $courseRole)
            <li class="c-sidebar-nav-dropdown {{ request()->is('admin/course-initiation*') ? 'c-show' : '' }}">
                <a class="c-sidebar-nav-dropdown-toggle" href="#">
                    <i class="fa-fw fas fa-list-alt c-sidebar-nav-icon">

                    </i>
                    Course Initiation
                </a>
                <ul class="c-sidebar-nav-dropdown-items">
                    @can('course_initiation_create', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('course-initiation.create') }}"
                                class="c-sidebar-nav-link {{ request()->is('admin/course-initiation/create') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                                </i>
                                New Course Initiation
                            </a>
                        </li>
                    @endcan
                    @can('course_initiation_list', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('course-initiation.index') }}"
                                class="c-sidebar-nav-link {{ request()->is('admin/course-initiation') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                                </i>
                                Course Initiaion List
                            </a>
                        </li>
                    @endcan
                </ul>

            </li>
        @endcan



        @can('organization_access_comment', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ route('organizations.index') }}"
                    class="c-sidebar-nav-link {{ request()->is('admin/organizations') || request()->is('admin/organizations/*') ? 'c-active' : '' }}">
                    <i class="fa-fw fas fa-recycle c-sidebar-nav-icon">

                    </i>
                    {{ trans('cruds.organization.title') }}
                </a>
            </li>
        @endcan

        @can('nomination_access', $courseRole)
            <li class="c-sidebar-nav-dropdown {{ request()->is('admin/nominations*') ? 'c-show' : '' }}">
                <a class="c-sidebar-nav-dropdown-toggle" href="#">
                    <i class="fa-fw fas fa-address-card c-sidebar-nav-icon">

                    </i>
                    Nomination
                </a>
                <ul class="c-sidebar-nav-dropdown-items">
                    @can('nomination_create', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('nominations.create') }}"
                                class="c-sidebar-nav-link {{ request()->is('admin/nominations/create') || request()->is('admin/nominations/*') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                                </i>
                                Create Nominations
                            </a>

                        </li>
                    @endcan
                    @can('nomination_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('nominations.index') }}"
                                class="c-sidebar-nav-link {{ request()->is('admin/nominations/create') || request()->is('admin/nominations/*') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                                </i>
                                Nomination List
                            </a>

                        </li>
                    @endcan

                </ul>

            </li>
        @endcan

        @if (auth()->user()->can('nomination_list', $courseRole))
            <li class="c-sidebar-nav-item">

                <a href="{{ route('organisation.nomination.index') }}"
                    class="c-sidebar-nav-link {{ request()->is('organisation/nomination/list') ? 'c-active' : '' }}">

                    <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">
                    </i>

                    Nomination List

                </a>

            </li>
        @endif


        @can('batch_access', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ route('batches.index') }}"
                    class="c-sidebar-nav-link {{ request()->is('admin/batches') || request()->is('admin/batches/*') ? 'c-active' : '' }}">
                    <i class="fa-fw fas fa-database  c-sidebar-nav-icon">

                    </i>
                    {{ trans('cruds.batch.title') }}
                </a>
            </li>
        @endcan

        @can('course_access', $courseRole)
            <li class="c-sidebar-nav-dropdown {{ request()->is('admin/courses*') ? 'c-show' : '' }}">
                <a class="c-sidebar-nav-dropdown-toggle" href="#">
                    <i class="fa-fw fas fa-graduation-cap c-sidebar-nav-icon">

                    </i>
                    Trainings
                </a>
                <ul class="c-sidebar-nav-dropdown-items">
                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('courses.ongoing') }}"
                            class="c-sidebar-nav-link {{ request()->is('admin/courses/ongoing-courses') || request()->is('admin/courses/*') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                            </i>
                            Ongoing Training
                        </a>

                    </li>
                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('courses.previous') }}"
                            class="c-sidebar-nav-link {{ request()->is('admin/courses/previous-courses') || request()->is('admin/courses/*') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                            </i>
                            Previous Training
                        </a>

                    </li>
                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('courses.all') }}"
                            class="c-sidebar-nav-link {{ request()->is('admin/courses/all-courses') || request()->is('admin/courses/*') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                            </i>
                            All Training
                        </a>

                    </li>

                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('training-resource.index') }}"
                            class="c-sidebar-nav-link {{ request()->is('training-resource') || request()->is('training-resource/*') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-book c-sidebar-nav-icon">

                            </i>
                            Training resource
                        </a>

                    </li>

                </ul>

            </li>
        @endcan

        @can('quiz_access', $courseRole)
            <li class="c-sidebar-nav-dropdown {{ request()->is('quiz*') ? 'c-show' : '' }}">
                <a class="c-sidebar-nav-dropdown-toggle" href="#">
                    <i class="fa-fw fas fa-edit c-sidebar-nav-icon">

                    </i>
                    Quiz
                </a>
                <ul class="c-sidebar-nav-dropdown-items">
                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('module.index') }}"
                            class="c-sidebar-nav-link {{ request()->is('module') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                            </i>
                            Module
                        </a>
                    </li>
                    @can('quiz_categories_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('quiz.category.index') }}"
                                class="c-sidebar-nav-link {{ request()->is('quiz/category') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                                </i>
                                Quiz Category
                            </a>
                        </li>
                    @endcan
                    @can('quiz_topics_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('quiz.index.index') }}"
                                class="c-sidebar-nav-link {{ request()->is('quiz/create') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                                </i>
                                All Quiz
                            </a>
                        </li>
                    @endcan
                    {{-- @can('quiz_topics_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('quiz.index.create') }}"
                                class="c-sidebar-nav-link {{ request()->is('quiz/create') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                                </i>
                                Create Quiz
                            </a>
                        </li>
                    @endcan --}}
                    @can('question_banks_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('quiz.question.create') }}"
                                class="c-sidebar-nav-link {{ request()->is('quiz/question/create') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                                </i>
                                Add Question
                            </a>
                        </li>
                    @endcan
                    @can('question_banks_access', $courseRole)
                        <li class="c-sidebar-nav-item">
                            <a href="{{ route('quiz.question.index') }}"
                                class="c-sidebar-nav-link {{ request()->is('quiz/question') ? 'c-active' : '' }}">
                                <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                                </i>
                                Quistion Bank
                            </a>
                        </li>
                    @endcan

                </ul>

            </li>
        @endcan

        @can('budget_access', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ route('budgets.index') }}"
                    class="c-sidebar-nav-link {{ request()->is('admin/budgets') || request()->is('admin/budgets/*') ? 'c-active' : '' }}">
                    <i class="fa-fw fas  fa-money c-sidebar-nav-icon">

                    </i>
                    {{ trans('cruds.budget.title') }}
                </a>
            </li>
        @endcan
        @can('certificate_access', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ route('generate-certificate.index') }}"
                    class="c-sidebar-nav-link {{ request()->is('admin/certificate') || request()->is('admin/budgets/*') ? 'c-active' : '' }}">
                    <i class="fa-fw fas fa-certificate c-sidebar-nav-icon">

                    </i>
                    Certificate
                </a>
            </li>
        @endcan
        @can('certificate_access', $courseRole)
            <li class="c-sidebar-nav-dropdown {{ request()->is('report*') ? 'c-show' : '' }}">
                <a class="c-sidebar-nav-dropdown-toggle" href="#">
                    <i class="fa-fw fas fa-bar-chart  c-sidebar-nav-icon">

                    </i>
                    Report
                </a>
                <ul class="c-sidebar-nav-dropdown-items">
                    <li class="c-sidebar-nav-item">
                        <a href="{{ route('report.trainee') }}"
                            class="c-sidebar-nav-link {{ request()->is('report/trainee') ? 'c-active' : '' }}">
                            <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                            </i>
                            Trainee Report
                        </a>
                    </li>
                </ul>
            </li>
        @endcan

        @can('trainee_approve', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ url('approve-list') }}"
                    class="c-sidebar-nav-link {{ request()->is('approve-list') ? 'c-active' : '' }}">
                    <i class="fa-fw fas fa-check-circle c-sidebar-nav-icon">
                    </i>
                    Approve Trainee
                </a>
            </li>
        @endcan
        @if (count($courseRole) > 0)
            @can('trainee_info_access', $courseRole)
                <li class="c-sidebar-nav-item">
                    <a href="{{ route('trainee-infos.create') }}"
                        class="c-sidebar-nav-link {{ request()->is('admin/trainee-infos') || request()->is('admin/trainee-infos/*') ? 'c-active' : '' }}">
                        <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                        </i>
                        {{ trans('cruds.traineeInfo.title') }}
                    </a>
                </li>
            @endcan
        @endif
        @can('designation_access', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ route('designations.index') }}"
                    class="c-sidebar-nav-link {{ request()->is('admin/designations') || request()->is('admin/designations/*') ? 'c-active' : '' }}">
                    <i class="fa-fw fas fa-briefcase  c-sidebar-nav-icon">

                    </i>
                    {{ trans('cruds.designation.title') }}
                </a>
            </li>
        @endcan
        {{-- @can('trainee_organization_access', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ route("trainee-organizations.index") }}" class="c-sidebar-nav-link {{ request()->is("admin/trainee-organizations") || request()->is("admin/trainee-organizations/*") ? "c-active" : "" }}">
                    <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                    </i>
                    {{ trans('cruds.traineeOrganization.title') }}
                </a>
            </li>
        @endcan --}}

        @can('coursefeepayment_access', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ route('coursefeepayments.index') }}"
                    class="c-sidebar-nav-link {{ request()->is('coursefeepayments') || request()->is('admin/coursefeepayments/*') ? 'c-active' : '' }}">
                    <i class="fa-fw fas fa-angle-double-right c-sidebar-nav-icon">

                    </i>
                    Course Fee Payment
                </a>
            </li>
        @endcan

        @can('coursepayment_access', $courseRole)
            <li class="c-sidebar-nav-item">
                <a href="{{ route('coursepayment') }}"
                    class="c-sidebar-nav-link {{ request()->is('admin/coursepayment') || request()->is('admin/coursepayment/*') ? 'c-active' : '' }}">
                    <i class="fa-fw fas fa-credit-card c-sidebar-nav-icon">

                    </i>
                    Course Payment
                </a>
            </li>
        @endcan

        @if (file_exists(app_path('Http/Controllers/Auth/ChangePasswordController.php')))
            <li class="c-sidebar-nav-item">
                <a class="c-sidebar-nav-link {{ request()->is('profile/password') || request()->is('profile/password/*') ? 'c-active' : '' }}"
                    href="{{ route('profile.password.edit') }}">
                    <i class="fa-fw fas fa-key c-sidebar-nav-icon">
                    </i>
                    My profile
                </a>
            </li>
        @endif

        <li class="c-sidebar-nav-item">
            <a href="#" class="c-sidebar-nav-link"
                onclick="event.preventDefault(); document.getElementById('logoutform').submit();">
                <i class="c-sidebar-nav-icon fas fa-fw fa-sign-out-alt">

                </i>
                {{ trans('global.logout') }}
            </a>
        </li>
    </ul>

</div>
