@extends('layouts.admin')
@section('content')
    <div class="row">
        <div class="col-md-7">
            <div class="card">
                <div class="card-header">
                    {{ trans('global.create') }} Presentation Group for course <b>{{ $course->title }}</b>
                </div>
                <div class="card-body">
                    <form method="POST" action="{{ route('presentation-group.store') }}">
                        @csrf
                        <div class="form-group">
                            <label class="required" for="group_name">{{ trans('cruds.organization.fields.name') }}</label>
                            <input class="form-control {{ $errors->has('group_name') ? 'is-invalid' : '' }}" type="text"
                                name="group_name" id="group_name" value="{{ old('name', '') }}" required>
                            @if ($errors->has('group_name'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('group_name') }}
                                </div>
                            @endif
                            <span class="help-block">{{ trans('cruds.organization.fields.name_helper') }}</span>
                        </div>
                        <input type="hidden" name="course_id" value="{{ $course->id }}">
                        <input type="hidden" name="exam_module_id" value="{{ request()->exam_module }}">
                        <div class="form-group">
                            <label class="required" for="name">Trainee</label>
                            <select class="form-control select2" name="user_id[]" multiple required>
                                @foreach ($trainee as $index => $traine)
                                    <option value="{{ $traine->user->id }}"
                                        {{ in_array($traine->user->id, old('roles', [])) ? 'selected' : '' }}>
                                        {{ $traine->user->name }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="form-group">
                            <label class="required">Presentation Date</label>
                            <input class="form-control datetime" type="text" name="presentation_date"
                                id="presentation_date" required value="" data-validation="required">
                        </div>

                        <div class="form-group">
                            <button class="btn btn-success" type="submit">
                                {{ trans('global.save') }}
                            </button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
        <div class="col-md-5">
            <div class="card">
                <div class="card-header">
                    Presentation Groups
                </div>
                <div class="card-body">
                    @foreach ($assignment_groups as $key => $assignment_group)
                        <div class="group-list">
                            <h4>{{ $assignment_group->group_name }}</h4>
                            @foreach ($assignment_group->user_id as $key1 => $user_id)
                                <ul>
                                    <li>
                                        @php
                                            $user = app\Models\User::find($user_id);
                                        @endphp
                                        {{ $user->name }}
                                    </li>
                                </ul>
                            @endforeach
                        </div>
                    @endforeach

                </div>
            </div>

        </div>
    </div>
@endsection

@section('scripts')
@endsection
