@extends('layouts.admin')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    Single presentation
                </div>
                <div class="card-body">
                    <form action="{{ route('presentation-single.store') }}" enctype="multipart/form-data" method="POST">
                        @csrf
                        <input type="hidden" id="course_id" name="course_id" value="{{ request()->course->id }}">
                        <div class="row mt-2 mb-2">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Name Of Presentation</label>
                                    <input type="text" name="name" class="form-control" aria-describedby="emailHelp"
                                        placeholder="name" data-validation="required">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Select Trainee</label>
                                    <select class="form-control select2 " multiple="multiple" name="user_id[]"
                                        data-validation="required">
                                        @foreach ($presentation_files as $key => $presentation_file)
                                            @if ($presentation_file->presentationGroup)
                                                @foreach ($presentation_file->presentationGroup->user_id as $key1 => $user_id)
                                                    @php
                                                        $user = app\Models\User::find($user_id);
                                                    @endphp
                                                    <option value="{{ $user->id }}">{{ $user->name }}</option>
                                                @endforeach
                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Presentation Date</label>
                                    <input class="form-control datetime" type="text" name="presentation_date"
                                        id="presentation_date" value="{{ old('presentation_date') }}"
                                        data-validation="required">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <button type="submit" class="btn btn-success mb-2"><i class="fa-fw fas fa-plus"></i> Add
                                    Presentation</button>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    Indivudual Presentation for course <b>{{ request()->course->title }}</b>
                </div>

                <div class="card-body">

                    <table class=" table table-bordered table-hover datatable datatable-Course">
                        <thead>

                        </thead>
                        <tbody>
                            @foreach ($presentation_files as $key => $presentation_file)
                                @if (!isset($presentation_file->presentationGroup))
                                    <tr>
                                        <td>
                                            <div class="group-list">
                                                <h4>User name: {{ $presentation_file->user->name }} <a
                                                        href="javascript:void(0)"
                                                        data-group-name="{{ $presentation_file->user->name }}"
                                                        class="btn btn-xs btn-info editgroup"
                                                        data-group-id="{{ $presentation_file->user->name }}"
                                                        style="font-size: 14px; position:relative;">Edit</a>

                                                    <form action="{{ route('presentation-group.delete') }}" method="POST"
                                                        onsubmit="return confirm('{{ trans('global.areYouSure') }}');"
                                                        style="display: inline-block;">
                                                        <input type="hidden" name="group_id"
                                                            value="{{ $presentation_file->user->name }}">
                                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                        <input type="submit" class="btn btn-xs btn-danger"
                                                            value="{{ trans('global.delete') }}">
                                                    </form>
                                                </h4><br>
                                                <br>
                                                <span>Last Submission
                                                    Date:{{ \Carbon\Carbon::parse(trim($presentation_file->presentation_date))->format('d-m-Y') }}
                                                </span>
                                                <br>
                                            </div>
                                        </td>

                                        <td>
                                            <div class="group-list">
                                                <h4>
                                                    Presentation Submission Status
                                                </h4>
                                                @if ($presentation_file->file)
                                                    <span>Submited File: <a
                                                            href="{{ asset('upload/files') . '/' . $presentation_file->file }}"
                                                            target="_blank">{{ $presentation_file->file }}</a>
                                                    </span>
                                                    <br>
                                                    Submitted by: {{ $presentation_file->user->name }}
                                                    <br>
                                                    Submitted at:
                                                    {{ \Carbon\Carbon::parse(trim($presentation_file->updated_at))->format('d-m-Y') }}
                                                @else
                                                    <span class="btn btn-xs btn-danger">
                                                        Not Submitted
                                                    </span><br>
                                                    <span>Last Date of Submission:
                                                        {{ $presentation_file->presentation_date ? \Carbon\Carbon::parse(trim($presentation_file->presentation_date))->format('d-m-Y') : 'Not Set' }}
                                                    </span>
                                                @endif
                                            </div>
                                        </td>

                                    </tr>
                                @endif
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    Presentation Group for course <b>{{ request()->course->title }}</b>
                </div>



                <div class="card-body">

                    <table class=" table table-bordered table-hover datatable datatable-Course">
                        <thead>

                        </thead>
                        <tbody>
                            {{-- @dd($presentation_files) --}}
                            @foreach ($presentation_files as $key => $presentation_file)
                                @if ($presentation_file->presentationGroup)
                                    <tr>
                                        <td>
                                            <div class="group-list">
                                                <h4>Group name: {{ $presentation_file->presentationGroup->group_name }} <a
                                                        href="javascript:void(0)"
                                                        data-group-name="{{ $presentation_file->presentationGroup->group_name }}"
                                                        class="btn btn-xs btn-info editgroup"
                                                        data-group-id="{{ $presentation_file->presentationGroup->id }}"
                                                        style="font-size: 14px; position:relative;">Edit</a>

                                                    <form action="{{ route('presentation-group.delete') }}" method="POST"
                                                        onsubmit="return confirm('{{ trans('global.areYouSure') }}');"
                                                        style="display: inline-block;">
                                                        <input type="hidden" name="group_id"
                                                            value="{{ $presentation_file->presentationGroup->id }}">
                                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                                        <input type="submit" class="btn btn-xs btn-danger"
                                                            value="{{ trans('global.delete') }}">
                                                    </form>
                                                </h4><br>
                                                @foreach ($presentation_file->presentationGroup->user_id as $key1 => $user_id)
                                                    <ul>
                                                        <li>
                                                            @php
                                                                $user = app\Models\User::find($user_id);
                                                            @endphp
                                                            <span style="position: relative">{{ $key1 + 1 }}.
                                                                {{ $user->name }}
                                                                <form action="{{ route('trainee-remove.presentation') }}"
                                                                    method="post"
                                                                    style="position: absolute;
                                            right: -50px;
                                            top: -2px;">
                                                                    @csrf
                                                                    <input type="hidden" name="trainee_id"
                                                                        value="{{ $user->id }}">
                                                                    <input type="hidden" name="group_id"
                                                                        value="{{ $presentation_file->presentationGroup->id }}">
                                                                    <button type="submit" id=""
                                                                        class="btn btn-danger btn-xs"><i
                                                                            class="fa fa-times"></i></button>
                                                                </form>
                                                            </span>
                                                        </li>

                                                    </ul>
                                                @endforeach
                                            </div>
                                        </td>

                                        <td>
                                            <div class="group-list">
                                                <h4>
                                                    Presentation Submission Status
                                                </h4>
                                                @if (isset($presentation_file->presentationGroup->presentationFile->file) &&
                                                        $presentation_file->presentationGroup->id == $presentation_file->presentationGroup->presentationFile->group_id)
                                                    <span>Submited File: <a
                                                            href="{{ asset('upload/files') . '/' . $presentation_file->presentationGroup->presentationFile->file }}"
                                                            target="_blank">{{ $presentation_file->presentationGroup->presentationFile->file }}</a>
                                                    </span>
                                                    <br>
                                                    Submitted by:
                                                    {{ $presentation_file->presentationGroup->presentationFile->user->name }}
                                                    <br>
                                                    Submitted at:
                                                    {{ \Carbon\Carbon::parse(trim($presentation_file->presentationGroup->presentationFile->updated_at))->format('d-m-Y') }}
                                                @else
                                                    <span class="btn btn-xs btn-danger">
                                                        Not Submitted
                                                    </span><br>
                                                    <span>Last Date of Submission:
                                                        {{ $presentation_file->presentationGroup->presentationFile ? \Carbon\Carbon::parse(trim($presentation_file->presentationGroup->presentationFile->presentation_date))->format('d-m-Y') : 'Not Set' }}
                                                    </span>
                                                @endif
                                            </div>
                                        </td>

                                        {{-- @can('provide_group_assignment')
                                            <td>
                                                <a class="btn btn-sm btn-success groupPresentation"
                                                    data-group-id={{ $presentation_file->presentationGroup->id }}
                                                    href="javascript:void(0)" data-toggle="modal"
                                                    data-target="#groupPresentation">
                                                    Add Presentation
                                                </a>

                                            </td>
                                        @endcan --}}
                                    </tr>
                                @endif
                            @endforeach
                        </tbody>
                    </table>
                    <!-- MODAL FOR SINGLE ASSIGNMENT -->

                    {{-- <div class="modal fade" id="signlePresentation" tabindex="-1" role="dialog" aria-labelledby="signlePresentation" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4>Assignment Info</h4>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form action="{{ route('assignment-group-file.store') }}" enctype="multipart/form-data" method="POST">
                                    @csrf
                                    <input type="hidden" id="user_id" name="user_id" value="">
                                    <input type="hidden" id="course_id" name="course_id" value="{{$course->id}}">
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Name Of Assignment</label>
                                        <input type="text" name="name" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="name" data-validation="required">
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Assignment File</label>
                                        <input type="file" name="assignment" class="form-control">
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputEmail1">Last date of submission</label>
                                        <input class="form-control datetime" type="text" name="presentation_date" id="presentation_date" value="{{ old('presentation_date') }}" required>
                                    </div>

                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div> --}}

                    <div class="modal fade" id="editgroupmodal" tabindex="-1" role="dialog"
                        aria-labelledby="editgroupmodal" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4>Edit Group</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form action="{{ route('presentation-group.store') }}" method="POST">
                                        @csrf
                                        <input type="hidden" class="group_id" name="group_id" value="">
                                        <div class="form-group">
                                            <label for="exampleInputEmail1">Group Name</label>
                                            <input type="text" name="group_name" class="form-control" id="group_name"
                                                aria-describedby="emailHelp" placeholder="name"
                                                data-validation="required">
                                        </div>
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>


                    <!-- MODAL FOR GROUP ASSIGNMENT -->
                    <div class="modal fade" id="groupPresentation" tabindex="-1" role="dialog"
                        aria-labelledby="groupPresentation" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4>Presentation Info</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form action="{{ route('presentation-group-file.store') }}" method="POST">
                                        @csrf
                                        <input type="hidden" name="exam_module_id"
                                            value="{{ request()->exam_module }}">
                                        <input type="hidden" class="group_id" name="group_id" value="">
                                        <input type="hidden" id="course_id" name="course_id"
                                            value="{{ request()->course->id }}">
                                        <div class="form-group">
                                            <label>Name Of Presentation</label>
                                            <input type="text" name="name" class="form-control"
                                                aria-describedby="emailHelp" placeholder="name"
                                                data-validation="required">
                                        </div>
                                        <div class="form-group">
                                            <label>Presentation Date </label>
                                            <input class="form-control datetime" type="text" name="presentation_date"
                                                id="presentation_date" value="{{ old('presentation_date') }}" required>
                                        </div>

                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    @parent
    <script>
        $(document).on('click', '.groupPresentation', function(e) {
            let group_id = $(this).attr('data-group-id')
            $('.group_id').val(group_id)
        });
        $(document).on('click', '.editgroup', function(e) {
            let group_id = $(this).data('group-id')
            let group_name = $(this).data('group-name')
            $('#editgroupmodal').modal();
            $('#group_id').val(group_id)
            $('#group_name').val(group_name)
        });
        $(document).on('click', '.signlePresentation', function(e) {
            let user_id = $(this).data('user-id')
            $('#user_id').val(user_id)
        });
    </script>
@endsection
