@extends('layouts.admin')
@section('styles')
<style>
    h3{
        font-size: 22px;
        margin-bottom: 0px;
    }
    .details
    {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .details p
    {
        font-size: 20px;
        font-weight: 500;
    }
    .details label{
        font-size: 1.2rem;
        color: #6d6c6c;
    }
    p{
        margin-bottom: 5px;
    }
    .question
    {
        margin-bottom: 15px;
        font-size: 16px;
    }
    .question p:not(:first-child) {
        margin-left: 10px;
    }
</style>
@endsection
@section('content')
<div class="card">
    <div class="card-header">
        <div class="row">
           <div class="col-12">
               <h2 class="text-center">Your scored {{ $examResult->percentage }}% </h2>              
           </div>
           <div class="col-12">
               
               <h5 class="text-center">You answered <strong>{{ $examResult->total_correct_ans }}</strong> of <strong>{{$examResult->total_ques}}</strong> questions correctly.</h5>
           </div>
        </div>
    </div>
    <div class="card-header">
            <div class="row">
                <div class="col-12">
                    <h2 class="text-center">Status</h2>
                   @if ($examResult->is_passed)
                     <h5 class="text-center" style="color:green;">Passed</h5>
                   @else
                     <h5 class="text-center" style="color:red;">Failed</h5>
                   @endif
                   
                </div>
            <div>
    </div>
        </div>
    </div>

    <div class="card-body">     
        <table class="align-middle mb-0 table table-borderless  table-hover" id="tableList">
            @foreach ($temp['questions'] as  $key=>$value)
            <div class="question">
              <p>{{ $key+1 }}<span>) </span><strong>{{ $value }}</strong></p>
                    @php
                        $rigntAnswer = ' ';
                    @endphp   
                   @foreach ($temp['options'][$key] as $option)                                    
                        @if ($option->status == 1)
                            @php
                                $rigntAnswer = $option->title;
                            @endphp 
                        @endif
                        @if ($option->id == $temp['answer_id'][$key])                                    
                                    @if ($option->status == 1)
                                     <p>Your Answer: <strong>{{$option->title}}</strong><span style="color:green;font-weight:bold"> ( <i class="fas fa-check"></i> Correct)</span></p>
                                    @else
                                      <p>Your Answer: <strong>{{$option->title}}</strong><span style="color:red;font-weight:bold"> ( <i class="fas fa-close"></i>  Wrong)</span></p>
                                      <p>Correct Answer: <strong>{{ $rigntAnswer }}</strong></p>               
                                    @endif                                
                            @endif
                  @endforeach
                </div>            
            @endforeach            
        </table>        
    </div>
</div>
@endsection

@section('scripts')
@parent
<script>

</script>

@endsection
