@extends('layouts.admin')
@section('content')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{route('quiz.question.create')}}">
                {{ trans('global.add') }} Question
            </a>
        </div>
    </div>
<div class="card">
    <div class="card-header">
        Question Bank
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-Batch">
                <thead>
                    <tr>
                        <th width="10">
                            No
                        </th>
                       
                        <th>
                           Question
                        </th>
                        <th>
                            Module
                         </th>
                        <th>
                            Topic
                         </th>
                        <th>
                            Course
                         </th>
                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($questions as $key => $question)
                        <tr data-entry-id="{{ $question->id }}">
                            <td>
                              {{$key +1 }}
                            </td>
                         
                            <td>
                                {{ $question->question}}
                            </td>
                            <td>
                                {{ $question->exam_module->name}}
                            </td>
                            <td>
                                {{ $question->topic}}
                            </td>
                            <td>
                                {{ $question->course->title}}
                            </td>
                            <td>
                               
                            <a class="btn btn-xs btn-info" href="{{ route('quiz.category.edit', $question->id) }}">
                                {{ trans('global.edit') }}
                            </a>
                            <form action="{{ route('quiz.category.destroy', $question->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                <input type="hidden" name="_method" value="DELETE">
                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                            </form>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>


@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)

  $.extend(true, $.fn.dataTable.defaults, {
    ordering: false,
    pageLength: 100,
  });
  let table = $('.datatable-Batch:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection