@extends('layouts.admin')
@section('content')
<div class="card">
    <div class="card-header">
       <b>{{$courseinfo->title}}</b> Quiz List
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover datatable datatable-Batch">
                <thead>
                    <tr>
                        <th width="10">
                            SL
                        </th>
                       
                        <th>
                            Quiz
                        </th>
                        <th>
                            Mark
                        </th>
                        <th>
                            Quiz Type
                        </th>
                         <th>
                            Date & Time
                         </th>
                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($courseinfo->quizes as $key => $quiz)
                        <tr data-entry-id="{{ $quiz->id }}">
                            <td>
                              {{$key+1}}
                            </td>
                         
                            <td>
                                {{ $quiz->title}}
                               
                            </td>
                            <td>
                                {{ $quiz->quiz_mark}}
                               
                            </td>
                            <td>
                                @if ($quiz->exam_type == 'pretest')
                                <span class="badge badge-pill badge-info">Pretest</span>
                                @elseif ($quiz->exam_type == 'classtest')
                                <span class="badge badge-pill badge-info">Class Test</span>
                                @else
                                <span class="badge badge-pill badge-info">Final</span>
                               @endif
                            </td>
                           
                            <td>
                                {{ Carbon\Carbon::parse($quiz->date_time)->format('jS F Y g:i A') }}
                            </td>
                            <td>
                                @can('trainer_evaluation',$courseRole)
                                @if(count($quiz->exam_attends)>0)
                                <a class="btn btn-xs btn-info" href="#">
                                    Quiz Submitted
                                </a>
                                @else
                                @php
                                $today_date = \Carbon\Carbon::now();
                                $quiz_time= date("Y-m-d H:i:s", strtotime($quiz->date_time));
                                $result = $today_date->gte($quiz_time);
                                @endphp
                               @if($result) 
                                <a class="btn btn-xs btn-info" href="#" id="startQuiz" data-id="{{$quiz->id}}">
                                    Start Quiz
                                </a>
                                @endif
                                @endif
                                @endcan
                                @can('view_trainee_result',$courseRole)
                             
                                <a class="btn btn-xs btn-info" href="{{route('quiz.allresult',$quiz->id)}}">
                                    View All Trainee Result
                                </a>
                                @endcan
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>


@endsection
@section('scripts')
@parent
<script>
$(document).on("click","#startQuiz", function(){
    var thisId = $(this).data('id');
    Swal.fire({
    title: 'Are you sure?',
    text: 'You want to take this exam now, your time will start automaticaly',
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Yes, start now!'
}).then((result) => {
    if (result.value) {
        window.location.href = "/quiz/"+thisId+"/exam"
        return false;
    }
    });
    return false;
})

</script>
@endsection
