@extends('layouts.admin')
@section('styles')
<style>
    .flexcontent
    {
        display: flex;
        justify-content: center;
        gap: 15px;
        font-size: 16px;
    }
</style>
@endsection
@section('content')
<div class="card">
    <div class="card-header text-center">
        <div style="font-size: 18px;">
            <b>Quiz:</b> {{$results->title}}
        </div> <br>
        <div class="flexcontent">
            @if($results->module)
            <b>Module:</b> {{$results->module->name}}
            @endif
            @if($results->topic!=null)
            <b>Topic:</b> {{$results->topic}}
            @endif
        </div>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover datatable datatable-Batch">
                <thead>
                    <tr>
                        <th width="10">
                            SL
                        </th>
                        <th>
                            Trainee name
                        </th>
                        <th>
                            Total questions
                        </th>
                         <th>
                           Total correct answers
                         </th>
                        <th>
                            Total Number
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($results->exam_results as $key => $result)
                        <tr data-entry-id="{{ $result->id }}">
                            <td>
                              {{$key+1}}
                            </td>
                            <td>
                                {{ $result->user->name}}
                            </td>
                            <td>
                                {{ $result->total_ques}}
                            </td>
                            <td>
                                {{ $result->total_correct_ans}}
                            </td>
                            <td>
                                {{ $result->total_number}}
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>


@endsection
@section('scripts')
@parent
<script>

</script>
@endsection
