<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" />
    <!-- bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css" />
    <!-- bootstrap icon -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css" rel="stylesheet" />
    <!-- fontawesome -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;1,100&family=Roboto:ital,wght@1,500;1,900&display=swap"
        rel="stylesheet" />

    <link href="{{ asset('template/css/style.css') }}" rel="stylesheet" />
    <style>
        .branch
        {
            display: none;
        }
        .other-designation
        {
            display:none;
        }
    </style>

    <title>Sign Up | BPMI Training Management</title>
</head>

<body>


    <!-- ================== navbar start =======================-->

    <header>

        <div class="container">
            <div class="Header_area d-flex align-items-center justify-content-between">

                <a href="{{ url('/') }}">
                    <img src="{{asset('template/images/logo.png')}}" class="img-fluid" width="120px">
                </a>
                <div class="category">

                </div>


                <div class="ul_info">
                    <ul class="ul">
                        <li class="li"><a href="{{ url('/') }}">Home</a></li>
                        <li class="li"><a href="About">About</a></li>
                        <li class="li"><a href="Courses">Courses</a></li>
                        <li class="li"><a href="Blog">Blog</a></li>
                        <li class="li"><a href="Contact">Contact</a></li>
                    </ul>
                </div>

                <div class="header-btn d-none d-xl-block">
                    <a href="{{ url('/login') }}" class="login">Login</a>
                    <a href="{{ url('/trainee-signup') }}" class="btn register">Sign up</a>
                </div>

            </div>

        </div>


    </header>


    <!-- ================== navbar end =======================-->

    <!-- ================== SIGNUP AREA =======================-->

    <section class="page-wrapper">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-8 col-xl-7">
                    <div class="signup-form">
                        <div class="form-header">
                            <h2 class="font-weight-bold mb-3"> Trainee Sign Up</h2>
                            <p class="trainee-register">
                                Already have an account? <a href="{{ url('/login') }}" class="text-decoration-underline">Log in</a>
                            </p>
                            <p style="font-weight: 600;">
                                If you already have an account and want to join a course <a href="{{ url('/join-a-course') }}" class="text-decoration-underline">Cick here to join</a>
                            </p>
                        </div>

                        @if (count($errors) > 0)
                        <div class = "alert alert-danger">
                           <ul style="margin-bottom: 0rem;">
                              @foreach ($errors->all() as $error)
                                 <li>{{ $error }}</li>
                              @endforeach
                           </ul>
                        </div>
                     @endif

                        <form action="{{ url('trainee-signup')}}" method="post" class="trainee-form trainee-form-register register" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-xl-6">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>First Name&nbsp;<span class="required">*</span></label>
                                        <input type="text" class="form-control" name="firstName"
                                            placeholder="First Name" data-validation="required" value="{{old('firstName')}}" data-validation-error-msg-required="This field is required">
                                    </p>
                                </div>
                                <div class="col-xl-6">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Last Name&nbsp;<span class="required">*</span></label>
                                        <input type="text" class="form-control" name="lastName"
                                            placeholder="Last Name" data-validation="required" value="{{old('lastName')}}" data-validation-error-msg-required="This field is required">
                                    </p>
                                </div>
                                <div class="col-xl-6">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Mobile No&nbsp;<span class="required">*</span></label>
                                        <input type="number" class="form-control" name="mobile" value="{{old('mobile')}}"
                                            placeholder="Mobile No" data-validation="required" data-validation-error-msg-required="This field is required">
                                    </p>
                                </div>
                                <div class="col-xl-6">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Email&nbsp;<span class="required">*</span></label>
                                        <input type="email" class="form-control" name="email" 
                                            placeholder="Your Email" data-validation="required" value="{{old('email')}}" data-validation-error-msg-required="This field is required">
                                    </p>
                                </div>
                                <div class="col-xl-12">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Designation</label>
                                        <select name="designation_id" id="" class="form-control"  value="{{old('designation_id')}}">
                                            <option value="">Select Designation</option>
                                            @foreach ($designations as $key => $entry )
                                          
                                            @if($entry->id==17)
                                                @continue
                                            @endif
                                             <option {{ old('organization_id') == $entry->id ? "selected" : "" }} value="{{$entry->id}}">{{ $entry->name }}</option>
                                             @if($loop->last)
                                             <option value="17">Other Designation</option>
                                             @endif
                                            @endforeach
                                        </select>
                                    </p>
                                </div>
                                <div class="col-xl-12 other-designation">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Other Designation</label>
                                        <input type="text" class="form-control" name="other_designation" 
                                            placeholder="Other designation name (optional)">
                                    </p>
                                </div>
                                <div class="col-xl-12">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Organization&nbsp;<span class="required">*</span></label>
                                        <select name="organization_id" id="" value="{{old('organization_id')}}" class="form-control organization_id" data-validation="required" data-validation-error-msg-required="This field is required">
                                            <option value="">Select Organization</option>
                                            @foreach ($org_lists as $key => $entry )
                                             <option {{ old('organization_id') == $entry->id ? "selected" : "" }} value="{{$entry->id}}">{{ $entry->name }}</option>
                                            @endforeach
                                        </select>
                                    </p>
                                </div>
                                <div class="col-xl-12 branch">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Branch&nbsp;</label>
                                        <select name="branch_id" id="" class="form-control">
                                            @foreach ($branches as $key => $branch )
                                            <option value="" disabled hidden>Select Branch</option>
                                             <option {{ old('branch_id') == $branch->id ? "selected" : "" }}  value="{{$branch->id}}">{{ $branch->name }}</option>
                                            @endforeach
                                        </select>
                                    </p>
                                </div>
                                <div class="col-xl-12">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Photo </label>
                                        <div class="form-group">
                                            <input type="file" name="photo">
                                        </div>
                                    </p>
                                </div>
                                
                                <div class="col-xl-6">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Office Name&nbsp;<span class="required">*</span></label>
                                        <input type="text" class="form-control" name="office_name"
                                            placeholder="Office name" value="{{old('office_name')}}" data-validation="required" data-validation-error-msg-required="This field is required">
                                    </p>
                                </div>
                                <div class="col-xl-6">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Organization ID</label>
                                        <input type="text" class="form-control" name="organization_id_no" 
                                            placeholder="Organization ID" value="{{old('organization_id_no')}}">
                                    </p>
                                </div>
                                <div class="col-xl-12">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Couse you want to join&nbsp;<span class="required">*</span></label>
                                        <select name="course_id" value="{{old('course_id')}}" class="form-control" data-validation="required" data-validation-error-msg-required="This field is required">
                                            @foreach ($courses as $key => $entry )
                                            <option value=""  disabled hidden>Select Course</option>
                                             <option {{ old('course_id') == $entry->id ? "selected" : "" }} value="{{$entry->id}}">{{ $entry->title }}</option>
                                            @endforeach
                                        </select>
                                    </p>
                                </div>

                                <div class="col-xl-6">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Password&nbsp;<span class="required">*</span></label>
                                        <input type="password" class="form-control" name="password" 
                                            placeholder="Password" data-validation="required" data-validation-error-msg-required="This field is required">
                                    </p>
                                </div>
                                <div class="col-xl-6">
                                    <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                        <label>Re-Enter Password&nbsp;<span class="required">*</span></label>
                                        <input type="password" class="form-control" name="password_confirmation" value=""
                                            placeholder="Re-Enter Password" data-validation="required" data-validation-error-msg-required="This field is required">
                                    </p>
                                </div>

                                <div class="col-xl-12">
                                    <div class="d-flex align-items-center justify-content-between py-2">
                                        <p class="trainee-form-row trainee-form-row--wide form-row form-row-wide">
                                            <label
                                                class="trainee-form__label trainee-form__label-for-checkbox trainee-form-login__policy">
                                                <input class="trainee-form__input trainee-form__input-checkbox"
                                                    name="policy" type="checkbox" value="forever" data-validation="required" data-validation-error-msg-required="This field is required">
                                                <span>Accept the Terms and Privacy Policy</span>
                                            </label>
                                        </p>

                                    </div>
                                </div>
                            </div>

                            <p class="trainee-FormRow form-row">
                                <button type="submit" class="trainee-button btn" name="register"
                                    value="Register">Register</button>
                            </p>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </section>
    <!-- ================== SIGNUP AREA END =======================-->

    <div class="our-courses">
    </div>




    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js"></script>
    <!-- js -->
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-form-validator/2.3.79/jquery.form-validator.min.js" integrity="sha512-7+hQkXGIswtBWoGbyajZqqrC8sa3OYW+gJw5FzW/XzU/lq6kScphPSlj4AyJb91MjPkQc+mPQ3bZ90c/dcUO5w==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
        $("[name='organization_id']").on('change', function() {
            if( $(this).find(":selected").val()==2)
            {
               $('.branch').show()
            }else{
                $("[name='branch_id']").val('')
                $('.branch').hide()
            }
        });
        
        $("[name='designation_id']").on('change', function() {
            if( $(this).find(":selected").val()==17)
            {
               $('.other-designation').show()
            }else{
                $("[name='other_designation']").val('')
                $('.other-designation').hide()
            }
        });

         $.validate({
              lang: 'en',
              message : "String with text that should be displayed as error message"
          });
    </script>
</body>

</html>