<?php $__env->startSection('content'); ?>
    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course_create', $courseRole)): ?>
        <div style="margin-bottom: 10px;" class="row">
            <div class="col-lg-12">
                <a class="btn btn-success" href="<?php echo e(route('courses.create')); ?>">
                    <?php echo e(trans('global.add')); ?> <?php echo e(trans('cruds.course.title_singular')); ?>

                </a>
            </div>
        </div>
    <?php endif; ?>
    <div class="card">
        <div class="card-header">
            <?php echo e(trans('cruds.course.title_singular')); ?> <?php echo e(trans('global.list')); ?>

        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered datatable datatable-Course">
                    <thead>
                        <tr>
                            <th>
                                <?php echo e(trans('cruds.course.fields.course_code')); ?>

                            </th>
                            <th>
                                <?php echo e(trans('cruds.course.fields.title')); ?>

                            </th>
                            <th>
                                <?php echo e(trans('cruds.course.fields.type_course')); ?>

                            </th>
                            <th>
                                <?php echo e(trans('cruds.course.fields.course_duration')); ?>

                            </th>

                            <th>
                                <?php echo e(trans('cruds.course.fields.course_start')); ?>

                            </th>
                            <th>
                                <?php echo e(trans('cruds.course.fields.course_end')); ?>

                            </th>
                            <th>
                                Status
                            </th>

                            <th>
                                Action
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $course_Role = '';

                                $check_course_role = $courseRole->where('course_id', $course->id)->first();
                                if ($check_course_role) {
                                    $course_Role = $check_course_role;
                                }

                            ?>

                            <tr data-entry-id="<?php echo e($course->id); ?>">

                                <td>
                                    <?php echo e($course->course_code ?? ''); ?>

                                </td>
                                <td>
                                    <?php echo e($course->title ?? ''); ?>

                                </td>
                                <td>
                                    <?php echo e(App\Models\Course::TYPE_COURSE_SELECT[$course->type_course] ?? ''); ?>

                                </td>
                                <td>
                                    <?php echo e($course->course_duration . 'days' ?? ''); ?>

                                </td>

                                <td>
                                    <?php echo e(\Carbon\Carbon::parse(trim($course->course_start))->format('d-m-Y') ?? ''); ?>

                                </td>
                                <td>
                                    <?php echo e(\Carbon\Carbon::parse(trim($course->course_end))->format('d-m-Y') ?? ''); ?>

                                </td>

                                <td>

                                    <?php if($course->mds_approval == 1 && $course->is_approved == 1): ?>
                                        <b>Approved</b>
                                    <?php elseif($course->mds_approval == 1 && $course->is_approved == 0): ?>
                                        <b>Forwared to Rector Sir</b>
                                    <?php else: ?>
                                        <b>Forwared To MDS Sir</b>
                                    <?php endif; ?>

                                </td>


                                <td style="line-height: 2rem;">


                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course_settings', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default groupassignment"
                                            href="<?php echo e(route('courses.settings', $course->id)); ?>">
                                            Course Setting
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view_assignment', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default singleassignment" href="javascript:void(0)"
                                            id="<?php echo e($course->id); ?>" onclick="singleAssignmentModal(this.id)">
                                            My Assignment

                                        </a>
                                        <a class="btn btn-sm btn-default groupassignment" href="javascript:void(0)"
                                            id="<?php echo e($course->id); ?>" onclick="groupAssignmentModal(this.id)">
                                            Group Assignment
                                        </a>
                                        <a class="btn btn-sm btn-default groupassignment" href="javascript:void(0)"
                                            id="<?php echo e($course->id); ?>" onclick="groupPresentationModal(this.id)">
                                            Group Presentation
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course_trainee_view', $course_Role)): ?>
                                        <a class="btn btn-xs btn-default"
                                            href="<?php echo e(route('course-trainee.view', $course->id)); ?>">
                                            Trainee View
                                        </a>
                                    <?php endif; ?>

                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course_add_lesson', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default" href="<?php echo e(route('courses.addlesson', $course->id)); ?>">
                                            Add Lesson
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course_view_lesson', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default"
                                            href="<?php echo e(route('courses.viewlesson', $course->id)); ?>">
                                            View Lesson
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view_quiz', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default" href="<?php echo e(route('quiz.course.view', $course)); ?>">
                                            View Quiz
                                        </a>
                                    <?php endif; ?>
                                    <?php if(auth()->user()->course_evaluation()->exists() == false): ?>
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view_quiz', $course_Role)): ?>
                                            <a class="btn btn-sm btn-default"
                                                href="<?php echo e(route('courses.evaluationform', $course)); ?>">
                                                Evaluation Form
                                            </a>
                                        <?php endif; ?>
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('book_review_submit', $course_Role)): ?>
                                            <a class="btn btn-sm btn-default"
                                                href="<?php echo e(route('book-review.index', $course->id)); ?>">
                                                Book Review
                                            </a>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course_show', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default" href="<?php echo e(route('courses.show', $course->id)); ?>">
                                            <?php echo e(trans('global.view')); ?>

                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course_edit', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default" href="<?php echo e(route('courses.edit', $course->id)); ?>">
                                            <?php echo e(trans('global.edit')); ?>

                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create_assignment_group', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default"
                                            href="<?php echo e(route('assignment-group.create', $course->id)); ?>">
                                            Create Assignment Group
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('release_order_view', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default"
                                            href="<?php echo e(route('release-order.show', $course->id)); ?>">
                                            Release Order
                                        </a>
                                    <?php endif; ?>

                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('show_assignment_group', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default"
                                            href="<?php echo e(route('assignment-group.view', $course->id)); ?>">
                                            View Assignment Group
                                        </a>

                                        <a class="btn btn-sm btn-default" href="<?php echo e(route('assignments.view', $course->id)); ?>">
                                            View Assignments
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create_presentation_group', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default"
                                            href="<?php echo e(route('presentation-group.create', $course->id)); ?>">
                                            Create Presentation Group
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('show_presentation_group', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default"
                                            href="<?php echo e(route('presentation-group.view', $course->id)); ?>">
                                            View Presentation Group
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('adjustment_sheet', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default"
                                            href="<?php echo e(route('courseadjustmentsheet.index', $course->id)); ?>">
                                            Course Adjustment Sheet
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('allownce_acknowledgement', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default" href="<?php echo e(route('allowance-create', $course->id)); ?>">
                                            Allowance form
                                        </a>
                                    <?php endif; ?>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('allownce_acknowledgement', $course_Role)): ?>
                                        <a class="btn btn-sm btn-default" href="<?php echo e(route('allowance-list', $course->id)); ?>">
                                            Allowance list
                                        </a>
                                    <?php endif; ?>

                                    <?php
                                        $authid = auth()->user()->id;
                                        $posssible_trainers = App\Models\TrainerApproval::where('user_id', $authid)
                                            ->where('course_id', $course->id)
                                            ->first();
                                    ?>
                                    <?php if($posssible_trainers && $posssible_trainers->approved == 0): ?>
                                        <form action="<?php echo e(route('courses.approveOrDenyCourseByTrainer', $course->id)); ?>"
                                            method="POST" onsubmit="return confirm('<?php echo e(trans('global.areYouSure')); ?>');"
                                            style="display: inline-block;">
                                            <input type="hidden" name="_method" value="put">
                                            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                                            <input type="hidden" name="approved" value="1">
                                            <input type="submit" class="btn btn-sm btn-success" value="Take Course">
                                        </form>

                                        <form action="<?php echo e(route('courses.approveOrDenyCourseByTrainer', $course->id)); ?>"
                                            method="POST" onsubmit="return confirm('<?php echo e(trans('global.areYouSure')); ?>');"
                                            style="display: inline-block;">
                                            <input type="hidden" name="_method" value="put">
                                            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                                            <input type="hidden" name="approved" value="2">
                                            <input type="submit" class="btn btn-sm btn-danger" value="Deny Course">
                                        </form>
                                    <?php endif; ?>

                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('course_delete', $course_Role)): ?>
                                        <form action="<?php echo e(route('courses.destroy', $course->id)); ?>" method="POST"
                                            onsubmit="return confirm('<?php echo e(trans('global.areYouSure')); ?>');"
                                            style="display: inline-block;">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                                            <input type="submit" class="btn btn-sm btn-danger"
                                                value="<?php echo e(trans('global.delete')); ?>">
                                        </form>
                                    <?php endif; ?>


                                </td>

                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>


            </div>
        </div>
    </div>
    <!-- MODAL FOR MY ASSIGNMENT -->
    <div class="modal fade" id="myassignmentModal" tabindex="-1" role="dialog" aria-labelledby="myassignment"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4>My Assignment Info</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="mt-2">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Assignment</th>
                                    <th>Submit Assignment</th>
                                </tr>
                            </thead>
                            <tbody id="singleAssignmentFile"></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- MODAL FOR MY GROUP ASSIGNMENT -->
    <div class="modal fade" id="groupassignmentModal" tabindex="-1" role="dialog" aria-labelledby="groupassignment"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4>Group Assignment Info</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="mt-2">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Assignment</th>
                                    <th>Submit Assignment</th>
                                </tr>
                            </thead>
                            <tbody id="groupAssignmentFile"></tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <!-- MODAL FOR MY GROUP PRESENTATION -->
    <div class="modal fade" id="groupPresentationModal" tabindex="-1" role="dialog" aria-labelledby="groupassignment"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4>Group Presentation Info</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="mt-2">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Presentation</th>
                                    <th>Submit Presentation</th>
                                </tr>
                            </thead>
                            <tbody id="groupPresentationFile"></tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <?php echo \Illuminate\View\Factory::parentPlaceholder('scripts'); ?>
    <script>
        // ASSIGNMENT FILE DATA FOR SINGLE    
        function singleAssignmentModal(id) {
            $.ajax({
                type: 'GET',
                url: '/get-myAssignment/' + id,
                dataType: 'json',
                success: function(response) {
                    var rows = "";
                    $.each(response.assignments, function(key, value) {

                        if (value.assignment_submissions != null) {
                            rows += `<tr>
                            <td>${key+1}</td>
                            <td><a href="/upload/files/${value.file}" target="_blank">${value.name}</a></td>
                            <td>
                                    <div class="form-group" style="display:flex;gap:20px">                                               
                                    <button class="btn btn-sm btn-success" disabled>Submited</button>                                             
                                    </div>                                                            
                        </td>
				</tr>`
                        } else if (new Date(value.submission_last_date).getTime() < new Date()
                            .getTime()) {

                            rows += `<tr>
                                <td>${key+1}</td>
                                <td><a href="/upload/files/${value.file}" target="_blank">${value.name}</a></td>
                                <td>
                                        <div class="form-group" style="display:flex;gap:20px">                                               
                                        <button class="btn btn-sm btn-success" disabled>submission time is over</button>                                             
                                        </div>                                                            
                            </td>
                    </tr>`

                        } else {
                            rows += `<tr>
                            <td>${key+1}</td>
                            <td><a href="/upload/files/${value.file}" target="_blank">${value.name}</a></td>
                            <td>
                        <form action="<?php echo e(route('assignment-submission')); ?>"  method="POST" enctype="multipart/form-data">  
                            <?php echo csrf_field(); ?>
                            <div class="row" id="form${value.id}">
                                <div class="col-12">
                                    <div class="form-group" style="display:flex;gap:20px">                                               
                                        
                                        <input type="hidden" name="assignment_file_id" value="${value.id}">   
                                        <input type="file" name="file" class="form-control">   
                                    <button class="btn btn-sm btn-success">Submit</button>                                             
                                    </div>
                                </div>
                            </div>                                                    
                        </form>
                        </td>
				</tr>`
                        }

                    });
                    $('#singleAssignmentFile').html(rows);
                }
            })
            $('#myassignmentModal').modal('show');
        }
        //  GROUP ASSIGNMENT DATA
        function groupAssignmentModal(id) {
            $.ajax({
                type: 'GET',
                url: '/get-groupAssignment/' + id,
                dataType: 'json',
                success: function(response) {
                    console.log(response);
                    var rows = ""
                    $.each(response.groupassignments, function(key, value) {
                        if (value.assignment_submissions != null) {
                            rows += `<tr>
                            <td>${key+1}</td>
                            <td><a href="/upload/files/${value.file}" target="_blank">${value.name}</a></td>
                            <td>                        
                                    <div class="form-group" style="display:flex;gap:20px">                                                 
                                    <button class="btn btn-sm btn-success" disabled>Submited</button>                                             
                                    </div>                                                                                                       
                        </td>
				</tr>`
                        } else if (new Date(value.submission_last_date).getTime() < new Date()
                            .getTime()) {

                            rows += `<tr>
                               <td>${key+1}</td>
                               <td><a href="/upload/files/${value.file}" target="_blank">${value.name}</a></td>
                               <td>
                                       <div class="form-group" style="display:flex;gap:20px">                                               
                                       <button class="btn btn-sm btn-success" disabled>submission time is over</button>                                             
                                       </div>                                                            
                           </td>
                   </tr>`

                        } else {
                            rows += `<tr>
                            <td>${key+1}</td>
                            <td><a href="/upload/files/${value.file}" target="_blank">${value.name}</a></td>
                            <td>
                        <form action="<?php echo e(route('assignment-submission')); ?>"  method="POST" enctype="multipart/form-data">  
                            <?php echo csrf_field(); ?>
                            <div class="row" id="form${value.id}">
                                <div class="col-12">
                                    <div class="form-group" style="display:flex;gap:20px">                                               
                                        
                                        <input type="hidden" name="assignment_file_id" value="${value.id}">   
                                        <input type="file" name="file" class="form-control">   
                                    <button class="btn btn-sm btn-success">Submit</button>                                             
                                    </div>
                                </div>
                            </div>                                                    
                        </form>
                        </td>
				</tr>`
                        }

                    });
                    $('#groupAssignmentFile').html(rows);
                }
            })
            $('#groupassignmentModal').modal('show');

        }

        //  GROUP PRESENTATION DATA
        function groupPresentationModal(id) {
            $.ajax({
                type: 'GET',
                url: '/get-groupPresentation/' + id,
                dataType: 'json',
                success: function(response) {
                    console.log(response);
                    var rows = "";

                    // Loop through each group presentation in the response array
                    $.each(response.grouppresentation, function(index, grouppresentation) {
                        console.log(grouppresentation);
                        // Check if there is a file attached to the presentation
                        if (grouppresentation?.presentation_file?.file != null) {
                            rows += `<tr>
                        <td>${index + 1}</td>
                        <td><a href="/upload/files/${grouppresentation.presentation_file.file}" target="_blank">${grouppresentation.presentation_file.file}</a></td>
                        <td>
                            <div class="form-group" style="display:flex;gap:20px">
                                <button class="btn btn-sm btn-success" disabled>Submited</button>
                            </div>
                        </td>
                    </tr>`;
                        } else if (grouppresentation?.presentation_file && new Date(grouppresentation
                                .presentation_file.presentation_date).getTime() < new Date()
                            .getTime()) {
                            rows += `<tr>
                        <td>${index + 1}</td>
                        <td><a href="/upload/files/${grouppresentation.presentation_file.presentation_date}" target="_blank">${grouppresentation.presentation_file.presentation_date}</a></td>
                        <td>
                            <div class="form-group" style="display:flex;gap:20px">
                                <button class="btn btn-sm btn-success" disabled>Submission time is over</button>
                            </div>
                        </td>
                    </tr>`;
                        } else {
                            // Default case where there is no file or the submission time hasn't passed
                            rows += `<tr>
                        <td>${index + 1}</td>
                        <td>${grouppresentation.group_name}</td>
                        <td>
                            <form id="form-presentation" action="<?php echo e(route('presentation-submission')); ?>" method="POST" enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group" style="display:flex;gap:20px">
                                            <input type="hidden" name="presentation_file_id" value="${grouppresentation.presentation_file.id}">
                                            <input type="file" name="file" accept=".ppt,.pptx,.doc,.docx" class="form-control">
                                            <button class="btn btn-sm btn-success">Submit</button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </td>
                    </tr>`;
                        }
                    });

                    // Update the HTML table with the generated rows
                    $('#groupPresentationFile').html(rows);
                }
            });

            // Show the modal
            $('#groupPresentationModal').modal('show');
        }


        function myAssignment(id) {
            $("#form" + id).toggle('slow');
        }


        $(function() {
            let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)

            let deleteButtonTrans = '<?php echo e(trans('global.datatables.delete')); ?>'
            let deleteButton = {
                text: deleteButtonTrans,
                url: "<?php echo e(route('courses.massDestroy')); ?>",
                className: 'btn-danger',
                action: function(e, dt, node, config) {
                    var ids = $.map(dt.rows({
                        selected: true
                    }).nodes(), function(entry) {
                        return $(entry).data('entry-id')
                    });

                    if (ids.length === 0) {
                        alert('<?php echo e(trans('global.datatables.zero_selected')); ?>')

                        return
                    }

                    if (confirm('<?php echo e(trans('global.areYouSure')); ?>')) {
                        $.ajax({
                                headers: {
                                    'x-csrf-token': _token
                                },
                                method: 'POST',
                                url: config.url,
                                data: {
                                    ids: ids,
                                    _method: 'DELETE'
                                }
                            })
                            .done(function() {
                                location.reload()
                            })
                    }
                }
            }
            dtButtons.push(deleteButton)


            $.extend(true, $.fn.dataTable.defaults, {
                orderCellsTop: true,
                pageLength: 100,
            });
            let table = $('.datatable-Course:not(.ajaxTable)').DataTable({
                buttons: dtButtons,
                "ordering": false
            })
            $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e) {
                $($.fn.dataTable.tables(true)).DataTable()
                    .columns.adjust();
            });
            $(document).on('click', '.dropdown-toggle', function(e) {
                $(this).closest(".dropdown-menu").addClass('show');
            })

            $(document).on("click", function(event) {
                var $trigger = $(".dropdown-toggle");
                if ($trigger !== event.target && !$trigger.has(event.target).length) {
                    $(".dropdown-menu").removeClass('show');
                }
            });
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rayhan-ferdous/Documents/WorkSpace/training-management/resources/views/admin/courses/index.blade.php ENDPATH**/ ?>