<?php $__env->startSection('styles'); ?>
    <style>
        p {
            margin-bottom: 0.5rem;
        }

        h2 {
            font-size: 1.6rem;
        }

        h3 {
            font-size: 1rem;
            font-weight: 600;
            margin-bottom: 1rem;
        }

        h4 {
            font-size: 1rem;
            margin-left: 5px;
        }

        .sign-flex {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="card">

        <div class="card-header text-center">
            <div class="form-group" style="float: right;">
                <button type="button" id="print" class="btn btn-success"> <i class="fas fa-print"></i></button>
            </div>
            <h2>বাংলাদেশ পাওয়ার ম্যানেজমেন্ট ইনষ্টিটিউট</h2>
            <p>প্লট নং ২, সড়ক-১০৪, সেক্টর-৪, পূর্বাচল, রূপগঞ্জ, নারায়ণগঞ্জ</p>
            <b>প্রশিক্ষণ কর্মসূচি অনুমোদন ফরম</b>
        </div>


        <div class="card-body">
            <div class="form-group">
                
                <h3>১। সাধারণ তথ্যাবলী</h3>
                <table class="table table-bordered">
                    <tbody>
                        <tr>
                            <th>
                                Course Code
                            </th>
                            <td>
                                <?php echo e($course->course_code); ?>

                            </td>
                            <th>
                                Course Title
                            </th>
                            <td>
                                <?php echo e($course->title); ?>

                            </td>
                        </tr>

                        <tr>
                            <th>
                                <?php echo e(trans('cruds.course.fields.type_course')); ?>

                            </th>
                            <td>
                                <?php echo e(App\Models\Course::TYPE_COURSE_SELECT[$course->type_course] ?? ''); ?>

                            </td>
                            <th>
                                <?php echo e(trans('cruds.course.fields.course_duration')); ?>

                            </th>
                            <td>
                                <?php echo e($course->course_duration); ?>

                            </td>
                        </tr>
                        <tr>
                            <th>
                                <?php echo e(trans('cruds.course.fields.course_start')); ?>

                            </th>
                            <td>
                                <?php echo e(\Carbon\Carbon::createFromFormat('d-m-Y', trim($course->course_start))->format('d-m-Y')); ?>

                            </td>
                            <th>
                                <?php echo e(trans('cruds.course.fields.course_end')); ?>

                            </th>
                            <td>
                                <?php echo e(\Carbon\Carbon::createFromFormat('d-m-Y', trim($course->course_end))->format('d-m-Y')); ?>

                            </td>
                        </tr>
                        <tr>
                            <th>
                                <?php echo e(trans('cruds.course.fields.field_visit')); ?>

                            </th>
                            <td>
                                <?php echo e($course->field_visit); ?>

                            </td>
                            <th>
                                Notesheet
                            </th>
                            <td style="word-break: break-word;">
                                <?php echo $course->requiring_body; ?>

                            </td>
                        </tr>

                    </tbody>
                </table>
                

                <h3>২। বাজেটঃ (সংযুক্তি – ২)</h3>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>ক্রমিক নং</th>
                            <th>খাত</th>
                            <th>একক</th>
                            <th>পরিমাণ</th>
                            <th>একক দর (টাকা)</th>
                            <th>মোট দর (টাকা)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if($course->courseBudgets): ?>
                            <?php $__currentLoopData = $course->courseBudgets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $courseBudget): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($key + 1); ?></td>
                                    <td>
                                        <?php if($courseBudget->budget): ?>
                                            <?php echo e($courseBudget->budget->name); ?>

                                        <?php else: ?>
                                            <?php echo e($courseBudget->budget_name); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($courseBudget->unit); ?></td>
                                    <td><?php echo e($courseBudget->qty); ?></td>
                                    <td><?php echo e($courseBudget->rate); ?></td>
                                    <td><?php echo e($courseBudget->total_cost); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                        <tr>
                            <td colspan="5" style="text-align: right;">Total</td>
                            <td colspan="5"><?php echo e($course->total_budget); ?> BDT</td>
                        </tr>
                        <tr>
                            <td colspan="5" style="text-align: right;">Tax</td>
                            <td colspan="5"><?php echo e($course->budget_tax); ?> % </td>
                        </tr>
                        <tr>
                            <td colspan="5" style="text-align: right;">Total (including VAT & AIT)</td>
                            <td colspan="5"><?php echo e($course->total_budget_inc_vat); ?> BDT</td>
                        </tr>
                    </tbody>
                </table>
                <h3>৩। কোর্স ব্যবস্থাপনা সংক্রান্ত তথ্য</h3>
                <h4>(ক) কোর্স প্রিন্সিপাল এডভাইজার </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th> কোর্স প্রিন্সিপাল এডভাইজার এর তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if($course->course_principal_advisor): ?>
                            <?php $__currentLoopData = $course->course_principal_advisor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $principal_advisor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <?php
                                            $user = app\Models\User::find($principal_advisor);
                                        ?>
                                        <?php echo e($user->name); ?>

                                    </td>
                                    <td></td>
                                    <td></td>*-
                                    <td>No</td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                </table>
                <h4>(খ) কোর্স এডভাইজার </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th> কোর্স এডভাইজার এর তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if($course->course_advisor): ?>
                            <?php $__currentLoopData = $course->course_advisor; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $course_advisor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <?php
                                            $user = app\Models\User::find($course_advisor);
                                        ?>
                                        <?php echo e($user->name); ?>

                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td>No</td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                </table>
                <h4>(গ) কোর্স পরিচালক </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th> কোর্স পরিচালকের তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if($course->course_director): ?>
                            <?php $__currentLoopData = $course->course_director; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $course_director): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <?php
                                            $user = app\Models\User::find($course_director);
                                        ?>
                                        <?php echo e($user->name); ?>

                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td>No</td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                </table>
                <h4>(গ) কোর্স সমন্বয়কারী</h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>কোর্স পরিচালকের তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if($course->course_co_ordinator): ?>
                            <?php $__currentLoopData = $course->course_co_ordinator; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $course_co_ordinator): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <?php
                                            $user = app\Models\User::find($course_co_ordinator);
                                        ?>
                                        <?php echo e($user->name); ?>

                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td>No</td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                </table>
                <h4>(ঘ) সহযোগী কোর্স সমন্বয়কারী
                </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>কোর্স পরিচালকের তালিকা</th>
                            <th>গত ১২ মাসে তিনি কতটি কোর্স পরিচালনা করেছেন</th>
                            <th>ইতোপূর্বে প্রাপ্ত নম্বরের গড়</th>
                            <th>কোন নেতিবাচক মতামত ছিল কিনা (থাকলে কি)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if($course->associcate_course_co_ordinator): ?>
                            <?php $__currentLoopData = $course->associcate_course_co_ordinator; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $associcate_course_co_ordinator): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <?php
                                            $user = app\Models\User::find($associcate_course_co_ordinator);
                                        ?>
                                        <?php echo e($user->name); ?>

                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td>No</td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                </table>
                <h4>(ঙ) কোর্স সহায়তাকারী কর্মকর্তা </h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>নাম/পদবী</th>
                            <th>দায়িত্ব</th>
                            <th>পূর্বের মূল্যায়ন</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if($course->course_helper): ?>
                            <?php $__currentLoopData = $course->course_helper; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $course_helper): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <?php
                                            $user = app\Models\User::find($course_helper);
                                        ?>
                                        <?php echo e($user->name); ?>

                                    </td>
                                    <td></td>
                                    <td></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                </table>
                <div class="row">
                    <?php if($course->mds_approval != null): ?>
                        <div class="col-md-6">
                            <div class="sign-flex">
                                <img src="<?php echo e(asset('images/' . $users[0]['sign'])); ?>" alt="mds sign" width="200"
                                    height="auto">
                                <div>----------------------</div>
                                <p><?php echo e($users[0]['name']); ?></p>
                                <p><?php echo e($users[0]['designation']); ?></p>
                                <div>----------------------</div>
                                <p>MDS</p>
                            </div>
                        </div>
                    <?php endif; ?>
                    <?php if($course->rector_approval != null): ?>
                        <div class="col-md-6">
                            <div class="sign-flex">
                                <img src="<?php echo e(asset('images/' . $users[1]['sign'])); ?>" alt="rector sign" width="200"
                                    height="auto">
                                <div>----------------------</div>
                                <p><?php echo e($users[1]['name']); ?></p>
                                <p><?php echo e($users[1]['designation']); ?></p>
                                <div>----------------------</div>
                                <p>Rector</p>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
                <?php if(auth()->user()->roles->first()->title == 'MDS' && $course->mds_approval == null): ?>
                    <div class="form-group text-center">
                        <form action="<?php echo e(route('course.approve', $course->id)); ?>" method="POST"
                            onsubmit="return confirm('<?php echo e(trans('global.areYouSure')); ?>');" style="display: inline-block;">
                            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                            <input type="hidden" name="_method" value="PUT">
                            <input type="submit" class="btn btn-lg btn-success" value="Forward To Rector">
                        </form>
                    </div>
                <?php elseif(auth()->user()->roles->first()->title == 'Rector' &&
                        $course->mds_approval !== null &&
                        $course->rector_approval == null &&
                        $course->is_approved == 0): ?>
                    <div class="row form-group">
                        <div class="col">
                            <form action="<?php echo e(route('course.approve', $course->id)); ?>" method="POST"
                                onsubmit="return confirm('<?php echo e(trans('global.areYouSure')); ?>');">
                                <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                                <input type="hidden" name="_method" value="PUT">
                                <label for="">Comment</label>
                                <textarea name="comment" id="" class="form-control" cols="10" rows="5"></textarea>
                                <input type="submit" class="btn btn-lg btn-success mt-2" value="Approve">
                                <input type="submit" class="btn btn-lg btn-warning mt-2" value="Recheck">
                            </form>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rayhan-ferdous/Documents/WorkSpace/training-management/resources/views/admin/courses/show.blade.php ENDPATH**/ ?>