<?php $__env->startSection('content'); ?>

<div class="card">
    <div class="card-header">
        New Course Initiaion
    </div>

    <div class="card-body">
        <form method="POST" action="<?php echo e(route('course-initiation.store')); ?>">
            <?php echo csrf_field(); ?>
            <div class="form-group">
                <label class="required" for="course_title">Course Title</label>
                <input class="form-control <?php echo e($errors->has('course_title') ? 'is-invalid' : ''); ?>" type="text" name="course_title" id="course_title" value="<?php echo e(old('course_title', '')); ?>" required>
                <?php if($errors->has('course_title')): ?>
                <div class="invalid-feedback">
                    <?php echo e($errors->first('course_title')); ?>

                </div>
                <?php endif; ?>
            </div>
            <div class="form-group">
                <label for="batch_id"><?php echo e(trans('cruds.nomination.fields.batch')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('batch') ? 'is-invalid' : ''); ?>" name="batch_id" id="batch_id" required>
                    <?php $__currentLoopData = $batches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $batch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($batch->id); ?>"><?php echo e($batch->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('batch')): ?>
                <div class="invalid-feedback">
                    <?php echo e($errors->first('batch')); ?>

                </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.nomination.fields.batch_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="status">Course Director</label>
                <select class="form-control select2 ajaxSearch" name="course_director" id="course_director" required></select>
                <?php if($errors->has('course_director')): ?>
                <div class="invalid-feedback">
                    <?php echo e($errors->first('course_director')); ?>

                </div>
                <?php endif; ?>
            </div>

            <div class="form-group">
                <label for="instruction">Instruction</label>
                <textarea name="instruction" id="instruction" class="form-control" cols="20" rows="10"></textarea>
            </div>
            <div class="form-group">
                <button class="btn btn-success" type="submit">
                    <?php echo e(trans('global.save')); ?>

                </button>
            </div>
        </form>
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script>
    $(document).ready(function() {
        $(".ajaxSearch").select2({
            tags: false,
            multiple: false,
            tokenSeparators: [',', ' '],
            minimumInputLength: 2,
            minimumResultsForSearch: 10,
            ajax: {
                url: "<?php echo e(route('staff.search')); ?>",
                dataType: "json",
                type: "GET",
                data: function(params) {
                    var queryParameters = {
                        term: params.term
                    }
                    return queryParameters;
                },
                processResults: function(data) {
                    return {
                        results: $.map(data, function(item) {
                            return {
                                text: item.name,
                                id: item.id
                            }
                        })
                    };
                },
                cache: false
            }
        });
    });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rayhan-ferdous/Documents/WorkSpace/training-management/resources/views/admin/courseInitiation/create.blade.php ENDPATH**/ ?>