<?php $__env->startSection('content'); ?>

<div class="card">
    <div class="card-header">
        <?php echo e(trans('global.create')); ?> <?php echo e(trans('cruds.user.title_singular')); ?>

    </div>
    <div class="card-body">
        <form method="POST" action="<?php echo e(route("users.store")); ?>" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="form-group">
                <label class="required" for="name"><?php echo e(trans('cruds.user.fields.name')); ?></label>
                <input class="form-control <?php echo e($errors->has('name') ? 'is-invalid' : ''); ?>" type="text" name="name" id="name" value="<?php echo e(old('name', '')); ?>" required>
                <?php if($errors->has('name')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('name')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.name_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="email"><?php echo e(trans('cruds.user.fields.email')); ?></label>
                <input class="form-control <?php echo e($errors->has('email') ? 'is-invalid' : ''); ?>" type="email" name="email" id="email" value="<?php echo e(old('email')); ?>">
                <?php if($errors->has('email')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('email')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.email_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="password"><?php echo e(trans('cruds.user.fields.password')); ?></label>
                <input class="form-control <?php echo e($errors->has('password') ? 'is-invalid' : ''); ?>" type="password" name="password" id="password" required>
                <?php if($errors->has('password')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('password')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.password_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="roles"><?php echo e(trans('cruds.user.fields.roles')); ?></label>
                <div style="padding-bottom: 4px">
                    <span class="btn btn-info btn-xs select-all" style="border-radius: 0"><?php echo e(trans('global.select_all')); ?></span>
                    <span class="btn btn-info btn-xs deselect-all" style="border-radius: 0"><?php echo e(trans('global.deselect_all')); ?></span>
                </div>
                <select class="form-control select2 <?php echo e($errors->has('roles') ? 'is-invalid' : ''); ?>" name="roles[]" id="roles" multiple required>
                    <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e(in_array($id, old('roles', [])) ? 'selected' : ''); ?>><?php echo e($role); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('roles')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('roles')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.roles_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="organization_id"><?php echo e(trans('cruds.user.fields.organization')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('organization') ? 'is-invalid' : ''); ?>" name="organization_id" id="organization_id">
                    <?php $__currentLoopData = $organizations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e(old('organization_id') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('organization')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('organization')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.organization_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="designation"><?php echo e(trans('cruds.user.fields.designation')); ?></label>
                <input class="form-control <?php echo e($errors->has('designation') ? 'is-invalid' : ''); ?>" type="text" name="designation" id="designation" value="<?php echo e(old('designation', '')); ?>">
                <?php if($errors->has('designation')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('designation')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.designation_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="mobile"><?php echo e(trans('cruds.user.fields.mobile')); ?></label>
                <input class="form-control <?php echo e($errors->has('mobile') ? 'is-invalid' : ''); ?>" type="text" name="mobile" id="mobile" value="<?php echo e(old('mobile', '')); ?>">
                <?php if($errors->has('mobile')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('mobile')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.mobile_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="department"><?php echo e(trans('cruds.user.fields.department')); ?></label>
                <input class="form-control <?php echo e($errors->has('department') ? 'is-invalid' : ''); ?>" type="text" name="department" id="department" value="<?php echo e(old('department', '')); ?>">
                <?php if($errors->has('department')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('department')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.department_helper')); ?></span>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="checkbox" name="bpmi_employee" value="1" id="bpmi_employee">
                <label class="form-check-label" for="bpmi_employee">
                    BPMI Employee?
                </label>
            </div>
            <div class="form-group" style="display: none;">
                <label for="status"><?php echo e(trans('cruds.user.fields.status')); ?></label>
                <input class="form-control <?php echo e($errors->has('status') ? 'is-invalid' : ''); ?>" type="hidden" name="status" id="status" value="<?php echo e(old('status', '1')); ?>" step="1">
                <?php if($errors->has('status')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('status')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.status_helper')); ?></span>
            </div>
          
            <div class="form-group mt-2">
                <button class="btn btn-success" type="submit">
                    <?php echo e(trans('global.save')); ?>

                </button>
            </div>
        </form>
    </div>
</div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rayhan-ferdous/Documents/WorkSpace/training-management/resources/views/admin/users/create.blade.php ENDPATH**/ ?>